2010-09-03 18:30  mortenmacfly

svn6570:  * updated wxPropGrid from to 1.4.14 to hopefully fix
	  issues reported here:
	  http://forums.codeblocks.org/index.php/topic,12362.msg88995.html#msg88995

2010-09-03 16:01  mortenmacfly

svn6568:  * make loggers more bullet proof (missing part)

2010-09-03 15:59  mortenmacfly

svn6567:  * make loggers more bullet proof

2010-08-30 16:37  biplab

svn6564:  * Fixed: Build with wx-2.9.x.

2010-08-30 16:36  biplab

svn6563:  * Added: Missing include header for std::sort(),
	  std::unique()

2010-08-28 18:26  afb

svn6557:  - ldc needs linker flag duplicated, like dmd

2010-08-28 13:50  afb

svn6556:  - codecompletion: add D icon for D keywords

2010-08-28 13:48  afb

svn6555:  - add LDC to D console wizard

2010-08-28 13:41  afb

svn6554:  * add LDC compiler, LLVM backend / D1 language / Tango
	  library

2010-08-28 13:36  afb

svn6553:  * allow running DMD on all platforms

2010-08-27 13:15  jenslody

svn6550:  * EditorTweaks plugin: i18n fix to avoid crash when
	  context-menu is shown; tiny fix for unix project-file

2010-08-26 19:16  mortenmacfly

svn6543:  - NassiShneiderman plugin: i18l corrections and fixed
	  compile bug

2010-08-26 19:02  mortenmacfly

svn6540:  * applied patch #3051: Fixed regex testbed dialog
	  fields - missing data (completes a previous commit)

2010-08-25 19:00  mortenmacfly

svn6536:  - NassiShneiderman plugin: adding missing include

2010-08-25 17:38  killerbot

svn6535:  - little fix to debian build file

2010-08-25 14:14  mortenmacfly

svn6532:  * applied i18n patch for NassiShneiderman plugin thanks
	  Xaviou

2010-08-25 04:38  mortenmacfly

svn6529:  - little translation fix for wxSmith

2010-08-24 22:08  afb

svn6528:  - restore the splashscreen workaround for mac

2010-08-24 08:26  mortenmacfly

svn6525:  * added missing portions in compilergcc of r6494 and
	  r6492

2010-08-23 05:54  mortenmacfly

svn6517:  * applied patch #2949: AskAssocDialog closes
	  incorrectly when press ESC key

2010-08-23 05:51  mortenmacfly

svn6516:  * applied patch #2871: Make double click open the
	  correct item in the TODO window

2010-08-23 05:49  mortenmacfly

svn6515:  * applied patch #2929: Show the build time in the build
	  messages log pane

2010-08-23 05:47  mortenmacfly

svn6514:  * applied patch #2942: Add option to control the smart
	  indent brace feature

2010-08-23 05:45  mortenmacfly

svn6513:  * applied patch #2943: Respect the selected target

2010-08-22 12:13  mortenmacfly

svn6509:  * bug-fix of crash for non-attached plugins (e.g.
	  disabled EditorTweaks), thanks oBFusCATed

2010-08-20 06:00  jenslody

svn6502:  * fix another small isssue, that slipped in with commit
	  6498 and 6501 (workspace was always set as modified on first
	  load)

2010-08-19 19:14  jenslody

svn6501:  * revert commit 6500 and (hopefully) finally fix the
	  issue introduced in r6498

2010-08-19 16:22  mortenmacfly

svn6500:  * hot fix concerning bug introduced with r6498 until
	  probably a better solution is found

2010-08-19 07:06  mortenmacfly

svn6499:  * debugger (cdb): added support for stepin / stepout

2010-08-19 07:00  mortenmacfly

svn6498:  * applied (modified) patch #2879: Call SetProject()
	  only after workspace is opened

2010-08-19 06:16  mortenmacfly

svn6497:  - tab removal, alignment corrections to improve
	  readability of code -> no code change

2010-08-19 06:03  mortenmacfly

svn6496:  * ToDo plugin: allow CPP style comments
	  * ToDo plugin: handle types more correctly
	  * ToDo plugin: allow to select allowed types (as a filter)

2010-08-19 05:55  mortenmacfly

svn6495:  - scripting: mark C::B patches explicitely in the code

2010-08-19 05:54  mortenmacfly

svn6494:  * added some sanity checks when working with a compiler
	  pointer
	  * added some missing elements of patch #2894 (see r6492)
	  * cbprofiler: auto-select active build target for convenience
	  * wizards: use images with transparency (if supported by
	  platform)
	  - debugger: some sanity checks concerning wxTeeItems

2010-08-19 05:39  mortenmacfly

svn6493:  * introduced (and used) some new SDK events:
	  EVT_EDITOR_SWITCHED, EVT_PROJECT_FILE_CHANGED,
	  EVT_CLEAN_PROJECT_STARTED, EVT_CLEAN_WORKSPACE_STARTED
	  * make the link to the build log file always use forward slashes
	  - some code-cleanup (remove obsolete commented portions)

2010-08-19 05:27  mortenmacfly

svn6492:  * applied (modified) patch #2894: Set parent window of
	  cbMessageBox where possible This fixes "message boxes behind main
	  dialogs" under Unix/Linux
	  * applied blended colour to loggers to hopefully fix the colour
	  issues with the loggers under Linux with dark themes

2010-08-19 04:55  mortenmacfly

svn6491:  * applied patch #2839: Select file from all projects in
	  the workspace
	  - some code clean-up (e.g. tagetting MSVC compilr?!)

2010-08-18 15:05  biplab

svn6490:  * Non-pch build fix.

2010-08-18 12:01  afb

svn6489:  - libwxpropgrid is already included in libcodeblocks

2010-08-18 07:40  afb

svn6488:  - DoxyBlocks: fix typo in the dist list

2010-08-15 18:41  mortenmacfly

svn6484:  - compiler: another trial to stop the posts of ignorant
	  people in the forums

2010-08-11 14:39  jenslody

svn6476:  * another fix for the wxPropertyGridManager splitter
	  issue in wxSmith: see svn6405

2010-08-11 14:27  mortenmacfly

svn6475:  * added TARGET_OUTPUT_FILENAME to macrosmanager
	  (partially applied patch #2937)

2010-08-11 14:18  mortenmacfly

svn6474:  * applied patch #3045: Get rid of lexer_nassi.* files
	  * applied patch #3041: Adding wxFileName::IsFileWritable for
	  scripting
	  * applied patch #3040: Add CurrentSelection to the Macros

2010-08-11 13:33  jenslody

svn6473:  * avoid crash of wxChartCtrl, if style contains
	  USE_GRID and no chart is added (default in wxSmith preview);
	  fix wrong casting of style, that can lead to a build error

2010-08-09 05:12  mortenmacfly

svn6465:  * pumped TinyXML to 2.6.1 (plus some patches from
	  TinyXML SVN trunk) -> fixes some C++ inconsistencies

2010-08-08 16:55  killerbot

svn6463:  * applied : Patch to make '--add-brackets / -j' option
	  available in astyle plugin
	  (http://forums.codeblocks.org/index.php/topic,13054.msg87865.html)

2010-08-03 18:53  mortenmacfly

svn6443:  - corrected object output folder for NassiShneiderman
	  plugin under Unix

2010-08-02 20:24  jenslody

svn6441:  * projectmanager: immediately change color of files in
	  projects tree, if compilation or linking is turned on or off;
	  restore selected node after rebuild of projects tree (see
	  http://forums.codeblocks.org/index.php/topic,12131.0.html for
	  details)

2010-08-02 06:25  mortenmacfly

svn6437:  * cbProject: allow macro replacements for file path's,
	  too (sse wxFileName::GetFullPath instead of GetFullName)

2010-07-29 05:14  jenslody

svn6435:  * (temporarily?) removed wxMediaCtrl from wxSmith,
	  because it breaks compilation on allmost all linux distributions
	  (see http://forums.codeblocks.org/index.php/topic,12977.0.html
	  for details )

2010-07-26 06:38  mortenmacfly

svn6425:  * wxSmith: added missing images (icons) for new
	  controls
	  - wxSmith: corrected a spelling error

2010-07-26 04:57  biplab

svn6424:  * Fixed: Build with wx-2.9.1

2010-07-26 04:55  biplab

svn6423:  * Fixed: Deprecated function call with wx-2.9.1

2010-07-26 04:41  biplab

svn6422:  * Fixed: Build with wx-2.9.1

2010-07-26 04:39  biplab

svn6421:  * Fixed: Build with wx-2.9.1

2010-07-26 04:30  biplab

svn6420:  * Fixed: Bug in Previous commit.

2010-07-26 04:24  biplab

svn6419:  * Fixed: Build with wx-2.9+.

2010-07-25 19:37  mortenmacfly

svn6418:  * build fixes to EditorTweaks and wxSmith related
	  projects under Unix

2010-07-25 19:15  mortenmacfly

svn6417:  - NassiShneiderman plugin: add default path to boost
	  libs to compiler options (Unix)

2010-07-24 11:14  biplab

svn6416:  * Fixed: Warning message.

2010-07-24 08:06  biplab

svn6415:  * Avoid: "warning: unused parameter"

2010-07-23 18:59  mortenmacfly

svn6414:  * wxSmith: Updated number of wxWidgets controls
	  supported by applying patch of Cryogen (Thanks!)
	  * wxSmith: Namely these are: wxAnimationCtrl, wxBitmalCombobox,
	  wxColourPicker, wxContextHelpButton,
	  * wxSmith: ...wxDialUpManager, wxDirPickerCtrl, wxFilePickerCtrl,
	  wxFindReplaceDialog, wxFontDialog, wxFontPickerCtrl,
	  * wxSmith: ...wxHtmlEasyPrinting, wxHyperLinkCtrl, wxListView,
	  wxMEdiaCtrl, wxMessageDialog, wxPageSetupDialog,
	  * wxSmith: ...wxPasswordEntryDialog, wxPrintDialog,
	  wxProgressDialog, wxRichTextCtrl, wxRichTextFormattingDlg,
	  * wxSmith: ...wxRichTextStyleOrganiserDialog, wxSearchCtrl,
	  wxSimpleHtmlListbox, wxTextEntryDialog, wxTreebook

2010-07-23 16:22  biplab

svn6413:  * Fixed: [Bug #17318] Crash in Hex Editor

2010-07-21 05:32  mortenmacfly

svn6411:  - minor update of project files for more consistency
	  and removal of warnings

2010-07-20 18:37  killerbot

svn6408:  - build fix (build got broken in previous commit)

2010-07-20 15:46  biplab

svn6407:  * Reference can not be NULL. Refer section 8.3.2 of
	  ISO/IEC 14882:2003(E) for more details.

2010-07-20 12:13  jenslody

svn6406:  * save state and order of tabs in Logs and others (see
	  http://forums.codeblocks.org/index.php/topic,12554.msg85056.html#msg85056
	  and
	  http://forums.codeblocks.org/index.php/topic,12650.msg85657.html#msg85657)

2010-07-20 05:26  mortenmacfly

svn6405:  * wxSmith: applied patch by Cryogen to fix wxPropGrid
	  issue with first column always being at min size

2010-07-15 14:52  mortenmacfly

svn6402:  - avoid creation of profile info (gmon.out) for Doxygen
	  plugin

2010-07-14 17:29  killerbot

svn6400:  - doxyblocks update

2010-07-09 16:33  killerbot

svn6386:  * fix : EditorTweaks stealing regular shift-ins
	  functionality (aka ctrl-v / paste)

2010-07-08 19:04  killerbot

svn6385:  - update to latest version of DoxyBlocks

2010-07-03 07:47  killerbot

svn6384:  - fix to previous commit

2010-07-03 07:25  killerbot

svn6383:  - non pch fixes (thanks Tim)

2010-07-03 07:17  killerbot

svn6382:  - version

2010-07-03 07:16  killerbot

svn6381:  - remove warning

2010-07-03 07:15  killerbot

svn6380:  - minor change, and bring back the -Wall

2010-06-30 17:52  pecan

svn6379:  BrowseTracker - 1.2.95 2010/06/30 - Ignore Editor line
	  1 activations in JumpTracker

2010-06-28 17:10  killerbot

svn6378:  - by default no svg functionality (will raise to many
	  problems with people building CB and wx) on windows (maybe we
	  could add an extra target with the svg support ?)

2010-06-28 17:09  killerbot

svn6377:  - remove warnings

2010-06-27 15:56  killerbot

svn6376:  - updates

2010-06-27 14:57  killerbot

svn6375:  * Added DoxyBlocks, EditorTweaks, NassiShneiderman and
	  Cscope plug-ins

2010-06-27 07:24  killerbot

svn6374:  - remove warnings

2010-06-27 07:22  killerbot

svn6373:  - remove warnings

2010-06-25 18:51  jenslody

svn6372:  * fix a bug that prevents tab-position (top or bottom)
	  in message-pane from being restored

2010-06-22 13:27  pecan

svn6370:  CodeSnippets - remove use of precompiled header in App
	  project

2010-06-21 19:35  killerbot

svn6369:  - remove warnings

2010-06-21 19:34  killerbot

svn6368:  - remove warnings

2010-06-21 19:34  killerbot

svn6367:  - remove warnings

2010-06-21 19:33  killerbot

svn6366:  - remove warnings

2010-06-20 20:35  jenslody

svn6365:  * fix a bug that make project prebuild-steps be invoked
	  twice in workspace-build (see:
	  http://forums.codeblocks.org/index.php/topic,12774.msg86405.html#msg86405)

2010-06-13 10:57  killerbot

svn6354:  - remove warnings

2010-06-13 07:13  killerbot

svn6353:  - include fix

2010-06-12 20:33  killerbot

svn6352:  - remove warnings

2010-06-12 18:50  killerbot

svn6351:  - fix unix project file

2010-06-12 18:37  killerbot

svn6350:  - remove warnings

2010-06-12 18:15  killerbot

svn6349:  - remove some warnings

2010-06-12 18:03  killerbot

svn6348:  - remove some warnings

2010-06-12 18:02  killerbot

svn6347:  - remove some warnings

2010-06-12 10:46  killerbot

svn6346:  - build fix

2010-06-11 08:45  jenslody

svn6342:  * fix a bug when changing EOL-mode from editor
	  configuration dialog, see
	  http://forums.codeblocks.org/index.php/topic,12712.msg86084.html#msg86084
	  for details

2010-06-11 05:28  mortenmacfly

svn6341:  - fixed Linux part of wxSmitAui project file

2010-06-10 17:31  jenslody

svn6340:  * wxSmith-Aui: build fix

2010-06-10 10:55  mortenmacfly

svn6339:  * partially merged debugger_branch into trunk:
	  * updated wxPropGrid from 1.2 to 1.4 version
	  * moved wxPropGrid from wxSmith to the core as DLL as it will 7
	  can be re-used
	  - modified build system, project files (needs some more work,
	  probably)

2010-06-08 12:44  afb

svn6336:  * fix console only debugging (gdb tty) on wxMac

2010-06-05 19:59  afb

svn6333:  * fix keybinder mappings on wxMac, as the Command key
	  was missing
	  (mapping for instance Find to just "f", rather than "Ctrl-f"...)
	  the Control key is very seldom used, but maps to "XCtrl-" if so.
	  doesn't affect other platforms, where wxACCEL_CMD == wxACCEL_CTRL

2010-06-05 12:39  biplab

svn6332:  * Fixed: Broken make dist inside astyle folder.

2010-06-05 09:59  afb

svn6331:  - make splash screen default to the size of the splash
	  image (the resize is broken on mac)

2010-06-05 09:22  afb

svn6330:  * only use -lX11 on wxGTK, not on wxMSW/wxMac

2010-06-05 09:17  afb

svn6329:  - add X11 CFLAGS/LIBS (like GTK2), for linking directly
	  with X

2010-06-03 04:34  mortenmacfly

svn6324:  * pumped AStyle to 1.25

2010-06-03 04:27  mortenmacfly

svn6321:  - fixed tiny build error introduced in r6312

2010-06-01 13:53  biplab

svn6316:  * Fixed: [Bug #15438] Abbreviations problem with
	  doxygen comment

2010-06-01 13:28  biplab

svn6314:  * Applied: [Patch #2990] fix linking of codesnippets
	  plugin

2010-06-01 13:19  mortenmacfly

svn6313:  - fixed missing file in Makefile for wxscintilla

2010-06-01 12:45  mortenmacfly

svn6312:  * pumped scintilla/wxScintilla to v2.1.2 (incl.
	  updating code generation script and regenerating code...
	  obviously)
	  - fixed some spelling/alignment mistakes

2010-06-01 12:13  mortenmacfly

svn6309:  * applied patch #2902: Improvement in TabSwitcher

2010-06-01 11:21  mortenmacfly

svn6308:  * applied patch #2849: Multiline S&R, (the return of
	  rickg22)

2010-05-31 09:18  jenslody

svn6297:  * added missing format-file in debian/source,
	  thanks afb

2010-05-30 18:54  killerbot

svn6287:  - fixed typo

2010-05-30 16:23  jenslody

svn6286:  * Changed version of base-release to 10.05 in some
	  files;
	  added shell-script to download actual documentation from our
	  server;
	  added doc-packages to debian/control, added install and doc-base
	  files therefore;
	  added README.Debian;
	  updated some copyright-informations

2010-05-27 09:09  jenslody

svn6282:  * fix for bug #16951 and #17068: Project properties
	  dialog too large, caused by wxTreectrl from libfinder-plugin

2010-05-25 05:00  mortenmacfly

svn6276:  - fixed spelling mistake plattform -> platform

2010-05-19 09:59  mortenmacfly

svn6261:  * prepared new logo

2010-05-15 08:54  biplab

svn6235:  * Fixed: Typo in changelog of codeblocks.spec.in.

2010-05-14 18:19  mortenmacfly

svn6233:  - introducing naming scheme for title

2010-05-12 14:12  biplab

svn6219:  * Applied: [Patch #2977] PATCH for wxSmith, fixed the
	  min size preview bug.

2010-05-11 06:17  mortenmacfly

svn6218:  * fixed possible crash candidate

2010-05-11 05:58  mortenmacfly

svn6217:  - introducing naming scheme for logos

2010-05-08 08:17  killerbot

svn6216:  - non pch build ifx

2010-05-07 15:21  biplab

svn6215:  * Applied: [Patch #2969] to wxWidgets wizard.

2010-05-07 15:16  biplab

svn6214:  * Applied: [Patch #2974] adjust path to scintilla in
	  "plugin::ScriptedWizard"

2010-05-05 14:12  mortenmacfly

svn6213:  * CC: Fix a bug for ' extern "C++" ' (thanks Loaden)

2010-05-05 14:10  mortenmacfly

svn6212:  - removed accidentally committed file

2010-05-05 14:09  mortenmacfly

svn6211:  * CC: fix 'Tokenizer::FixArgument' bug: support skip
	  C++ comment (thanks Loaden)

2010-05-05 14:08  mortenmacfly

svn6210:  * applied patch for wizard's default compiler error
	  (thanks Loaden)

2010-05-05 14:06  mortenmacfly

svn6209:  * CC: bug fix for GetGCCCompilerDirs failed in
	  Archlinux (thanks Loaden)

2010-05-01 08:37  jenslody

svn6206:  * fix for bug #17097 (Manager panel incorrect
	  behaviour), also changes the behaviour of logger tabs, they now
	  get toggled instead of closed, if close_on_all_tabs is active and
	  the close-button is clicked (fix the bug described here:
	  http://forums.codeblocks.org/index.php/topic,12450.0.html)

2010-04-22 07:28  mortenmacfly

svn6205:  - start_here page: landed in 2010

2010-04-16 17:28  jenslody

svn6204:  * fixed a typo in sqstdstring.cpp

2010-04-12 07:47  mortenmacfly

svn6203:  * cc: applied patch by Loaden to fix VC header parsing
	  * cc: some code cleanup, additional debug messages

2010-04-06 05:38  jenslody

svn6202:  * fixed a bug on linux: the list of plugins that should
	  be loaded in batch-build-mode was not saved

2010-04-04 08:21  killerbot

svn6201:  - little date/timestamp fix

2010-03-30 18:07  killerbot

svn6198:  - bracecompletion fix

2010-03-28 12:39  killerbot

svn6197:  - applied path from GeO

2010-03-23 19:55  killerbot

svn6196:  - applied patch 2954

2010-03-21 17:29  jenslody

svn6195:  - Incremental-Search-plugin: cosmetical changes to
	  configuration-dialog as suggested by mariocup

2010-03-21 13:02  killerbot

svn6194:  - CppCheck : add project include dirs to cppcheck
	  invocation

2010-03-16 16:18  biplab

svn6190:  * Fixed: Compiler warning - "warning: 'dllimport'
	  attribute ignored"

2010-03-16 15:41  biplab

svn6189:  * Build fix for SqPlus.

2010-03-11 22:21  killerbot

svn6188:  - minor backslash -> forward slash fix

2010-03-07 21:51  killerbot

svn6187:  * CppCheck plug-in : switch to input file list style of
	  the new cppcheck (1.41)

2010-03-03 20:29  pecan

svn6186:  KeyBinder 1.0.49 2010/03/3
	  - Apply patch 2885 by techy

2010-02-28 16:17  biplab

svn6182:  * Fixed: A bug in "Advanced Options" page of wxWidgets
	  Project wizard. (Thanks Hans Henrik for pointing this)

2010-02-26 11:07  jenslody

svn6181:  - reduce build-warnings (and speed up compiling) on
	  linux, by (re-)enabling use of precompiled headers in the project
	  files of some contrib-plugins

2010-02-26 10:43  jenslody

svn6180:  - non pch build fix

2010-02-25 21:47  pecan

svn6179:  BrowseTracker 1.2.94 2010/02/25
	  - Apply patch 2886 by techy

2010-02-20 10:12  biplab

svn6178:  * Fixed: rpm build issues.

2010-02-20 01:24  pecan

svn6177:  BrowseTracker 1.2.93 2010/02/19
	  - Diable Ctrl-Left_Mouse key usage when user sets editor
	  multi-selection enabled.

2010-02-19 13:21  jenslody

svn6175:  * contrib-plugins: fix execution working dir and (path
	  to) host application, so all plugins can be started and debugged
	  from within C::B

2010-02-18 15:44  biplab

svn6174:  * Clean-up: svn propset

2010-02-18 15:35  biplab

svn6173:  * Fixed: broken rpm build due to path change from
	  icons/gnome/* to icons/hicolor/*

2010-02-18 13:21  biplab

svn6171:  * Updated: rpm spec file to use .tar.bz2 as source
	  tarball extension

2010-02-18 11:37  jenslody

svn6170:  * fixed: Assertion with wxWidgets debug-build, due to
	  incorrect image size

2010-02-15 20:52  mariocupelli

svn6166:  - correct typo

2010-02-15 15:29  biplab

svn6165:  * Fixed: Assert failure with wx-debug build.

2010-02-15 13:07  biplab

svn6164:  * Applied: [Patch #2926] Fix for closed bug #16808 -
	  codesnippets install/uninstall

2010-02-15 11:15  mortenmacfly

svn6163:  * pumped (wx)scintilla to version 2.0.3 to resolve a
	  conflict with rectangular selections
	  - applied some API changes of scintilla to wxScintilla

2010-02-15 10:24  biplab

svn6162:  * Applied: [Patch #2927] Fix for closed bug #16809 -
	  scriptedwizard install/uninstall

2010-02-15 04:08  biplab

svn6159:  * Applied: [Patch #2907] Fixes ConsoleRunner build on
	  POSIX/SUS systems. (See
	  http://www.opengroup.org/onlinepubs/000095399/basedefs/sys/wait.h.html
	  - For WIFEXITED etc. macros)

2010-02-14 06:37  biplab

svn6157:  * Applied: [Patch #2611] Make HexEditor plugin portable
	  (no C99)

2010-02-14 02:44  biplab

svn6156:  * Removal of file from active project is now disabled
	  during compiling (either via 1) pressing "Delete" button or 2) by
	  clicking "Remove file from project" menu option)

2010-02-12 01:07  pecan

svn6155:  CodeSnippets 1.3.120 2010/02/11
	  - Fix crash when double clicking previously opened snippet
	  - Copy fixes 5995 & 6000 from CB EditorManager to SEditormanager

2010-02-10 14:21  biplab

svn6154:  * Clean-up: svn propset

2010-02-10 13:42  biplab

svn6153:  * Fixed: [Bug #16808] codesnippets clean and uninstall
	  leaves file behind _correctly_

2010-02-10 13:40  biplab

svn6152:  * Fixed: [Bug #16809] scriptedwizard clean and
	  uninstall leaves file behind _correctly_

2010-02-10 10:35  mortenmacfly

svn6151:  * added SFML project wizard and template (applying
	  patch #2851)

2010-02-09 16:02  biplab

svn6150:  * Cleanup: SVN propset, inconsistent line ending.

2010-02-09 16:00  biplab

svn6149:  * Cleanup: SVN propset, inconsistent line ending.

2010-02-09 15:58  biplab

svn6148:  * Cleanup: SVN propset, inconsistent line ending.

2010-02-09 15:56  biplab

svn6147:  * Cleanup: SVN propset, inconsistent line ending.

2010-02-09 15:50  biplab

svn6146:  * Fixed: [Bug #16808] codesnippets clean and uninstall
	  leaves file behind

2010-02-09 15:47  biplab

svn6145:  * Fixed: [Bug #16809] scriptedwizard clean and
	  uninstall leaves file behind

2010-02-09 15:40  biplab

svn6144:  * Cleanup: SVN propset.

2010-02-09 15:24  biplab

svn6143:  * Cleanup: SVN propset.

2010-02-09 15:16  biplab

svn6142:  * Cleanup: SVN propset.

2010-02-09 15:12  biplab

svn6141:  * Cleanup: SVN propset.

2010-02-09 15:11  biplab

svn6140:  * Cleanup: SVN propset.

2010-02-09 15:10  biplab

svn6139:  * Cleanup: SVN propset.

2010-02-09 15:05  biplab

svn6138:  * Cleanup: SVN propset.

2010-02-09 15:05  biplab

svn6137:  * Cleanup: SVN propset, inconsistent line ending.

2010-02-07 19:27  jenslody

svn6136:  * fix a drag and drop bug in wxScintilla: on linux only
	  copying was allowed, not moving of selected text

2010-02-05 13:02  jenslody

svn6135:  * avoid crashes in wx-2.9, due to incorrect dimensions
	  of wxFlexGrid in editor-configuration dialog, see
	  http://forums.codeblocks.org/index.php/topic,11952.msg81411.html#msg81411
	  for details

2010-02-03 17:43  mortenmacfly

svn6134:  * allow the "x" to close a tab to appear on all tabs
	  (via settings -> environment -> notebook)
	  * class wizard: handle "no implementation file" correctly.
	  * fixed wrong scope for "ReplaceInFiles" dialog
	  * applied patch #2882: call SetDesc() of the command-line parser
	  only once
	  * applied patch #2865: categorize source files regardless of
	  their capitalization
	  * applied patch #2869 to fix bug #16076: file manager: allow ANSI
	  builds to dump char* to file (no changes for unicode build)
	  * applied patch #2888: cosmetic fix of projectfile.cpp

2010-02-03 14:06  jenslody

svn6133:  - wx-2.9 build fixes

2010-02-03 11:37  jenslody

svn6132:  - removed not needed (double) header-guards , that
	  slipped in with last commit

2010-02-03 11:28  jenslody

svn6131:  * subclassed wxAuiNotebook, to work around some
	  annoying issues:
	  C::B often crashed on linux when dragging tabs with composite
	  effects enabled,
	  Ctrl+Tab did not respect taborder after dragging tabs,
	  Ctrl+Tab did not wrap at the end or the beginning,
	  Ctrl+Tab jumped through all tabs, even if new tab groups have
	  been created,
	  the taborder could not be saved after reordering the tabs with
	  drag and drop;
	  see
	  http://forums.codeblocks.org/index.php/topic,11519.msg81378.html
	  for details

2010-02-02 10:15  mortenmacfly

svn6130:  * add ACTIVE_EDITOR_LINE, ACTIVE_EDITOR_LINE_0,
	  ACTIVE_EDITOR_COLUMN, ACTIVE_EDITOR_COLUMN_0 macros pointing to
	  the current editor's line/column (one and zero based)

2010-02-02 09:43  mortenmacfly

svn6129:  * do the same fix as r6128 for lib_finder and
	  codesnippets, too (they are affected, too)

2010-02-02 08:53  jenslody

svn6128:  - wxSmith: fix possible crash on windows, due to
	  linking with tinyxml, what is already statically linked into
	  codeblocks-library

2010-01-31 11:51  mandrav

svn6127:  * Added "Reset to defaults" button in
	  "Environment->Docking system" settings.

2010-01-31 11:25  jenslody

svn6126:  - wx-2.9 build-fixes (especially for scrollingdialog.*
	  and linux)

2010-01-31 03:56  biplab

svn6125:  * Cleanup: SVN propset.

2010-01-31 03:53  biplab

svn6124:  * Cleanup: SVN propset, inconsistent line ending.

2010-01-31 03:52  biplab

svn6123:  * Cleanup: SVN propset.

2010-01-31 03:49  biplab

svn6122:  * Cleanup: SVN propset.

2010-01-31 03:46  biplab

svn6121:  * Fixed: Broken build with wx-2.9 due to rev 6120.

2010-01-30 22:28  mandrav

svn6120:  * Added CallMenu() script command to call menus from
	  scripts (e.g. "/Valgrind/Run Valgrind::MemCheck").

2010-01-30 02:24  biplab

svn6119:  * Added: WX_VERSION env var to Code::Blocks project
	  file.

2010-01-29 22:15  mandrav

svn6118:  * Added two new script commands: ExecuteToolPlugin()
	  and ConfigureToolPlugin().

2010-01-26 09:15  jenslody

svn6117:  * added missing include in wxPrpgrid's odcombo.cpp,
	  needed if wxUSE_POPUPWIN is not defined

2010-01-26 09:12  mortenmacfly

svn6116:  - some build fixes for the Mac (thanks afb)

2010-01-26 08:37  jenslody

svn6115:  * added missing include in infowindow.h, needed if
	  wxUSE_POPUPWIN is not defined;
	  reduced compiler warnings

2010-01-25 19:12  mortenmacfly

svn6114:  - compilation fix for GCC 3.3.3 (by applying patch
	  #2802)

2010-01-24 16:03  jenslody

svn6113:  * fix some issues of symbols-browser:
	  if view was "Active project's symbols:" a change of the active
	  project was not recognized;
	  if view was "Current file's symbols:" the toolbar was cleared, if
	  all files except one have been closed;
	  if view was "Current file's symbols:" the symbols-browser still
	  shows the content of the last open file, after all files have
	  been closed;

2010-01-24 09:10  mortenmacfly

svn6111:  - some build fixes (missing include, wrong setup)

2010-01-23 22:05  mandrav

svn6110:  * Fixed CC parsing bug resulting to crash (preprocessor
	  definitions inside template arguments - e.g. boost)

2010-01-23 13:40  mortenmacfly

svn6106:  * reverted problematic PipedPocess patch than
	  accidentally slipped in
	  - updated some project files to reduce linker warnings
	  - updated updated some source files with re-generated wxSmith
	  content (no functional change!)

2010-01-23 13:27  mortenmacfly

svn6105:  - updated broken images
	  - updated revision script (was down-graded through merge?!)

2010-01-23 12:56  mortenmacfly

svn6104:  * merged scintilla branch into trunk. this brings a lot
	  now core features
	  * all changes from scintilla since v1.7 (like virtual space, more
	  lexers, dynamic lexer loading...)
	  * use wxScollingDialog to avoid large size dialogs not fitting
	  into a certain (small) screen resolution
	  - (for more details see changelog in the scintilla branch)

2010-01-23 09:08  mortenmacfly

svn6100:  * CC: another bug fix for parsing class names :-/
	  
	  
	  - CC: added updated wxSmith resource file, too (forgotten on last
	  commit)
	  
	  
	  - CC: some code clean-up

2010-01-22 13:45  jenslody

svn6099:  * fix a bug where local workspace was parsed as global
	  instead of local

2010-01-19 11:08  mortenmacfly

svn6091:  * CC: fixed bug with not parsing function arguments
	  anymore (thanks OllyDbg)
	  * CC: added support for global namespace (thanks blueshake)
	  * CC: handle extern keyword more intelligent (fixing missing STL
	  statements) (thanks blueshake)
	  * CC: debugger tool shows more info (flags missing so far)
	  - CC: fixed some compiler warnings

2010-01-19 06:00  jenslody

svn6090:  - IncrementalSearch-plugin: comment out unneeded
	  debug-message

2010-01-17 02:40  biplab

svn6089:  * Fixed: [Bug #15912] AStyle removes debugger break
	  points.

2010-01-15 13:16  mortenmacfly

svn6088:  - some case fixes for labels

2010-01-15 12:08  mortenmacfly

svn6087:  * allow macros in default code

2010-01-14 16:01  mortenmacfly

svn6086:  * fixed a bug with accelerator being used twice (thanks
	  daniloz)
	  * CC: fixed bug with skipping to wrong character (thanks OllyDbg)
	  * CC: fixed bug with enabling parse while typing (thanks
	  blueshake)

2010-01-14 08:22  mortenmacfly

svn6085:  * applied (modified) patch #2861: New sharedlib project
	  - choose between c and c++

2010-01-14 08:15  mortenmacfly

svn6084:  * compiler: applied patch #2897: PrependDir() can be
	  used for single directory only
	  * compiler: applied patch #2877: CompilerOptionsDlg acesses tabs
	  that don't exist
	  * compiler: LCC compiler supports new registry key for
	  auto-detection

2010-01-13 15:23  biplab

svn6083:  * wx-2.9 migration: Build fixes for HexEditor.cpp

2010-01-13 13:52  mortenmacfly

svn6082:  * CC: made parsing while typing ("real time parse") an
	  option as it slows down the IDE massively for large projects
	  * CC: remove some crash candidates
	  - CC: some code clean-up and optimisations

2010-01-13 11:17  mortenmacfly

svn6081:  * CC: added missing replace to initialisation
	  * CC: allow using a non-alphanumeric replace token
	  * CC applying patch by OllyDbg to handle template arguments
	  better
	  - CC: some code clean-up

2010-01-12 16:41  biplab

svn6080:  * Fixed: Compiler warning.

2010-01-12 16:40  biplab

svn6079:  * wx-2.9 migration: Build fixes for
	  projectfileoptionsdlg.cpp

2010-01-12 15:39  biplab

svn6078:  * Added: Build fixes necessary to compile with wx-2.9.

2010-01-11 16:01  biplab

svn6077:  * StlPort wizard: Added linker option to enable
	  thread-safe exception handling on Windows.

2010-01-11 15:59  biplab

svn6076:  * Ogre wizard: Added linker option to enable
	  thread-safe exception handling on Windows.

2010-01-11 15:56  biplab

svn6075:  * Plugin wizard: Added linker option to enable
	  thread-safe exception handling on Windows.

2010-01-11 15:54  jenslody

svn6074:  * fix for automake system: the bootstrap-script wrongly
	  determined automake 1.11.1 as version below 1.7 and stopped build
	  with an error (see
	  http://forums.codeblocks.org/index.php/topic,11828.msg80247.html#msg80247
	  for details).

2010-01-11 15:37  biplab

svn6073:  * Enabled (for share_config plugin): Linker option to
	  use thread-safe exception handling on Windows. See the following
	  link for more details
	  (http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options)

2010-01-11 15:35  biplab

svn6072:  * Enabled (for contrib plugins): Linker option to use
	  thread-safe exception handling on Windows. See the following link
	  for more details
	  (http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options)

2010-01-11 15:31  biplab

svn6071:  * Enabled: Linker option to use thread-safe exception
	  handling on Windows. See the following link for more details
	  (http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options)

2010-01-11 10:18  mortenmacfly

svn6070:  * CC: fixed a bug with arguments not being handled
	  correctly for typdef'd function pointers (tokens tree had invalid
	  entries)

2010-01-11 08:46  mortenmacfly

svn6069:  - cc: tokens tree dump: show a busy info dialog as
	  computation may really take some time and UI is locked.

2010-01-11 08:35  mortenmacfly

svn6068:  * cb_share_config: updated to include token
	  replacements of CC, too

2010-01-10 15:56  biplab

svn6067:  * Reverted: GCC Version check was disabled on
	  Linux/Mac. Now it is disabled while compiling with wx-2.9 across
	  all platforms.
	  * Fixed: [Bug #16643] SetupIncludeDirs fails to detect gcc4+

2010-01-10 08:04  biplab

svn6066:  * Fixed: Window size of dlgAbout.

2010-01-10 00:01  jenslody

svn6065:  - ThreadSearch-plugin: use different images for toggled
	  buttons, it's easier to determine the state (on windows);
	  support macro-replacement for directories to search in

2010-01-09 19:05  mortenmacfly

svn6064:  * CC: added ability to save tokens tree, list of files
	  and include dirs through CC debug window

2010-01-09 18:04  biplab

svn6063:  * Fixed: [Bug #16562] -mthreads not set when linking
	  wxWidgets project

2010-01-09 17:14  biplab

svn6062:  * Fixed: Crash-candidate in openfileslistplugin.cpp

2010-01-07 12:04  mortenmacfly

svn6058:  * CC: fixed bug with wrong file being returned reported
	  here:
	  http://forums.codeblocks.org/index.php/topic,11800.msg80076.html#msg80076
	  - CC: massive code clean-up to remove old artifacts

2010-01-06 07:00  mortenmacfly

svn6057:  - CC: added some more debug information to nativeparser
	  to debug SmartSense

2010-01-05 16:10  mortenmacfly

svn6056:  * CC: removing another possible crash candidate
	  * CC: decreasing memory foot print of token tree
	  - CC: some code clean-up, adding some more debug information

2010-01-05 14:52  mortenmacfly

svn6055:  - cc: fixed a possible crash candidate

2010-01-05 12:39  jenslody

svn6051:  - IncrementalSearch-plugin: changed text in conf-dialog

2010-01-05 11:37  jenslody

svn6050:  * IncrementalSearch-plugin: implement shortcut for
	  backward-search (SHIFT+ENTER);
	  add option to highlight the text in the toolbar if it gains focus
	  via menu or shortcut (configurable);
	  remember cursor position in the toolbar's textcontrol

2010-01-05 09:08  mortenmacfly

svn6049:  - fully document all C::B patches for scripting
	  (squirrel)

2010-01-04 22:19  jenslody

svn6048:  - fix some more compiler warnings

2010-01-04 21:40  jenslody

svn6047:  - avoid compiler warnings on 64-bit linux

2010-01-04 21:40  jenslody

svn6046:  - avoid compiler warnings on 64-bit linux

2010-01-04 19:10  mortenmacfly

svn6045:  * CC: applied patch by blueshake: "real time parse"
	  * CC: applied patch by ollydbg: "better handling of typedef"
	  * CC: fixed bug in argument handling
	  * CC: fixed bug with token replacements
	  - CC: some code clean-up and removal of compiler warnings, some
	  more debug info

2010-01-04 13:52  biplab

svn6044:  * Fixed: Couple of compiler warnings.

2010-01-04 13:51  biplab

svn6043:  * Fixed: Couple of compiler warnings.

2010-01-04 11:24  jenslody

svn6042:  - another small fix to new scripting engine to avoid a
	  compiler warning on 64-bit linux

2010-01-04 10:41  mortenmacfly

svn6041:  - some more tiny adjustments to new scripting engine to
	  avoid compiler warnings

2010-01-04 09:37  biplab

svn6040:  * Fixed: Broken build due to missing code from
	  pre-processor section. (Thanks Jens for pointing this).

2010-01-04 09:34  biplab

svn6039:  * Fixed: Broken build by reintroducing C::B specific
	  patch. (Thanks Morten for pointing this)

2010-01-03 15:25  biplab

svn6035:  * Squirrel Update (Part 2 - Final part)
	  - Updated: Squirrel to version 2.2.4
	  - Added: Necessary fixes to build on Win 64 bit platform.

2010-01-03 15:19  biplab

svn6034:  * Squirrel Update (Part 1)
	  - Updated: Squirrel to version 2.2.4
	  - Added: Necessary fixes to build on Win 64 bit platform.

2010-01-03 13:02  biplab

svn6033:  * Fixed: Warning due to use wxString:find

2010-01-03 12:41  biplab

svn6032:  * Fixed: Build with wx-2.9

2010-01-03 05:57  biplab

svn6031:  * Fixed: Inconsistent line ending.
	  * Fixed: svn-propset.

2010-01-03 05:54  biplab

svn6030:  * Fixed: svn-propset.

2010-01-03 05:29  biplab

svn6029:  * Fixed: Inconsistent line ending.
	  * Fixed: svn-propset.

2010-01-03 05:27  biplab

svn6028:  * Fixed: svn-propset.

2010-01-03 05:25  biplab

svn6027:  * Fixed: svn-propset.

2010-01-03 05:23  biplab

svn6026:  * Fixed: svn:eol-style set to native.

2010-01-03 05:16  biplab

svn6025:  * Fixed: svn:eol-style set to native.

2010-01-03 05:15  biplab

svn6024:  * Cosmetic Fix: Build-date-time stamp will now show 32
	  bit/64 bit depending on the build.

2010-01-02 15:05  killerbot

svn6023:  - further support for new xml style (xwhat/text) for
	  Valgrind 3.5.0

2010-01-02 14:31  killerbot

svn6022:  * Valgrind plug-in : support Valgrind 3.5.0

2010-01-02 08:20  killerbot

svn6021:  - include fix

2010-01-01 12:55  jenslody

svn6016:  * fix incorrect use of wxString::find() instead of
	  wxString::Find() in two cases.

2009-12-31 22:12  jenslody

svn6015:  * cc-plugin: (hopefully) final fix for a crash-candidat
	  in ClassBrowserBuilderThread

2009-12-31 21:44  jenslody

svn6014:  * fix an issue, where plugins can not be found on some
	  64-bit linux systems, see
	  http://forums.codeblocks.org/index.php/topic,8755.msg78525.html#msg78525
	  for details

2009-12-31 21:16  jenslody

svn6013:  * cc-plugin: fix for a crash-candidat in
	  ClassBrowserBuilderThread

2009-12-31 17:09  mortenmacfly

svn6012:  * applied patch #2892: Array index out of range

2009-12-31 17:03  mortenmacfly

svn6011:  * applied patch #2887: Parserthread doesn't check if
	  the file exists

2009-12-31 17:02  mortenmacfly

svn6010:  - applied patch #2893: Use file types from dynamic
	  groups instead of hard-coded file types

2009-12-31 16:59  mortenmacfly

svn6009:  * applied patch #2874: OnPageChanged called upon
	  creation

2009-12-31 16:54  mortenmacfly

svn6008:  * applied patch #2891: Check return value of
	  wxEncodingConverter::Init()

2009-12-31 16:25  mortenmacfly

svn6007:  * applied patch #2881: Remove the wizardry that loads
	  CBTreeCtrl

2009-12-31 16:22  mortenmacfly

svn6006:  * applied #2866: Make wildcard select in multiselectdlg
	  work properly

2009-12-31 16:21  mortenmacfly

svn6005:  * applied patch #2833: regex testbed refinements

2009-12-31 16:15  mortenmacfly

svn6004:  - tiny formatting adjustments

2009-12-31 16:10  mortenmacfly

svn6003:  - tiny fix to patch #2864

2009-12-31 16:07  mortenmacfly

svn6002:  * applied patch #2854: Added macro
	  $(TARGET_COMPILER_DIR) to macrosmanager

2009-12-31 16:05  mortenmacfly

svn6001:  * applied patch #2842: Switcher dialog: Mouse wheel
	  support and hot tracking

2009-12-31 16:00  mortenmacfly

svn6000:  - tiny fix to patch #2803

2009-12-31 14:56  mortenmacfly

svn5999:  * applied patch #2884: Don't call Expand on wxTreeCtrl
	  with wxTR_HIDE_ROOT

2009-12-31 14:55  mortenmacfly

svn5998:  * applied (modified) patch #2880: Open clipboard before
	  its use

2009-12-31 14:54  mortenmacfly

svn5997:  * applied patch #2878: Different type used in xrc and
	  XRCCTRL

2009-12-31 14:52  mortenmacfly

svn5996:  * applied patch #2876: Global variable dialog array
	  access fixes

2009-12-31 14:51  mortenmacfly

svn5995:  * applied patch #2875: EditorManager accesses invalid
	  page

2009-12-31 14:50  mortenmacfly

svn5994:  * CC: applied patch #2868: Try harder when opening
	  includes from context menu

2009-12-31 14:47  mortenmacfly

svn5993:  * applied patch #2867: Try harder when searching file
	  with compilation error

2009-12-31 14:44  mortenmacfly

svn5992:  - applied patch #2864: Remove extra whitespace from
	  keyword list

2009-12-31 14:43  mortenmacfly

svn5991:  - compiler: applied patch #2863: Variable name
	  description for custom makefile

2009-12-31 14:42  mortenmacfly

svn5990:  * CC: applied patch #2856: parserthread accesses memory
	  behind the end of the string

2009-12-31 14:30  mortenmacfly

svn5989:  * applied patch #2803: faster header source swapping

2009-12-29 15:12  biplab

svn5988:  * Pre-processor fix: To enable compilation with a
	  non-GCC compiler.

2009-12-29 08:24  killerbot

svn5987:  - remove warnings (thanks stahta01)

2009-12-18 12:06  jenslody

svn5986:  - wxSmith: added wxEVT_COMMAND_SLIDER_UPDATED to
	  wxSlider

2009-12-18 12:03  jenslody

svn5985:  * workaround for a problem where the indicators used by
	  HighlightOccurrences and IncrementalSearch hide the text if
	  wxWidgets is build without rawbitmap support

2009-12-17 17:27  mortenmacfly

svn5984:  * scripted wizard plugin: tiny fix to new DX wizard so
	  it should work with DX devpak, too

2009-12-17 13:23  mortenmacfly

svn5983:  * updated direct/x wizard to be compatible with DX8 and
	  DX9

2009-12-16 10:27  mortenmacfly

svn5980:  * added missing EditorReuser class to filemanager which
	  also fixes issues with CC as of r5979

2009-12-15 11:58  mortenmacfly

svn5978:  * cc plugin: fixed bug with broken CC after e.g. a call
	  to a static member function within a local scope (thanks ollydbg)

2009-12-15 08:39  mortenmacfly

svn5977:  - cc plugin: fixed ooops.

2009-12-15 08:35  mortenmacfly

svn5976:  - cc plugin: some more code cleanup while hunting a bug

2009-12-15 07:40  mortenmacfly

svn5975:  * cc plugin: applied patch by blueshake to re-parse on
	  demand only
	  * cc plugin: applied patch by blueshake to get the function
	  tokens from the tokentree with filename directly based on
	  real-time parse
	  - cc plugin: a lot more useful trace information for the parser

2009-12-14 13:57  mortenmacfly

svn5974:  * cc plugin: applied patch by OllDbg: documentation and
	  TRACE macro usage
	  - cc plugin: removed some compiler warnings
	  - cc plugin: extended test cases

2009-12-11 16:09  pecan

svn5973:  BrowseTracker 1.2.92 2009/12/11
	  - Clear m_bProjectClosing in OnProjectOpened() else no initial
	  activation recorded after project closed.
	  - Fix JumpTracker inability to switch between editors (caused by
	  Editor Activation fix)

2009-12-10 14:50  mortenmacfly

svn5967:  * CCCC/CppCheck plugin: Allow choosing the executable
	  (if not in the path)
	  * CCCC/CppCheck plugin: Show a busy dialog as the call can take
	  several minutes

2009-12-09 14:24  jenslody

svn5966:  * fix an issue, where renaming a file can overwrite
	  existing files, if the new filename is the same as the name of
	  the existing file (windows-only)

2009-12-09 07:57  jenslody

svn5965:  * fix line-endings in debian-subfolder, added/changed
	  svn properties

2009-12-08 06:24  mortenmacfly

svn5961:  * updated wxContribItems "wxChart" and "wxThings" to
	  more recent versions

2009-12-06 01:01  jenslody

svn5954:  * non-pch build fixes

2009-12-05 16:24  biplab

svn5953:  * Fixed: Inconsistent line endings. svn:eol-style
	  changed to native.

2009-12-05 16:12  biplab

svn5952:  * Fixed: Inconsistent line endings. svn:eol-style
	  changed to native.

2009-12-01 13:06  mortenmacfly

svn5945:  * CC: added better handling of macros
	  * CC: better handling of templates
	  * CC: reduced time for re-parsing in the case of header/source
	  swapping
	  * CC: removed possible crash candidate
	  * CC: better namespace handling for newer GCC 4 macros
	  - CC: better documentation (thanks OllyDbg)
	  - CC: class browser uses TRACE macro (thanks OllyDbg)
	  - CC: addded test case for function signatures

2009-11-30 15:55  pecan

svn5944:  BrowseTracker 1.2.90 2009/11/30
	  - Add Shutdown test to OnIdle
	  - OnCloseEditor, Activate the previously active edtor, not the
	  last tab; EditorManager::OnUpdateUI() used to do this.
	  wxAuiNotebook broke it.
	  - OnProjectClosing() ignore recording of closing editors;
	  OnProjectActivated() activate the current edtior for this project
	  (not last tab).
	  - Record last deactivated editor; OnEditorClose activate last
	  deactivated editor (vs. last tab)
	  - Fixed: loop in OnIdle() after svn 5939 changes

2009-11-29 16:42  killerbot

svn5943:  - little translation fixes

2009-11-27 08:37  biplab

svn5942:  * Cleanup: SVN propset for update.bat file.
	  svn:eol-style set to CRLF.

2009-11-27 08:34  biplab

svn5941:  * Cleanup: SVN propset for update script. svn:eol-style
	  set to LF.

2009-11-27 08:32  biplab

svn5940:  * Cleanup: SVN propset for openfilelist plugin.

2009-11-27 08:16  biplab

svn5939:  * Added: cbEVT_EDITOR_ACTIVATED event to be raised in
	  case an editor is activated programmetically.

2009-11-22 15:42  biplab

svn5938:  * Fixed: Update script for the following reasons-
	  1) CB_share_config is not build by default on Linux.
	  2) codesnippets is also not built by default. Copying it's binary
	  should be done by the update script accompanying it.

2009-11-22 14:21  biplab

svn5937:  * Fixed: Few discrepancies from unix project file.

2009-11-22 11:34  biplab

svn5936:  * Fixed: Deprecated Function call.

2009-11-22 08:49  killerbot

svn5935:  - adjust working directory in Cccc/CppCheck (thanks
	  Jens)

2009-11-22 06:56  jenslody

svn5934:  * IncSearch-plugin: added missing images (forgotten in
	  last commit)

2009-11-21 23:15  jenslody

svn5933:  * IncSearch-plugin: added regex-capabilities

2009-11-21 16:08  biplab

svn5932:  * Applied: [Patch #2812] compilergcc and debuggergdb
	  svn prop cleanup (files missed in previous commit)

2009-11-21 15:58  biplab

svn5931:  * Applied: [Patch #2812] compilergcc and debuggergdb
	  svn prop cleanup (Part 2 of 2)

2009-11-21 15:48  killerbot

svn5930:  - linker fix

2009-11-21 14:34  biplab

svn5929:  * Applied: [Patch #2812] compilergcc and debuggergdb
	  svn prop cleanup (Part 1 of 2)

2009-11-21 13:02  killerbot

svn5928:  - update to previous commit (copy/paste issue)

2009-11-21 12:57  killerbot

svn5927:  - fix typo

2009-11-21 12:55  killerbot

svn5926:  * Add CppCheck plug-in

2009-11-19 05:36  mortenmacfly

svn5925:  - reverted revert as is seems to cause issues on Linux
	  that need to be clarified.

2009-11-18 20:43  mortenmacfly

svn5924:  - reverted accidentally commit part of a patch

2009-11-16 10:27  mortenmacfly

svn5923:  - fixed missing include on linux

2009-11-16 10:04  jenslody

svn5922:  * fixed build-error introduced in last commit

2009-11-16 09:46  mortenmacfly

svn5921:  * fixed reproducible memory leak by applying patch
	  #2796 (thanks techy)
	  * added option to toggle read-only flag of a file (that belongs
	  e.g. to a version controlled to a project)
	  * applied some script bindings (thanks obfuscated)
	  - fixed spelling, missing include
	  - added Jens ;-)

2009-11-16 09:04  jenslody

svn5920:  * some small fixes for the update-script on linux

2009-11-15 19:13  killerbot

svn5919:  - update

2009-11-15 17:36  killerbot

svn5918:  - missed this one in previous commits

2009-11-15 17:31  killerbot

svn5917:  - update

2009-11-15 17:30  killerbot

svn5916:  - fix

2009-11-15 17:27  killerbot

svn5915:  * added CCCC (C and C++ Code Counter) plug-in

2009-11-14 18:48  killerbot

svn5914:  - fix typo

2009-11-13 05:47  mortenmacfly

svn5912:  - HexEditor plugin: added missing include path for
	  project file

2009-11-11 11:58  jenslody

svn5911:  * linux: workaround for a wxWidgets-bug, that makes
	  C::B crash if a floating window gets docked and composite effects
	  are enabled

2009-11-09 16:01  pecan

svn5908:  BrowseTracker 1.2.85 2009/11/9
	  - Fix crash when disabling plugins (in BuildMenu)

2009-11-09 14:42  jenslody

svn5907:  * codesnippets: file forgotten in last commit

2009-11-09 14:42  jenslody

svn5906:  * codesnippets: build-fix to avoid name-conflicts
	  between wxWidgets and newer glib-versions

2009-11-08 18:14  pecan

svn5905:  MouseSap 1.1.7 2009/11/8
	  - Change Paste() to SetTarget() for Linux

2009-11-08 17:14  pecan

svn5904:  MouseSap 1.1.5 2009/11/8
	  - Shift-MiddleMouse will paste over marked if cursor also in
	  marked area else insert pasted data.

2009-11-08 16:50  pecan

svn5903:  Codesnippets 1.3.118 2009/11/8
	  - FileImport.h for Linux

2009-11-08 16:49  jenslody

svn5902:  * wxScintilla: reduce flickering with newer gtk+ on
	  linux; thanks Eran for the patch

2009-11-08 16:39  pecan

svn5901:  CodeSnippets 1.3.118 2009/11/8
	  - re-enable context menu for editors.
	  - Added config option to turn off tooltips
	  - Added Save/Close to context menu and filtered entries
	  - Correct behavior of Close() for editor tabs in SEditorManager
	  - Import CB resouces when using external codesnippets folder
	  - Validate dir structure before saving .xml file
	  (SaveItemsToFile)
	  - Double click or Enter key on category expands or collapses tree
	  item
	  - Fix behavior of docked/floating window at OnRelease()
	  - Call macro replace only if text has some of "$%["
	  - Add support for vendors other than "codeblocks"
	  - Fix erroneous double entry into "Save Index As" routine
	  - Fix crash in SEditorManager::CheckForExternallyModifiedFiles();

2009-11-08 15:50  pecan

svn5900:  BrowseTracker 1.2.84 2009/11/7
	  - Corrections for Linux

2009-11-08 14:06  pecan

svn5899:  BrowseTracker 1.2.84 2009/11/7
	  - Set browse marks sorting flag in OnEditorActivated()
	  - Set BrowseSelector width window by filename width
	  - Added JumpTracker; record each activated cursor posn within a
	  half-page
	  - Activate previously active editor when secondary project
	  closes.

2009-11-03 12:11  jenslody

svn5895:  * fix an issue when compiling single c-files that does
	  not belong to a project: if the filename is quoted (spaces,
	  braces etc.) the file was treated as c++-file

2009-10-27 14:43  mortenmacfly

svn5892:  * AutoVersioning v1.4 (patch by JGM):
	  - Fixed ubuntu_style_version declaration now it is char string
	  instead of double.
	  - Added new tab of autoversioning editor named "Code"
	  - New support to declare header guard define.
	  - New support to declare namespace name.
	  - New support to add a prefix to all variables helping in c mode
	  like for example the DATE declaration found in other header files
	  the same name.

2009-10-26 16:20  mortenmacfly

svn5891:  * added i18n script for Windows

2009-10-26 15:22  jenslody

svn5890:  * ThreadSearch: skip empty files, otherwise we can get
	  a "Failed to open" errormessage.

2009-10-26 12:19  mortenmacfly

svn5887:  * fixed bug with search scope introduced with last
	  commit
	  - added more file type extensions to file properties dialog
	  - exported file name to workspace file is now always using
	  forward slashes

2009-10-26 11:01  mortenmacfly

svn5884:  * applied patch concerning consistency with labels (by
	  mariocup)

2009-10-22 10:00  mortenmacfly

svn5874:  * cc: applied patches by blueshake and ollydbg for
	  improved typedef handling

2009-10-21 21:45  jenslody

svn5873:  * do not remove doubles in the symbols-browser; they
	  reflect a parser issue, that can not be handled correctly by the
	  symbols browser, and removed doubles most likely contain
	  information that gets lost otherwise

2009-10-21 11:10  jenslody

svn5872:  * make creating the symbols-browser-tree much faster

2009-10-20 19:49  killerbot

svn5871:  - include fixes

2009-10-20 15:37  mortenmacfly

svn5870:  - cc: fixed tiny "bugs" in preprocessor test cases

2009-10-20 15:32  mortenmacfly

svn5869:  - cc: fixed tiny "bugs" in preprocessor test cases

2009-10-20 15:25  mortenmacfly

svn5868:  - cc: added test cases for preprocessors (macros)

2009-10-20 08:34  mortenmacfly

svn5867:  - CC: applied patch by ollydbg: TRACE macro
	  * HexEdit: applied patch by danselmi: correct editor name
	  - profiler: fixed tiny bug with showing progress bar every 10
	  times
	  * AVR wizard: applied patch by danselmi: add more processor
	  types, add post build commands
	  * todo: fixed bug with comparing priority (sorting by priority)
	  - app: do not use m_NoXXX variables, use m_XXX instead. A
	  statement liek if (m_XXX) is easier to read than if (!m_NoXXX)
	  * app: re-enable logging to see errors if running C::B in safe
	  mode

2009-10-17 07:03  killerbot

svn5866:  - remove warning

2009-10-15 19:21  jenslody

svn5865:  * swap header/source: fixed a bug, that made C::B no
	  longer ask whether a non-existant file should be created

2009-10-14 17:23  killerbot

svn5864:  - fix for the changed gdb startline

2009-10-11 13:17  mandrav

svn5862:  * inline files (.inl) are now treated as headers
	  instead of as sources (aka no compile/link by default).

2009-10-11 11:50  biplab

svn5861:  * wx-2.9 migration: Fixes for
	  codecompletion/nativeparser.cpp

2009-10-11 11:49  biplab

svn5860:  * wx-2.9 migration: Fixes for parser/parserthread.cpp

2009-10-09 06:49  mortenmacfly

svn5857:  - cc: updated test cases concerning typedefs/structs

2009-10-09 06:13  mortenmacfly

svn5856:  * cc: fixed a bug pasring function arguments
	  (introduced in r5845)
	  - cc: some code cleanup

2009-10-09 05:30  mortenmacfly

svn5855:  * cc: better tooltip (thanks blueshake)
	  - cc: added more tests for typedefs, added tests or function
	  arguments

2009-10-09 05:26  mortenmacfly

svn5854:  * profiler: applied (modified) patch of nausea, less
	  CPU usage, enhanced usability
	  * profiler: added support for unused functions and static call
	  graph
	  - profiler: As execution of gprof might be really lengthy, show a
	  busy dialog at least so the user knows *something* is happening

2009-10-07 07:03  mortenmacfly

svn5852:  - CC: added (simple) STL test cases

2009-10-07 06:56  mortenmacfly

svn5850:  * applied (modified) patch #2803 - faster header source
	  swapping (thanks techy)
	  - outsourcing of code not belonging to editormanager into
	  projectmanager (locate files in a project)

2009-10-07 06:46  mortenmacfly

svn5849:  * CC: introduced TRACE macros (thanks ollydbg)
	  - CC: some refactoring concerning readability, preparation of STL
	  support in GCC4 (currently disabled)

2009-10-06 15:31  mortenmacfly

svn5848:  * CC: removed problematic code that causes crash. code
	  was part of typedef parser but not needed anymore.

2009-10-06 11:02  thomasdenk

svn5847:  - Removed some "undo noise" from comment tidier and
	  random generator plugins

2009-10-06 08:52  mortenmacfly

svn5846:  - CC: added testing projects (and a workspace) for CC

2009-10-06 08:11  mortenmacfly

svn5845:  - CC: show message in the debug log if probably too
	  much code was skipped (probably a parser error therefore)
	  - CC: make debugging smartsense work again
	  - CC: code clean-up

2009-10-05 21:28  jenslody

svn5844:  * removed unnecessary code

2009-10-05 12:01  mortenmacfly

svn5840:  - CC: tiny fixes (rename obsolete wx1 methods, fix
	  brackets mismatch in logic)

2009-10-05 07:32  mortenmacfly

svn5838:  - CC: better handling of typedefs and escaped chars
	  (blueshake & ollydbg)

2009-10-01 15:44  mortenmacfly

svn5834:  * fixed a compilation error

2009-10-01 13:30  mortenmacfly

svn5833:  - CC: code cleanup
	  - tab2spaces for better alignment
	  - remove images from project files for better sync

2009-10-01 06:48  mortenmacfly

svn5832:  * CC: applied patch by ollydbg concerning operator
	  handling in nativeparser

2009-09-30 21:16  jenslody

svn5827:  * editormanager and infopane: force selection of the
	  tab that sends a tab-context-menu-event, to make sure this event
	  is handled correctly

2009-09-29 14:52  mortenmacfly

svn5826:  * CC: completing structs enhancedments, thanks ollydbg
	  * CC: do not create files while setting up include dirs for
	  parser (GCC only), thanks ollydbg
	  - CC: some native parser refactoring and cleanup

2009-09-28 08:15  jenslody

svn5825:  * fix a possible endless-loop in tokenizer.cpp

2009-09-27 09:54  jenslody

svn5824:  * make program's arguments and host-applications of the
	  contrib-plugins more consistent

2009-09-27 09:51  jenslody

svn5823:  * add xterm to the suggested packages for debian

2009-09-27 09:50  jenslody

svn5822:  * make ThreadSearch use wxCustomButton as toggle-button
	  in SearchIn-panel instead of wxBitmapButton; set dependencies
	  between projects in contrib-plugins-workspace where it is needed

2009-09-25 06:53  mortenmacfly

svn5819:  * fixed a typo in CC (thanks ollydbg)

2009-09-24 14:16  mortenmacfly

svn5818:  - a tiny fix to blueshake's brackets handling

2009-09-24 10:53  mortenmacfly

svn5817:  - fixed CC bug with anonymous namespaces (thanks
	  blueshake)
	  - fixed general parser bug

2009-09-21 18:18  mortenmacfly

svn5816:  - ThreadSearch: Another crash fix by yesno (hopefully
	  the last candidate...). Thanks!

2009-09-21 11:14  jenslody

svn5815:  * build fix

2009-09-21 09:43  mortenmacfly

svn5814:  - ThreadSearch plugin: applied fixes by yesno
	  - welcome the new start page

2009-09-19 09:43  jenslody

svn5813:  * fix for internationalization

2009-09-18 22:40  jenslody

svn5812:  * linux build fix for new ThreadSearch images

2009-09-18 17:22  jenslody

svn5811:  * fix a possible crash-candidate

2009-09-18 12:21  jenslody

svn5809:  use trashcan instead of ugly "x" for "delete
	  project/file from history" link on startherepage

2009-09-17 06:38  mortenmacfly

svn5800:  - wxSmithAui: fixed some compiler warnings reported by
	  rhf

2009-09-16 13:17  mortenmacfly

svn5797:  - fixed ThreadSearch documentation generation
	  - fixed some compiler warnings with GCC4

2009-09-16 12:09  mortenmacfly

svn5796:  * applied patch #2778: wx 2.9 Migration Patch to
	  wxSmith Plugin
	  - added "apply all" to borders in wxSmith managed windows for
	  easier handling

2009-09-15 11:19  jenslody

svn5790:  * fixed a build-bug in ThreadSearchView.cpp, that
	  slipped in with commit 5785

2009-09-15 09:27  mortenmacfly

svn5785:  * applied nice ThreadSearch patch that makes TS smaller
	  and more feasible for small monitor resolutions
	  * added filtering of compiler messages (in compiler options) ->
	  C::B can now skip messages with a certain string(s) in it
	  * updated code snipptes internal editor to be in sync with C::B
	  one
	  - fixed a few inconsistent includes in code snippets and browse
	  tracker
	  - removed some more #cb
	  - applied icon pack I got from (???) -> looks REALLY great. Get
	  used to it. (probably we'll later provide the old one as
	  additional download)
	  - updated project files to be more consistent
	  - another tiny fix to CC

2009-09-14 21:04  jenslody

svn5784:  * fixed a folding issue in split-view reported by
	  danselmi: a folded line in the second editor was always shown
	  underlined

2009-09-14 15:17  mortenmacfly

svn5783:  * applied (modified) patch #2162: add/remove file
	  to/from active project (thanks olipfei)
	  * applied (modified) patch #2745/2746: improve bracecompletion
	  (thanks danselmi)
	  * applied (modified) patch #2715: Link for deleting history items
	  from "start here" page (thanks arrowdodger)
	  * applied (modified) patch #2815: Remove file from project when
	  the delete key is pressed (thanks tpetrov)
	  * fixed a bug detected by killerbot/jens concerning new code
	  completion
	  * made logmanager more solid against invalid API usage (which
	  unfortunately happens through 3rd party plugins resulting in a
	  crash of C::B)
	  - fixed annoying compiler warning message in tinyxml
	  - fixed some project files not to use #cb for debugging w/ IPC
	  - made a global function in filemanager a private, local one (no
	  need to be global anymore)
	  - re-ordered projects in plugin workspace alphabetically
	  - updated doxygen SDK documentation file

2009-09-14 14:29  biplab

svn5782:  * Applied: [Patch #2739] Occurence highlighting on
	  second (splitted) view.

2009-09-13 22:31  jenslody

svn5780:  * linux build fixes

2009-09-13 21:41  jenslody

svn5779:  * cb_console_runner (Linux): fixed an issue, that leads
	  to incorrect execution times on some (all?) systems; fixed an
	  issue with converting the return-value of the
	  system(...)-function (only tested on debian/ubuntu, hopefully
	  still works on other linuxes).

2009-09-13 21:32  jenslody

svn5778:  * AStyle-plugin: fix a bug that leads to swapped styles
	  (Linux and GNU), added Horstmann-style, fixed a possible
	  endless-loop.

2009-09-13 19:17  mortenmacfly

svn5777:  * cc plugin: tried fixing a bug reported by killerbot

2009-09-13 13:31  mortenmacfly

svn5770:  * merged with codecompletion_refactoring branch
	  * major update to code completion plugin: thanks a lot to
	  sbezgodov, blueshake, ollydbg, oBFusCATed and all I forgot.

2009-09-12 02:45  biplab

svn5761:  * wx-2.9 migration: Fixes for sdk/filemanager.cpp

2009-09-12 02:44  biplab

svn5760:  * wx-2.9 migration: Fixes for sdk/cbeditor.cpp

2009-09-11 16:29  biplab

svn5759:  * wx-2.9 migration: Fixes for wxsChart/wxschart.cpp

2009-09-11 16:27  biplab

svn5758:  * wx-2.9 migration: Deprecated function call fix for
	  wxchart/chartctrl.cpp

2009-09-11 16:24  biplab

svn5757:  * wx-2.9 migration: Fixes for
	  wxflatnotebook/wxFlatNotebook/src/wxFlatNotebook/wxFlatNotebook.cpp

2009-09-06 12:56  pecan

svn5755:  DragScroll 1.3.25 2009/09/6
	  - re-instate wxCHECK_VERSION(2, 9, 0) guards accidently removed.

2009-09-04 19:42  pecan

svn5754:  DragScroll 1.3.24 2009/09/4
	  - Fix crash when loading .cbp via dde. OnAppStartupDoneInit()

2009-09-02 09:20  jenslody

svn5753:  * MouseSap: remove not needed files

2009-09-01 05:28  jenslody

svn5752:  * MousSap: remove global cb-var and not (yet?) needed
	  files from windows project-file

2009-08-31 22:29  jenslody

svn5751:  * MouseSap: more linux build-fixes

2009-08-31 21:24  killerbot

svn5750:  - include casing fix

2009-08-31 21:22  killerbot

svn5749:  -temp disable a statement to first tru to get a good
	  build

2009-08-31 21:18  killerbot

svn5748:  - further build fixes

2009-08-31 21:09  killerbot

svn5747:  - build fix

2009-08-31 19:23  killerbot

svn5746:  * add MouseSap

2009-08-30 19:31  mortenmacfly

svn5745:  * astyle plugin: updated astyle core to a more recent
	  version (v1.23)
	  * astyle plugin: updated astyle optiond to include new onces, but
	  some are still missing (patches welcome)

2009-08-26 06:13  jenslody

svn5744:  * updated incremental-search to work in split view

2009-08-26 06:00  jenslody

svn5743:  * fix for cbEditor::GetControl(), so it always returns
	  the correct control in split-view

2009-08-24 11:21  jenslody

svn5742:  * DDE-/IPC-connection: fixed error that slipped in with
	  commit 5739

2009-08-24 07:24  mortenmacfly

svn5739:  * applied several fixes by techy (thanks)
	  * applied fixes to wxPDFDocument from wxCode project
	  - made browsetracker wxAuiNotebook friendly again
	  - some cosmetic (non-functional) fixes

2009-08-23 11:04  jenslody

svn5737:  * encoding-detection: use user-specified default for
	  pure ascii-text instead of system-default

2009-08-22 08:47  biplab

svn5735:  * Removed: Makefile.in from version control.

2009-08-22 08:43  biplab

svn5734:  * Removed: Makefile.in from version control.

2009-08-22 07:35  killerbot

svn5733:  * improvements to automatic brace completion

2009-08-22 06:32  biplab

svn5732:  Remove Makefile from version control

2009-08-15 03:48  biplab

svn5731:  * wx-2.9 migration: Removed deprecated function calls
	  from src/switcherdlg.cpp

2009-08-07 22:42  jenslody

svn5730:  * make detection of latin-2 encoding optional, because
	  it can break latin-1 detection due to their similarity; update
	  mozilla-based encoding-detection, comment out some code not
	  needed by C::B

2009-08-06 10:00  mortenmacfly

svn5726:  * fixed certain bugs in compiler version detection
	  (user defined compilers did not work at all)
	  - optimised PCH compilation command generation

2009-08-04 14:20  jenslody

svn5724:  * added parameter to disable DebugLog output of
	  encoding-detector, otherwise it can lead to a crash, if used from
	  inside a thread (like ThreadSearch does); fix ThreadSearch
	  accordingly

2009-07-31 06:22  mortenmacfly

svn5723:  - revert r5636 (due to issues, see here:
	  http://forums.codeblocks.org/index.php/topic,10912.0.html)

2009-07-30 09:59  afb

svn5722:  - fix VPATH builds

2009-07-29 23:08  jenslody

svn5721:  * fix an issue in ThreadSearchView, slipped in with the
	  encoding detection changes, that can lead to increasing
	  textbuffers

2009-07-29 06:16  mortenmacfly

svn5718:  * compiler: fixed crash with SDCC compiler, thanks
	  stahta01

2009-07-28 07:15  mortenmacfly

svn5717:  - compiler: support macros in extra path

2009-07-26 18:53  jenslody

svn5716:  * (nasty) hack to avoid a name-conflict between
	  wxWidgets GSocket and the one introduced in glib 2.21

2009-07-26 18:38  jenslody

svn5714:  - fix (don't translate the option name), this time in
	  C::B's sdk

2009-07-26 16:28  killerbot

svn5713:  - fix (don't translate the option name)

2009-07-25 22:33  jenslody

svn5712:  * fixes for ThreadSearch to use C::B's
	  encoding-detection

2009-07-25 13:20  jenslody

svn5710:  * precompile sdk.h, otherwise debugging on linux is
	  partly broken if gcc >= 4.3, see
	  http://forums.codeblocks.org/index.php/topic,10529.msg73835.html#msg73835

2009-07-25 13:09  jenslody

svn5708:  * avoid underlinking of wxSmithContribItems

2009-07-25 13:07  jenslody

svn5706:  * added version-guards for wxAuiToolbar in wxSmithAui,
	  because it was added to wxWidgets in 2.8.9 and breaks build on
	  some distros

2009-07-25 12:41  jenslody

svn5704:  * fixed a crash-candidate; corrected HitTest in
	  switcher-dialog

2009-07-23 11:34  jenslody

svn5701:  * added missing properties in editorcolourset's copy
	  constructor

2009-07-23 09:49  killerbot

svn5700:  * brace completion [applied patch 2746 ]

2009-07-23 06:17  jenslody

svn5698:  * make indendation-guide be shown in empty lines too,
	  thanks to ollydbg

2009-07-22 15:52  pecan

svn5697:  BrowseTracker 1.2.80 2009/07/22
	  - Call OnEditorActivated() from OnEditorOpened() because editors
	  actived by Alt-G, "Swap header/source", and "Recent files" have
	  no cbEditor associated in EVT_EDITOR_ACTIVATED, and
	  GetActiveEditor() returns NULL.
	  - Hack to find editor's project. Since wxAuiNotebook, the initial
	  EVT_EDITOR_ACTIVATED has no cbEditor or cbProject associated.

2009-07-20 15:28  killerbot

svn5696:  * indentation guide highlight

2009-07-17 21:48  jenslody

svn5694:  * fix a possible crash-candidat

2009-07-13 21:21  pecan

svn5693:  BrowseTracker 1.2.78 2009/07/13
	  - Fix activations by keyboard after wxAuiNotebook added.
	  - Sort browse marks in idle time.

2009-07-13 10:54  jenslody

svn5691:  * fix a background-coloring issue (not the whole
	  background was coloured, only bg containing characters, see
	  http://forums.codeblocks.org/index.php/topic,10810.msg74145.html#msg74145)

2009-07-12 15:43  jenslody

svn5689:  * fix broken context-menus in infopane; make sure that
	  starthere-page is hidden if a new project is created; replace
	  tabs with spaces

2009-07-07 09:51  jenslody

svn5686:  * added missing files in debian install-file (got lost
	  in merge); reverted 5683 (the files have been renamed in 5671 and
	  are therefore not missing)

2009-07-07 06:50  mortenmacfly

svn5683:  - added two missing images for gnome

2009-07-07 06:14  mortenmacfly

svn5682:  * merged wxfnb_to_wxaui branch to trunk (true merge!)
	  * do *not* use wxaui branch anymore!

2009-07-06 08:33  afb

svn5681:  - fix VPATH builds

2009-06-22 16:36  pecan

svn5679:  CodeSnippets 1.3.107 2009/06/22
	  - Add "Settings..." to plugin ">" button menu.
	  - Use APPDATA envar on first run since CodeBlocks returns "" for
	  config folder in OnAttach().

2009-06-21 03:23  biplab

svn5678:  * wx-2.9 migration: Removed deprecated function calls
	  from pdfxml.cpp.

2009-06-21 03:11  biplab

svn5677:  * wx-2.9 migration: Removed deprecated function calls
	  from pdffont.cpp.

2009-06-21 03:02  biplab

svn5676:  * wx-2.9 migration: Removed deprecated function calls
	  from pdfdoc.cpp.

2009-06-21 02:40  biplab

svn5675:  * wx-2.9 migration: Fixes for pdffont.cpp (Thanks Tim
	  S).

2009-06-21 02:35  biplab

svn5674:  * wx-2.9 migration: Fixes for Profiler Plugin (Thanks
	  Tim S).

2009-06-21 02:15  biplab

svn5673:  * wx-2.9 migration: Fixes for Lib Finder Plugin (Thanks
	  Tim S).

2009-06-20 16:46  biplab

svn5672:  * wx-2.9 migration: Removed deprecated function calls
	  from keybinder/menuutils.cpp.

2009-06-20 14:19  jenslody

svn5671:  * more changes to debian build system, should be now
	  lintian-clean, except for some guessed spelling errors; changed
	  name and install-dir of mimetype-icons; fixed a typo

2009-06-20 13:20  biplab

svn5669:  * wx-2.9 migration: Removed deprecated function call
	  from keybinder/keybinder.cpp.

2009-06-19 17:01  killerbot

svn5668:  - remove warning

2009-06-19 11:56  mortenmacfly

svn5666:  * headerfixup: Applied modified patch of the forums to
	  make the log more beautiful, some UI re-design

2009-06-19 10:52  mortenmacfly

svn5664:  - updated script console with a label so it looks like
	  the debugger's console

2009-06-19 07:24  mortenmacfly

svn5663:  * debugger: applied patch #2773 (UI to send command to
	  the debugger directly). Thanks oBFusCATed!
	  - couple of fixes, backport from wxaui branch

2009-06-19 07:24  mortenmacfly

svn5662:  * debugger: applied patch #2773 (UI to send command to
	  the debugger directly). Thanks oBFusCATed!
	  - couple of fixes, backport from wxaui branch

2009-06-19 06:50  mortenmacfly

svn5659:  - envvars plugin: wxWidgets 2.9.0 compatibility (thanks
	  stahta01)

2009-06-18 08:23  mortenmacfly

svn5657:  * fixed 2 possible crash candidates

2009-06-18 04:59  killerbot

svn5656:  - include fix

2009-06-17 21:34  jenslody

svn5654:  * fixed an issue that makes it impossible for
	  macrosmanager to recognize that the file in the active editor has
	  changed (see
	  http://forums.codeblocks.org/index.php/topic,10714.msg73420.html
	  for details)

2009-06-17 21:13  killerbot

svn5653:  * support vector debugging

2009-06-15 21:58  jenslody

svn5650:  * fix a crash when rebuilding from commandline or
	  windows-explorer, and all targets/projects are cleaned at once
	  before they get build

2009-06-14 11:32  jenslody

svn5648:  * 64-bit build-fix, nedded for new wxWidgets bindings

2009-06-12 22:03  jenslody

svn5645:  * fix a bug on some windwos-versions, where the
	  controls of a ListControlLogger remain partly visible after
	  removing the active logger

2009-06-11 07:59  mortenmacfly

svn5642:  - dialog optimisations

2009-06-11 07:58  mortenmacfly

svn5641:  - cb_share_config: added wxs files to distr

2009-06-11 07:57  mortenmacfly

svn5640:  - fixed a logic bug in equality operator

2009-06-11 07:57  mortenmacfly

svn5639:  - minor enhancement
	  - spelling correction

2009-06-11 07:56  mortenmacfly

svn5638:  * udpates to script bindings

2009-06-11 07:56  mortenmacfly

svn5637:  - make ESC key function for confirm replace dialog

2009-06-11 07:55  mortenmacfly

svn5636:  - replace macros for compiler options (thanks Biplab)

2009-06-11 07:54  mortenmacfly

svn5635:  - minor bug fix in indexing

2009-06-11 07:54  mortenmacfly

svn5634:  - fixed minor bug
	  - dialog optimisations
	  - apply smartindent only for languages supported

2009-06-11 07:53  mortenmacfly

svn5633:  - const correctnes

2009-06-11 07:51  mortenmacfly

svn5632:  * updated progrid in wxSmith (minor bug-fix, latest
	  1.2.x release)

2009-06-11 07:49  mortenmacfly

svn5631:  * applied patch#2651 Thanks a lot!

2009-06-11 07:12  mortenmacfly

svn5630:  * updated script bindings

2009-06-11 06:57  killerbot

svn5629:  - in preparation for vector debugging

2009-06-08 16:32  killerbot

svn5628:  - build fix

2009-06-08 16:26  killerbot

svn5627:  - build fix

2009-06-08 14:34  pecan

svn5626:  KeyBinder 1.0.48 2009/06/8
	  - If tree item is a sub-menu don't allow key assignment
	  - Change KeyBinder menu access from GetLabel() to
	  GetLabel().Trim() (wx2.8.9/10)

2009-06-08 14:31  pecan

svn5625:  -Adding CodeSnippets GenericMessageBox

2009-06-08 14:27  pecan

svn5624:  -Replaced home grown messagebox with
	  wxGenericMessageBox

2009-06-08 14:25  pecan

svn5623:  CodeSnippets 1.3.105 2009/06/8
	  - Set dragged textdata like dragged filename for FireFox3
	  - Replace home grown messageBox with wxGenericMessaageBox

2009-06-07 20:25  jenslody

svn5622:  * change the rebuild project behaviour similar to
	  rebuild workspace (update to r5492)

2009-06-05 09:23  thomasdenk

svn5621:  - Fixed "narrowing conversion of from 'unsigned int' to
	  'wxChar' inside { }" error (breaks build for gcc 4.4)

2009-06-04 14:02  killerbot

svn5620:  -little fix in CodeCompletion wrt Case Sensitivity

2009-06-02 15:38  biplab

svn5618:  * wx-2.9 migration: Removed deprecated function call in
	  src/splashscreen.cpp.

2009-06-01 16:54  pecan

svn5617:  CodeSnippets 1.3.103 2009/06/1
	  - Fix crash when backspace\cut after Ctrl-A (Thanks Loaden)

2009-05-31 16:00  biplab

svn5616:  * wx-2.9 migration: Temporarily disabled compiler
	  version detection with wx-2.9 to fix a lock-up during C::B
	  startup.

2009-05-31 14:40  jenslody

svn5615:  * added regex for linker-warning and another
	  linker-error; removed ipc.cpp and ipc.h from project-file,
	  because they are not used, but can lead to an internal compiler
	  error with gcc >= 4.3 on 64-bit systems

2009-05-30 21:30  killerbot

svn5614:  * don't show code completion tooltip when debugging [we
	  want to see the value tooltip in case it has been enabled]

2009-05-30 16:45  killerbot

svn5613:  - build fix (gcc 4.4)

2009-05-30 07:19  killerbot

svn5612:  * patch applied : don't show debugging value tooltip
	  when a context menu is open (will greatly improve the "right
	  click : Add" watch functionality)

2009-05-26 18:45  pecan

svn5611:  CodeSnippets 1.3.102 2009/05/26
	  - Remove app default.conf.cbtemp from /APPDATA/codesnippets in
	  OnClose;
	  - Correct .cbtemp name to .cbTemp for linux
	  - Don't raise focus when ::wxActiveWindow != CodeSnippetsTreeCtrl
	  in OnEnterWindow()

2009-05-17 22:06  jenslody

svn5607:  * debian build:
	  - reorganised debug-packages, needed after changing compatibility
	  level to 5,
	  because the codeblocks-dbg package became a little too large (40
	  MB):
	  codeblocks shared library is now in codeblocks-dbg,
	  added codeblocks-contrib-dbg package containing debug libraries
	  for
	  the contrib-plugins;
	  - moved codesnippets executable from codeblocks- to
	  contrib-plugins-package

2009-05-16 13:47  mortenmacfly

svn5604:  * compiler: added regex for "cannot open output file"
	  (TODO: Probably valid for other compilers, too?!)

2009-05-16 12:43  biplab

svn5603:  * wx-2.9 migration: Fixes for CompilerGCC plugin.

2009-05-16 08:42  biplab

svn5602:  * wx-2.9 migration: Removed deprecated function calls
	  from xtra_res.cpp.

2009-05-15 23:10  jenslody

svn5601:  * fix a possible compiler-warning

2009-05-15 22:43  jenslody

svn5600:  * change some debian files to be more compliant to
	  uptodate standards

2009-05-15 07:02  mortenmacfly

svn5599:  * debugger: send debugger events and react accordingly
	  (applied patch #2632)
	  - few consistency / style changes

2009-05-14 15:58  biplab

svn5598:  * wx-2.9 migration: Fixes for Help plugin.

2009-05-14 15:56  biplab

svn5597:  * wx-2.9 migration: Fixes for EnvVars plugin.

2009-05-14 15:54  biplab

svn5596:  * wx-2.9 migration: Fixes for CodeSnippets plugin -
	  removed deprecated functions calls, fixed several build
	  issues.(Portion thanks to Tim S.).

2009-05-14 15:47  biplab

svn5595:  * wx-2.9 migration: Fixes for CodeSnippets plugin
	  (Portion thanks to Tim S.).

2009-05-14 15:36  biplab

svn5594:  * wx-2.9 migration: Fixes for CodeSnippets plugin
	  (Thanks Tim S.).

2009-05-10 21:22  killerbot

svn5593:  - C++Ox for gcc option

2009-05-10 09:23  biplab

svn5592:  * Grouped: Close workspace menu item with other Close
	  menuitems.

2009-05-09 12:17  biplab

svn5591:  * wx-2.9 migration: Fixes for ByoGames plugin (Thanks
	  Tim S.).

2009-05-09 12:10  biplab

svn5590:  * wx-2.9 migration: Fixes for DevPak plugin.

2009-05-09 12:07  biplab

svn5589:  * wx-2.9 migration: Replaced deprecated code from
	  BrowseTracker plugin.

2009-05-05 15:41  biplab

svn5588:  * wx-2.9 migration: Fixes for DragScroll plugin.

2009-05-05 15:40  biplab

svn5587:  * wx-2.9 migration: Fixes for ThreadSearch plugin.

2009-05-03 21:37  jenslody

svn5586:  * added subversion and xsltproc to build-dependencies
	  for debian/ubuntu; run bootstrap in debian-buildprocess, if
	  needed; automatically update ChangeLog to HEAD in
	  debian-buildprocess by running updateChangeLog.sh

2009-05-03 19:23  killerbot

svn5585:  - remove a few warnings

2009-05-03 16:50  jenslody

svn5584:  * added libtool and automake to build-dependencies for
	  debian/ubuntu

2009-05-03 13:46  biplab

svn5583:  * wx-2.9 migration: Fixes for
	  src/plugins/projectsimporter/projectsimporter.cpp.

2009-05-03 13:45  biplab

svn5582:  * wx-2.9 migration: Fixes for
	  src/plugins/projectsimporter/msvcworkspaceloader.cpp.

2009-05-03 13:44  biplab

svn5581:  * wx-2.9 migration: Fixes for
	  src/plugins/projectsimporter/msvcworkspacebase.cpp.

2009-05-03 13:43  biplab

svn5580:  * wx-2.9 migration: Fixes for
	  src/plugins/projectsimporter/msvcloader.cpp.

2009-05-03 13:42  biplab

svn5579:  * wx-2.9 migration: Fixes for
	  src/plugins/projectsimporter/msvc7workspaceloader.cpp.

2009-05-03 13:41  biplab

svn5578:  * wx-2.9 migration: Fixes for
	  src/plugins/projectsimporter/msvc7loader.cpp.

2009-05-03 10:49  biplab

svn5577:  * wx-2.9 migration: Fixes for
	  sdk/wxscintilla/src/PlatWX.cpp.

2009-05-03 06:25  biplab

svn5576:  * wx-2.9 migration: Fixes for
	  src/plugins/xpmanifest/windowsxplooknfeel.cpp.

2009-05-03 06:24  biplab

svn5575:  * wx-2.9 migration: Fixes for
	  src/plugins/scriptedwizard/wiz.cpp.

2009-05-03 06:21  biplab

svn5574:  * wx-2.9 migration: Fixes for
	  src/plugins/debuggergdb/gdb_commands.h.

2009-05-03 06:19  biplab

svn5573:  * wx-2.9 migration: Fixes for
	  src/plugins/debuggergdb/debuggergdb.cpp.

2009-05-03 06:18  biplab

svn5572:  * wx-2.9 migration: More fixes for
	  src/plugins/compilergcc.cpp.

2009-05-03 05:31  biplab

svn5571:  * wx-2.9 migration: Fixes for
	  src/plugins/codecompletion/nativeparser.cpp.

2009-05-03 05:29  biplab

svn5570:  * wx-2.9 migration: Fixes for
	  src/plugins/codecompletion/classbrowser.cpp.

2009-05-03 05:28  biplab

svn5569:  * wx-2.9 migration: Fixes for
	  src/plugins/codecompletion/ccdebuginfo.cpp.

2009-05-03 05:25  biplab

svn5568:  * wx-2.9 migration: Fixes for sdk/toolsmanager.cpp.

2009-05-03 05:21  biplab

svn5567:  * wx-2.9 migration: Fixes for sdk/compilerfactory.cpp.

2009-05-03 05:13  biplab

svn5566:  * wx-2.9 migration: Fixes for sdk/projectfile.cpp.

2009-05-03 03:47  biplab

svn5565:  * wx-2.9 migration: Fixes for sdk/compiler.cpp.

2009-05-03 03:45  biplab

svn5564:  * wx-2.9 migration: Fixes for sdk/cbworkspace.cpp.

2009-05-02 18:16  killerbot

svn5563:  - include fix

2009-05-01 14:54  biplab

svn5562:  * wx-2.9 migration: Fixes for
	  src/plugins/compilergcc.cpp.

2009-05-01 14:53  biplab

svn5561:  * wx-2.9 migration: Fixes for
	  src/plugins/compilerGDC.cpp.

2009-05-01 14:45  biplab

svn5560:  * wx-2.9 migration: Fixes for src/main.cpp.

2009-05-01 14:42  biplab

svn5559:  * wx-2.9 migration: Fixes for associations.cpp.

2009-05-01 14:41  biplab

svn5558:  * wx-2.9 migration: Fixes for app.cpp.

2009-05-01 13:28  biplab

svn5557:  * wx-2.9 migration: Fixes for cbProject.

2009-05-01 13:22  biplab

svn5556:  * wx-2.9 migration: Fixes for UserVarManager.

2009-05-01 13:12  biplab

svn5555:  * wx-2.9 migration: Fixes for ProjectManager.

2009-04-29 22:33  afb

svn5554:  * avoid division by zero, in wxSmith on macosx

2009-04-29 17:48  pecan

svn5553:  CodeSnppets 1 3.99 2009/04/29
	  - App: check for standalone execution before closing in OnClose()
	  to avoid error "can't delete default.conf.cbTemp"

2009-04-29 13:38  pecan

svn5552:  -BrowseTracker: add missing include quote

2009-04-29 08:55  afb

svn5551:  - fix make dist issue

2009-04-28 17:07  pecan

svn5550:  cbBrowseTrackr 1.2.76 2009/04/28
	  - Add include ConfigManager for linux

2009-04-27 16:08  biplab

svn5549:  * wx-2.9 migration: More fixes to SDK.

2009-04-27 15:51  biplab

svn5548:  * wx-2.9 migration: More fixes.

2009-04-27 15:49  biplab

svn5547:  * wx-2.9 migration: More fixes.

2009-04-27 15:46  biplab

svn5546:  * wx-2.9 migration: More fixes.

2009-04-27 13:14  pecan

svn5545:  CodeSnippets 1 3.98 2009/04/26
	  When passing URL, remove anything pass \r or \n
	  Fixed: A dragged URL item to a snippet did not save. CS did not
	  know it had changed.
	  Added zoom functions to Apps DragScroll class
	  Added GetCBConfigDir() to call routines that check for user
	  APPDATA var

2009-04-27 13:11  pecan

svn5544:  Added GetCBConfigDir() to call routines that check for
	  APPDATA var

2009-04-26 13:59  biplab

svn5542:  * wx-2.9 migration: wxFNB patch to use new event
	  handling system.

2009-04-21 16:00  biplab

svn5539:  * Fixed: [Bug #14424] It is not possible to create .pdb
	  file in Release version.

2009-04-20 03:52  jenslody

svn5538:  * added debian-subdir to main Makefile.am (for make
	  dist)

2009-04-19 15:14  biplab

svn5537:  * Fixed: [Bug #14969] profiler/cbprofilerexec.cpp:255:
	  Array index out of bounds

2009-04-14 15:25  biplab

svn5536:  * Applied: [Patch #2730] miss armelfgcc in the
	  common_functions.script (in modified form)

2009-04-13 14:47  biplab

svn5534:  * Modified: Code::Blocks configuration directory
	  retrieval code to make it portable on Windows.

2009-04-11 04:38  biplab

svn5532:  * Modified: make dist behaviour to generate source
	  tarball in .tar.bz2 format. This would reduce the size of tarball
	  by 15-20%.

2009-04-11 01:54  biplab

svn5529:  * Added: Makefile.in to exclude list in update.bat

2009-04-10 02:22  biplab

svn5527:  * Renamed: Original Makefile to Makefile.original and
	  added it to make dist.

2009-04-10 01:47  biplab

svn5526:  * Fixed: Make dist to include exchndl.dll file.

2009-04-10 01:45  biplab

svn5525:  * Fixed: Make dist to include autorevision.h header.

2009-04-08 16:13  biplab

svn5524:  * Fixed: Make dist in DevPak plugin.

2009-04-08 15:43  biplab

svn5522:  * Fixed: Make dist bug in Incremental Search plugin.

2009-04-05 16:37  jenslody

svn5520:  * Fixes for automake-system: make dist now includes
	  debian-subdir, copystrings and devpak_plugin; copystrings-plugin
	  (unix) can now be build with automake-system

2009-04-04 06:20  biplab

svn5519:  * Fixed: Non-PCH build (Thanks Tim for patch)

2009-04-04 04:16  biplab

svn5518:  * Reverted: Addition of CopyStrings and DevPak to make
	  dist. Some additional works needed.

2009-04-04 03:58  biplab

svn5515:  * Fixed: Broken make dist in IncrementalSearch plugin.

2009-04-04 03:53  biplab

svn5513:  * Fixed: Typo in last commit.

2009-04-04 03:38  biplab

svn5510:  * Fixed: Broken make dist in CodeSnippets plugin.

2009-04-04 03:34  biplab

svn5509:  * Fixed: Typo in last commit.

2009-04-04 03:24  biplab

svn5508:  * Fixed: CopyString and DevPak plugin were not included
	  by make dist.

2009-04-04 03:20  biplab

svn5505:  * Fixed: Broken make dist in (Compilergcc) plugin.

2009-04-03 18:16  killerbot

svn5504:  - include fix (build was broken)

2009-04-03 16:08  biplab

svn5503:  * Applied: Xaviou's patch for better translation of
	  C::B.

2009-04-03 15:45  biplab

svn5500:  * Fixed: Broken make dist.

2009-04-03 06:48  jenslody

svn5499:  * updated desktop-file for linux to be more standard
	  conform

2009-04-03 04:27  jenslody

svn5498:  * fixed a typo in last commit, thanks mmkider

2009-04-02 22:07  jenslody

svn5497:  * added the possibility to specify the execution
	  directory for custom makefiles, based on a patch of gryphon

2009-04-02 22:02  jenslody

svn5496:  * added the option to determine the width of horizontal
	  scrollbar automatically (see "Settings -> Editor -> Margin and
	  caret"), needed to scroll in very long lines

2009-03-31 18:25  killerbot

svn5495:  - gcc compiler option : -fomit-frame-pointer

2009-03-30 18:38  killerbot

svn5493:  - added -Wshadow warning option

2009-03-29 19:17  jenslody

svn5492:  * make the rebuild workspace-behaviour configurable:
	  default is to clean the entire workspace, before building the
	  projects/targets; alternatively the projects/targets will be
	  cleaned and buildone by one; see Compiler settings -> Other
	  settings

2009-03-29 11:23  jenslody

svn5491:  * fix a bug in codecompletion, that leads to a crash in
	  some cases

2009-03-29 10:35  jenslody

svn5490:  * readded include-path for tinyxml for byogames and
	  codesnippets on windows , otherwise build is broken with MinGW
	  3.4.5 shipped with 8.02 release

2009-03-27 21:56  mariocupelli

svn5489:  ThreadSearch:
	  - use icons search, options, searchdir for ThreadSearch settings

2009-03-14 18:41  jenslody

svn5486:  * remove #cb's in contrib plugins in our repo (windows)

2009-03-14 18:34  jenslody

svn5485:  * remove remaining #cb's in contrib plugins in our repo
	  (linux)

2009-03-14 17:59  jenslody

svn5484:  * avoid compiler warnings on linux

2009-03-11 16:29  jenslody

svn5483:  updated app.xpm to make C::B on linux use the same
	  (3d-)icon in titlebar as on windows

2009-03-08 14:00  jenslody

svn5482:  IncrementalSearch-plugin: fixed a bug that slipped in
	  with last commit

2009-03-07 20:42  jenslody

svn5481:  IncrementalSearch-plugin and HighlightOccurences: fixed
	  a bug when highlighting non-ASCII characters, like german umlauts
	  or chinese chars (both) or auto-selecting text found by IncSearch
	  when leaving toolbar with ESC (IncSearch)

2009-03-04 10:38  mortenmacfly

svn5480:  * project options: autoext. does not work correctly
	  (fixes bug #15341)

2009-03-03 20:56  killerbot

svn5477:  - compiler option (gdc/ming) for Intel Core2

2009-03-03 20:04  killerbot

svn5476:  - so first fundaments for pre/post remotedebugging
	  shell commands

2009-03-02 18:57  killerbot

svn5475:  - ansi build fix

2009-02-26 13:17  killerbot

svn5473:  make project notes window at load more intuitive

2009-02-26 08:29  jenslody

svn5472:  * non PCH build fix

2009-02-25 15:29  biplab

svn5471:  * Fixed: One build issue reported by Mephistopheles.

2009-02-25 10:05  killerbot

svn5470:  - compiler toolchain executables : trim trailing
	  whitespace [some users had an issue with this]

2009-02-22 10:24  jenslody

svn5469:  * enhanced handling of adding, deleting, duplicating
	  and renaming build targets in debugger-plugin, fixes a crash that
	  occurs if extra-commands or remote-debugging parameters are used
	  in a target, that should be deleted

2009-02-21 00:09  jenslody

svn5467:  - change some dialog texts in addition to last commit
	  (layout is renamed to perspective)

2009-02-20 23:30  mariocupelli

svn5466:  - rename menu View->Layout in View->Perspectives

2009-02-20 19:03  thomasdenk

svn5464:  - added daycount build variable

2009-02-20 06:37  mortenmacfly

svn5461:  * todo plugin: make plugin handle #warning and #error
	  correctly
	  - todo plugin: improve speed while searching for todo items;
	  minor code cleanup

2009-02-19 15:21  mortenmacfly

svn5459:  * todo plugin: actually make the plugin really (!)
	  remember new users/types (case sensitive)

2009-02-18 21:12  jenslody

svn5458:  * don't run postbuild-steps if we only clean the
	  project

2009-02-18 11:52  jenslody

svn5457:  * custom-makefiles: - changed clean-process, to show
	  output, if full commandline logging is turned on
	  - don't run prebuild-commands in clean-process

2009-02-14 11:03  byo

svn5456:  HexEdit: Fixed crashing internal test cases, caused by
	  using wxProgressDialog from other thread

2009-02-13 09:47  byo

svn5455:  HexEdit: Fix the fix (jay, I don't like to work in
	  hurry ;) )

2009-02-13 09:37  byo

svn5454:  HexEdit: Workaround missing memrchr on platforms other
	  than linux

2009-02-12 23:24  byo

svn5453:  HexEdit: (version 0.5 ready)
	  * Implemented backward search
	  * Few bugfixes

2009-02-12 23:21  byo

svn5452:  HexEdit: (version 0.5 ready)
	  * Implemented backward search
	  * Few bugfixes

2009-02-12 20:04  byo

svn5451:  HexEdit: Integrated internal search with normal
	  editor's search history

2009-02-12 00:30  byo

svn5450:  HexEdit: Implemented search support

2009-02-11 18:47  jenslody

svn5449:  * avoid unneded quotes in commands, otherwise using of
	  "konsole" unde KDE gets broken, fix for issue coming in with rev
	  5410

2009-02-08 04:40  biplab

svn5448:  * Added: Digital Mars C/C++ compiler Debug options,
	  Warning options, Optimization options & Exception options to
	  scripted wizard.

2009-02-07 12:15  biplab

svn5446:  * Fixed: [Bug #15121] PlatMacOSX.cxx:324: Mismatching
	  allocation and deallocation

2009-02-07 00:35  byo

svn5445:  HexEdit: Resolved problems related to 32-bit resolution
	  of scrollbar, HexEdit can now support files with size up to about
	  10^19

2009-02-07 00:34  byo

svn5444:  HexEdit: Resolved problems related to 32-bit resolution
	  of scrollbar, HexEdit can now support files with size up to about
	  10^19

2009-02-06 21:55  byo

svn5443:  HexEdit: Added support for files up to 2GB (unchanged
	  data is read directly from the file)

2009-02-06 21:54  byo

svn5442:  HexEdit: Added support for files up to 2GB (unchanged
	  data is read directly from the file)

2009-02-06 17:33  thomasdenk

svn5441:  - Use low fragmentation heap under Windows, for what
	  it's worth

2009-02-04 19:11  killerbot

svn5440:  - remove warnings

2009-02-04 15:35  mortenmacfly

svn5439:  - encoding detector: make fallback solution optional
	  (to explicitely force a user to enable the fallback solution)

2009-02-04 14:11  mortenmacfly

svn5438:  * encoding detector: using system locale as
	  backup-solution has returned
	  - encoding detector: added some more messages, helping to track
	  errors

2009-02-04 11:15  mortenmacfly

svn5437:  - encoding detector: better error description to find
	  the root of why a conversion has failed

2009-02-03 15:23  biplab

svn5436:  * Fixed: File can't be opened if "As Default encoding
	  ..." option is selected.
	  * Fixed: Non-PCH build (Thanks Tim S)

2009-02-02 19:11  byo

svn5435:  wxSmith: Fixed event names for wxListbook and
	  wxChoicebook (thanks goes for kencamargo for finding this)

2009-02-02 18:59  killerbot

svn5434:  - remove warning

2009-02-02 18:57  killerbot

svn5433:  - bugfix : && <--> || : thanks GCC for the nice
	  warnings :-)

2009-02-02 15:56  biplab

svn5432:  * Modified: Default encoding settings. Now user can set
	  an encoding as a Default one or as a fallback one.
	  * Fixed: [Bug #15158] Cannot open source code in F10

2009-02-01 22:02  killerbot

svn5431:  - updated warning settings

2009-01-31 23:50  jenslody

svn5429:  * fixed a crash, that happened when todo-list gets
	  disabled, when it is in message pane

2009-01-30 21:03  byo

svn5426:  HexEdit: Committed some WIP code for big files support
	  (reading from disk while editing), still disabled since not yet
	  tested well

2009-01-30 21:02  byo

svn5425:  HexEdit: Committed some WIP code for big files support
	  (reading from disk while editing), still disabled since not yet
	  tested well

2009-01-29 22:57  jenslody

svn5423:  * fixed error (margins initially not shown) , that came
	  in with last commit

2009-01-28 17:08  jenslody

svn5422:  * fix to make the editor respect margin masks set by
	  plugins like browsetracker,
	  fixes the blue-line-problem:
	  http://forums.codeblocks.org/index.php/topic,9998.msg69512.html

2009-01-27 20:27  jenslody

svn5421:  * Improvements and fixes for custom makefiles
	  build-system, especially for use of multiple custom makefile
	  projects in one workspace.
	  Based on a patch of gryphon.

2009-01-23 08:41  mortenmacfly

svn5419:  - do not use #cb in contrib plugins in our repo

2009-01-22 14:03  biplab

svn5418:  * Fixed: [Bug #15075] rename DoubleToString to avoid
	  conflict with wxWidgets (By applying [Patch #2653] rename
	  DoubleToString to avoid conflict with wxWidgets)

2009-01-22 08:26  mortenmacfly

svn5416:  - consistency with other files

2009-01-18 16:17  mortenmacfly

svn5414:  - SelectAll was still not using EditorBase (thanks
	  danselmi)

2009-01-17 16:23  biplab

svn5412:  * Fixed: codeblocks.desktop file.

2009-01-17 16:09  biplab

svn5411:  * IncrementalSearch: Removed use of global variables
	  from Unix project file to make it consistent with other project
	  files.

2009-01-17 13:39  jenslody

svn5410:  * avoid trailing quotes in some cases, use
	  "platform-dependent" quotes

2009-01-17 08:27  killerbot

svn5409:  - add missing include

2009-01-17 08:24  killerbot

svn5408:  - pch fixes

2009-01-16 20:32  jenslody

svn5407:  * fixed wxscintilla bug, that leads to not working
	  mousewheels on some systems. Thanks to DrewBoo.
	  Closes #15054

2009-01-16 15:36  mortenmacfly

svn5406:  * HexEdit plugin: Make use of new SaveAs API (thanks
	  danselmi)
	  - HexEdit plugin: Make sure the entry in the "File" menu is not
	  at the bottom :)

2009-01-16 13:49  mortenmacfly

svn5405:  - applied missing modifications for SaveAs patch

2009-01-16 09:38  mortenmacfly

svn5404:  - CC: allow "_" as first character in enums, too

2009-01-16 09:31  mortenmacfly

svn5403:  * allow raising batch-build dialog via icon (applied
	  patch from the forums)
	  * move SaveAs to EditorBase so that plugin can make better use of
	  it
	  * added CanSelectAll and SelectAll to EditorBase (suggested in
	  the forums for plugins)
	  * provide workspace built-in variables as macros (applied patch
	  from the forums)
	  * skip spaces before "=" and "," in tokenizer (suggested in the
	  forums)
	  * applied wxScintilla/D-lexer related patch (provided in the
	  forums)
	  * applied patch to realpath to fix problems with symlinks
	  (suggested in the forums)
	  - allow multiple selection when adding file(s) to a project
	  (suggested in the forums)
	  - use Mid instead of SubString for wxString (suggested in the
	  forums)
	  - check FileTreeData to be OK to avoid potential crashes in
	  compiler
	  - (probably) some logical fixed in CC parser (it can't harm ;-))

2009-01-15 12:28  thomasdenk

svn5402:  - Use MT19937 rather than rand() in C++0x mode

2009-01-15 06:36  jenslody

svn5401:  * corrected icon for "Edit -> Clear changes history"

2009-01-14 15:22  thomasdenk

svn5400:  - extended rndgen functionality, added test case

2009-01-14 06:55  jenslody

svn5399:  * expand variables, before trying to get the
	  version-string for gcc/MinGW-compilers

2009-01-14 06:52  jenslody

svn5398:  * updated copyright time to 2009

2009-01-12 23:13  jenslody

svn5397:  * Fixed bug in changebar.
	  Closes: #15029.

2009-01-12 22:46  jenslody

svn5396:  * if we are in batch-mode, no DDE/IPC-server should be
	  started

2009-01-12 16:20  killerbot

svn5395:  - few more warnings settings

2009-01-10 09:46  biplab

svn5394:  * Re-revert: Back to changes made in rev 5390. That
	  change is necessary.

2009-01-09 16:22  biplab

svn5393:  * Reverted: Commit in revision 5390. That change is not
	  necessary as -
	  1. SetVersionString() is not implemented for all compilers.
	  2. If the binary name is wrong, then it won't even work at all.
	  Thus no change in code is required. In case binary name is
	  different, an auto-detection would result in detecting proper
	  version string.

2009-01-09 13:34  thomasdenk

svn5392:  - Added auto-imagebase option where it was missing,
	  this should avoid relocations at startup

2009-01-08 20:09  jenslody

svn5390:  * set member-variable that holds the version-string,
	  after (!) we read the toolchain executables from configuration

2009-01-08 14:56  thomasdenk

svn5389:  - don't change lines that don't need it

2009-01-08 14:48  thomasdenk

svn5388:  - rndgen checkin

2009-01-07 17:18  jenslody

svn5386:  * fix possible crash-candidate in new
	  IPC/DDE-implementation

2009-01-05 21:24  killerbot

svn5382:  - extended the warning options some more

2009-01-04 04:49  biplab

svn5380:  * Fixed: Menu option "Clear history" looses icon in
	  File > Recent files & Recent projects.
	  * Fixed: Few menu items enable/disabling.

2009-01-03 19:31  mortenmacfly

svn5379:  - removed duplicate header guard of last commit

2009-01-03 16:00  jenslody

svn5375:  * renamed menu-entry for empty undo- and
	  changebar-buffer to "Clear changes history", function names are
	  changed accordingly

2009-01-03 10:30  jenslody

svn5374:  * added file missing in commit 5373

2009-01-03 09:21  mandrav

svn5373:  - merged "scintilla" branch to trunk (r5321-r5372).

2008-12-30 11:05  jenslody

svn5368:  * fixed the drag and drop-bug coming up with new
	  scintilla version

2008-12-28 16:47  killerbot

svn5367:  - no need for translation

2008-12-26 16:07  killerbot

svn5363:  - some more warning options for GCC

2008-12-26 15:48  killerbot

svn5362:  - update to previous commit, windows encoding got me

2008-12-26 15:34  killerbot

svn5361:   - little fix so that html log looks ok in browser
	  (quoting)

2008-12-25 14:18  jenslody

svn5356:  * get rid of another warning during build of C::B,
	  fixed a minor issue coming with scintilla merge

2008-12-25 14:07  killerbot

svn5355:  * some better warning options for GCC

2008-12-25 11:45  jenslody

svn5354:  * IncrementalSearch-plugin: some more changes that got
	  lost while merging with new scintilla-branch

2008-12-25 08:14  killerbot

svn5353:  - 1 further fix to makefile.am

2008-12-25 08:09  killerbot

svn5352:  - fix makefile.am (got broken due to merge ??)

2008-12-24 20:21  killerbot

svn5351:  - remove warning

2008-12-24 15:15  biplab

svn5350:  * Merged: MySQL lexer missed in last branch merging.

2008-12-24 13:48  biplab

svn5349:  * Fixed: Build warning under GCC-4.3.x

2008-12-24 13:36  mandrav

svn5348:  - merged "scintilla" branch to trunk (r5247-r5320).

2008-12-23 16:18  biplab

svn5347:  * Updated: Makefile.am to reflect changes in last
	  commit.

2008-12-23 16:14  biplab

svn5346:  * Removed: Unnecessary files from wxScintilla folder.

2008-12-22 08:46  thomasdenk

svn5345:  - Applied Byo's proposal for scroll-free replace

2008-12-21 23:29  jenslody

svn5344:  * make sure that masterpath and extrapath of a
	  toolchain executable come before default systempath in
	  executables environment, to avoid conflicts with different
	  versions with the same name

2008-12-21 22:30  dje

svn5343:  ThreadSearch: implemented the possibility to remove
	  search results from list or tree control.

2008-12-21 20:27  jenslody

svn5342:  * fixed bug in compiler autodetection for MinGW / gcc

2008-12-20 10:37  byo

svn5341:  HexEdit: Fixed calculation of address

2008-12-19 16:00  biplab

svn5340:  * Fixed: Build error under certain configurations (More
	  to follow).

2008-12-18 21:47  byo

svn5339:  HexEdit: Added ability to change the way columns count
	  is calculated

2008-12-17 06:04  jenslody

svn5338:  * added some missing headers to wxSmith's pkg-config
	  list

2008-12-14 22:03  daniel2000

svn5336:  - some fixes for jens' changes in rev5334
	  - missing header in makefile (for make dist)

2008-12-14 15:43  jenslody

svn5335:  * added missing contrib-plugin names in debian control
	  file

2008-12-14 00:07  jenslody

svn5334:  * changed directory-layout if codeblocks gets build
	  with automake, to make it more compliant with the "Filesystem
	  Hierarchy Standard"
	  * changed debian package-layout, to have arch-independent and
	  arch-dependent files in different packages
	  * added wxsmith development headers and a wxsmith conf-file for
	  pkgconfig
	  * added update-script for ChangeLog on linux-systems (needs to be
	  called manually at the moment)

2008-12-11 22:52  dje

svn5333:  * ThreadSearch plugin : implemented the possibility to
	  run many searches without deleting previous results.

2008-12-10 22:12  byo

svn5332:  HexEdit:
	  * Code refactoring to prepare better architecture for
	  parametrized views
	  * Added possibility to chage view modes: Bin/Hex, 1,2,4,8 Bytes,
	  Big-Endian/Little-Endian (in editor only, not yet in value
	  preview)
	  * Some svn properties update

2008-12-07 23:22  jenslody

svn5331:  * If "Auto show/hide message pane" has changed in
	  environment settings dialog, it will be used immediately (without
	  restart of C::B).
	  * After compiling with message "Nothing to be done." message pane
	  will be closed if "Auto show/hide message pane" is activated.
	  * Make sure that no deleted layouts remain in conf-file, if their
	  amount decreased.

2008-12-07 20:55  jenslody

svn5330:  * remember logger pane size when toggling with F2
	  (modified patch of elie)

2008-12-05 15:34  thomasdenk

svn5329:  - tidycmt plugin checkin

2008-12-05 08:00  ceniza

svn5328:  * Applied patch by danselmi to fix automatic
	  indentation after opening brace when the next non-white character
	  is a closing brace.

2008-12-02 22:43  jenslody

svn5327:  * really fixed a parsing error with stream operator
	  (<<) (see r5007)

2008-12-01 22:45  jenslody

svn5326:  * fixed wrong indexing of arrays in watches window, if
	  gdb shows multiple occurrences as one, with the addition
	  "<repeated xx times>"

2008-11-29 09:56  jenslody

svn5325:  * changed saving and restoring of colours for IncSearch
	  nad HighlightOccurrences to make better use of sdk

2008-11-27 20:13  mortenmacfly

svn5324:  - removed duplicate header guard of last commit

2008-11-26 10:58  thomasdenk

svn5323:  - Removed an unnecessary pointer per object in
	  blockallocator (yes, I occasionally write bad code, too)

2008-11-22 19:21  jenslody

svn5319:  * improved and corrected colour-setting for highlight
	  occurrences:
	  actual colour is preallocated,
	  colour will not be used if editor configuration dialog is closed
	  with cancel

2008-11-20 09:55  mortenmacfly

svn5317:  - avoid warning on 64 bit platforms
	  - editor: use constants for editor margins (improve readbility of
	  code)
	  - remove nasty tabs leading to misunderstanding (to MeMyselfAndI)

2008-11-18 13:02  mortenmacfly

svn5316:  * fixed "file save" and "file save all" 16x16 toolbar
	  images not disabling (wrong color depth of the images)

2008-11-18 11:14  mortenmacfly

svn5315:  - fixed "save all" toolbar icon not disabling
	  - renamed member infoPane to m_pInfoPane variable to match our
	  coding guidelines

2008-11-17 18:50  jenslody

svn5314:  * fixed some layout issues:
	  - text now fits inside editorconfiguration-dialog (again?)
	  General Settings -> Other options,
	  - in compilerconfiguration-dialog toolchain-tab is shown
	  correctly (also fixes that buttons sometimes have been cut off in
	  Build options) both happened mainly on linux,
	  - toolbars with standard-controls are now (always) shown
	  correctly with wxWidgets2.8.9 on windows,
	  - enabled firefox 2 style for notebooks

2008-11-16 00:09  mariocupelli

svn5312:  Editor:
	  * partially applied patch #2116: in wrap mode put cursor with
	  Home/end key at current wrap point

2008-11-11 15:45  killerbot

svn5309:  - some improvements/fixes for translations/ menu
	  entries

2008-11-11 15:28  killerbot

svn5308:  allow menu entry to be translated

2008-11-11 15:24  killerbot

svn5307:  - menu addition fixes : Project menu : Autoversioning
	  entires: search for "&Project"

2008-11-11 15:21  killerbot

svn5306:  - menu addition fixes : Search menu : search for
	  "Sea&rch"

2008-11-11 15:15  killerbot

svn5305:  - menu addition fixes : search for "&View"

2008-11-11 15:03  killerbot

svn5304:  - menu addition fix : BrowseTracker : seach for "&View"

2008-11-11 15:00  killerbot

svn5303:  - menu addition fix : projectsimporter : search for
	  "R&ecent files"

2008-11-11 14:50  killerbot

svn5302:  - menu addition fix : exporter : search for "Print..."

2008-11-11 14:46  killerbot

svn5301:  - HexEditor : fix menu addition (search for &Open...)

2008-11-10 19:15  ceniza

svn5300:  Help plugin:
	  * Fix: Search for "&Help", not "Help" (causes problems with
	  translations)

2008-11-09 14:59  jenslody

svn5299:  * scriptconsole: make the command execute by pressing
	  enter inside the combobox on windows, too. (On linux/gtk it
	  worked out of the box)

2008-11-08 20:45  mandrav

svn5298:  * Search in class browser works on windows now too.

2008-11-05 12:22  jenslody

svn5297:  * wxSmith: added missing style to wxComboBox

2008-11-02 16:49  jenslody

svn5296:  hopefully fixed crash on output parsing

2008-10-28 12:16  mortenmacfly

svn5295:  - debugger: fix misleading error message (compiler
	  options: "Programs" tab is now called "Toolchain executables")

2008-10-25 18:00  mortenmacfly

svn5293:  * partially applied patch #2162: Common
	  RemoveFileFromProject method (avoid a lot duplicate code)

2008-10-25 17:21  biplab

svn5291:  * Fixed: [Bug #14639] Ignoring case when renaming files
	  to same name case modified

2008-10-25 16:17  biplab

svn5290:  * Fixed: [Bug #14713] Memory leak in
	  src/plugins/compilergcc/depslib/src/regexp.c

2008-10-25 16:01  biplab

svn5289:  * Fixed: [Bug #14714] Mismatching allocation and
	  deallocation in source_exporter

2008-10-25 15:36  biplab

svn5288:  * Applied: Patch to improve OpenWatcom compiler support
	  (Thanks to YesNo).

2008-10-24 21:22  byo

svn5286:  wxSmith: Replaced some icons with those provided by
	  nausea
	  (http://forums.codeblocks.org/index.php/topic,372.msg66841.html#msg66841)

2008-10-23 17:10  byo

svn5284:  HexEdit: Make previous commit compatible with windows
	  platform (poor support for long double :( )

2008-10-23 16:33  byo

svn5283:  HexEdit:
	  * Added automated expression parser tests
	  * Added basic trygonometric functions, log and pow
	  * Added parsing of floating point numbers
	  * Optimized a little bit the produced code

2008-10-20 20:48  byo

svn5280:  wxSmith:
	  * Applied (in modified form) update to wxGrid by rcoll
	  * Fixed typo in wxSashLayoutWindow (invalid name of XML property)

2008-10-20 07:07  mortenmacfly

svn5278:  - lib_finder plugin: restored broken Windows project
	  file (was broken since 5029...?!)

2008-10-19 19:08  jenslody

svn5277:  Incremental Search 0.4 2008/10/19:
	  - fixed a possible crash, when no "Start here"-page is shown
	  - make found text visible, even if it is in a column outside the
	  actual editor-window
	  - ESC now leaves IncSearch and optionally selects found phrase
	  (if textcontrol has focus)
	  - ALT-DELETE clears textcontrol (if it has the focus)
	  - added some svn-keywords to the files

2008-10-19 07:17  killerbot

svn5276:  - include fixes

2008-10-18 16:47  mandrav

svn5275:  * Moved class wizard menu item to "File->New->Class".
	  * Minor fix related to calltips.
	  * Display any script errors in separate (multi-line) window.

2008-10-15 15:47  mortenmacfly

svn5273:  * todo list plugin: implemented sorting of columns

2008-10-15 13:06  jenslody

svn5272:  * Incremental Search: fix for windows to make text
	  control update bg-colour immediately

2008-10-15 09:42  mortenmacfly

svn5271:  - fixed bug #14682: new URL for MSDN search

2008-10-14 12:12  mortenmacfly

svn5270:  - projects importer: (VC6 project) fix incorrect import
	  of postbuild commands including tabs
	  - projects importer: (VC6 workspace) issue an error message if
	  workspace did not contain any valid projects

2008-10-12 15:49  jenslody

svn5269:  - Incremental Search: small fixes to the conf-dialog
	  (Thanks to mariocup); updated the settings-bitmap

2008-10-12 12:28  jenslody

svn5268:  Incremental Search: Fixed a highlight bug, when
	  searched in selected text; added more configuration options;
	  added button to clear the text to search for; make line-endings
	  and indendation more consistent

2008-10-12 06:31  biplab

svn5267:  * Incremental Search: Fixed - A typo.

2008-10-11 15:58  jenslody

svn5266:  - Incremental Search: build-fix for wxWidgets versions
	  before 2.8.5, fix for windows projectfile not including the png's
	  in some cases

2008-10-11 14:36  biplab

svn5265:  * Incremental Search: Fixed - make dist will now
	  include resource images in source tarball.

2008-10-11 14:07  jenslody

svn5264:  - Incremental Search: rereverted previous commit,
	  because it *is* a bug, also fixed post-build steps on linux
	  (windows seems ok)

2008-10-11 13:41  biplab

svn5263:  * Incremental Search: Reverted previous commit. Sorry,
	  it was not a bug.

2008-10-11 13:14  biplab

svn5262:  * Incremental Search: Fixed - 16x16 images are not
	  stored in zip file during Linux builds.

2008-10-11 12:57  biplab

svn5261:  * Incremental Search: Removed Makefile.in from repo.
	  It'll be regenerated from Makefile.am file.

2008-10-11 10:32  jenslody

svn5260:  - Incremental Search: removed some unneeded headers,
	  removed some more virtual declarations (even if it is not
	  necessary) to make code more consistent, fixed typo in r5256
	  which leads to an error, if compiled without CB_PRECOMP

2008-10-11 09:12  killerbot

svn5259:  translation issues fixed : _T --> _

2008-10-10 20:32  killerbot

svn5258:  - follow up

2008-10-10 20:26  killerbot

svn5257:  - follow up (not complete yet)

2008-10-10 19:57  killerbot

svn5256:  - hopefully correctly adjusted the include mechanism
	  (and removed virtual/protected : nobody is inheriting currently,
	  so don't confuse the reader)

2008-10-10 16:49  killerbot

svn5255:  - first fixes in the addition of IncrementalSearch

2008-10-10 16:05  biplab

svn5254:  * Incremental Search: Fixed icon size of Main menu.

2008-10-10 12:43  jenslody

svn5253:  Adding missing files from last commit

2008-10-10 12:41  jenslody

svn5252:  Adding incremental search as contrib-plugin

2008-10-10 12:40  jenslody

svn5251:  Patch for (wx)scintilla to have more colourful
	  highlight-capabilities with indicators, patch for Highlight
	  occurences to use this

2008-10-10 11:58  mortenmacfly

svn5250:  * todo list plugin: made todo types configurable

2008-10-08 11:07  killerbot

svn5246:  - pch fix

2008-10-07 17:09  byo

svn5245:  wxSmith:
	  * Enabled wxGLCanvas (setting custom context not available yet)
	  * Changed some code to use same naming convention

2008-10-07 09:45  mandrav

svn5244:  * Improved filtering of matches for "goto
	  declaration/implementation"

2008-10-06 19:31  killerbot

svn5243:  - GCC 4.3 fixes (removing -include"sdk.h" from the cbp
	  files and some more) this is more or less the same as applying :
	  Patch #2560 and 2559

2008-10-06 15:40  jenslody

svn5242:  Patch #2570 to fix bug #10775, "GotoLine()" now works
	  correctly, even if parts of the code are folded. Thanks to XayC

2008-10-01 11:18  mortenmacfly

svn5241:  - added /? und --? help option alias (for the Windows
	  users not used to /h)

2008-09-30 21:33  byo

svn5240:  wxSmith: Fixed bug in font property generating wrong
	  code when relative size was used

2008-09-30 09:43  mandrav

svn5238:  * Added "--file=foo.cpp[:line]" option so a file can be
	  opened and, optionally, jump to a specific line

2008-09-29 21:23  jenslody

svn5237:  ThreadSearch plugin: fixed a bug that causes a crash on
	  linux (maybe also on win), when ThreadSearch uses Messages
	  notebook and was toggled off and then on again

2008-09-28 07:06  jenslody

svn5236:  * Non-PCH build fix. (Thanks to Tim S)

2008-09-28 05:23  biplab

svn5235:  * Removed: Unnecessary files from wxPropertyGrid.
	  Please do not put them in C::B repository.

2008-09-27 23:18  jenslody

svn5234:  * update.bat: supress warnings about non-existing
	  files, if UI resources are compressed the first time

2008-09-27 22:51  jenslody

svn5233:  Valgrind plugin: fixed a crash, when plugin was
	  disabled

2008-09-27 22:49  jenslody

svn5232:  fixed a problem when disabling a plugin that uses two
	  infopanes, at least one of them was not deleted, also fixing a
	  wxFlatNotebook bug, if the last two notebooks get deleted and the
	  last had the focus before

2008-09-26 11:00  mortenmacfly

svn5231:  - wxSmith: more descriptive error message if a property
	  could not be read

2008-09-26 08:08  mortenmacfly

svn5230:  * wxSmith: Updated (added) missing events to
	  wxCheckListBox (derived from wxListBox)

2008-09-25 19:10  byo

svn5229:  HexEditor (expressions):
	  * Switched memory accessing operator from "<dataType>( <offset>
	  )" to "<dataType>[ <offset> ]"
	  * added alternative to '@' as a string 'cur'

2008-09-25 18:38  byo

svn5228:  Makefile fix

2008-09-25 18:36  byo

svn5227:  wxSmith:
	  * Added missing size events to some base items (not all items
	  updated)
	  * Added "Advanced" category on the palette - it will be used for
	  more complex items available inside wxWidgets
	  * Added following items provided by rcoll:
	  - wxSingleInstanceChecker
	  - wxSashWindow
	  - wxSashLayoutWindow
	  - wxStopWatch
	  - wxSymbolPickerDlg
	  - wxGLCanvas (not yet enabled since it causes stability problems
	  on gtk)

2008-09-25 17:32  byo

svn5226:  HexEdit: forgot this small change

2008-09-25 17:26  byo

svn5225:  HexEditor:
	  * Added editor for stored expressions

2008-09-25 14:23  jenslody

svn5224:  fixed a problem with accessing infopanes correctly
	  after moving or toggling them

2008-09-25 14:22  jenslody

svn5223:  fixed an issue that causes progressbar to stay always
	  on top when adding files in linux via projects context menu

2008-09-25 14:19  jenslody

svn5222:  pending breakpoints can now be removed after starting
	  debug-session

2008-09-25 08:41  mortenmacfly

svn5221:  - wxSmith: updated wxPropGrid documentation, removed
	  obsolete files

2008-09-25 08:35  mortenmacfly

svn5220:  * wxSmith: updated wxPropGrid from 1.2.10 to 1.2.12
	  (for wx28 compatibility)
	  - notice: wxPropertyGrid will be part of wx29

2008-09-24 13:35  mortenmacfly

svn5219:  * fixed bug in tokenizer related to function arguments
	  with nested c-style comments

2008-09-24 11:08  mortenmacfly

svn5218:  - reverted some wrong atoi fixes

2008-09-24 08:41  afb

svn5217:  * codesnippets: add missing Mac headers

2008-09-24 08:40  afb

svn5216:  - codesnippets: fix relative path, for VPATH builds

2008-09-24 07:15  mortenmacfly

svn5215:  - made atoi into wxAtoi (as proposed by wx)
	  - made file dialog wxFILE_XXX flags to wxFD_FILE_XXX
	  (compatibility with wx28+)
	  - resources: wxRESIZE_BOX -> wxMAXIMIZE_BOX etc. (compatibility
	  with wx28+)

2008-09-23 16:14  jenslody

svn5214:  fixed crash-candidates: conversion to multibyte-string
	  fails in some rare cases and crashes C::B if result is passed to
	  c/c++-functions

2008-09-22 08:43  mortenmacfly

svn5213:  - fixed upper-case wxCHAR to wxChar

2008-09-22 05:26  killerbot

svn5212:  - little build fix (for ansi builds)

2008-09-21 20:19  killerbot

svn5211:  * bug fix for error introduced in rev 5209 (no longer
	  builds)

2008-09-21 20:10  killerbot

svn5210:  - remove warnings, and actually correct application of
	  that dirty old printf rules

2008-09-21 19:01  afb

svn5209:  - allow launch with associated application (open) for
	  all platforms

2008-09-20 11:47  killerbot

svn5208:  - some first wx29 compatibility updates

2008-09-19 06:38  mortenmacfly

svn5207:  - fixed wrong comparision with compiler index (thanks
	  stahta01)

2008-09-18 08:34  jenslody

svn5206:  - moved DDE-Server initialization, to make it start
	  after commandline is read.

2008-09-18 08:17  mortenmacfly

svn5205:  - fixed possible crash candidate (DDE server related)

2008-09-16 16:13  biplab

svn5204:  * Fixed: Project Importer menu location at File menu
	  was hard-coded. (It's a cosmetic fix and fixing two separators
	  after Import Project menu item bug in latest nightlies)

2008-09-08 07:36  killerbot

svn5203:  -pch include fixes, and DLLIMPORT on templates

2008-09-07 19:50  jenslody

svn5202:  fixed an issue that leads to a crash on linux, if the
	  last watch was removed from "Debug -> Edit watches" dialog

2008-08-31 14:26  jenslody

svn5201:  * fixed two minor errors

2008-08-30 07:08  biplab

svn5200:  * Cleaned Up: Project file.

2008-08-29 16:09  jenslody

svn5199:  fixed update-script for linux, previous version seems
	  to be incompatible with some shells
	  wxSmith: added "SetSashPosition" to generated code only if
	  wxSplitWindow has two children (update for r5196)

2008-08-29 14:38  pecan

svn5198:  DragScroll 1.3.23 2008/08/29
	  - Fixed: font sizes increasing across sessions in
	  OnMouseWheelEvent.
	  - Save/restore users ctrl-MouseWheel font changes across
	  sessions.
	  - Fixed: crash caused by failure in CleanUpWindowPointerArray()
	  - Changed option label "MouseWheelZoom" to "Log MouseWheelZoom"
	  to avoid confusion; even though it applies to other tree and list
	  controls.

2008-08-29 09:42  mortenmacfly

svn5197:  * projects_importer (MSVC6): Add support for importing
	  post build commands

2008-08-27 19:04  jenslody

svn5196:  wxSmith: added "SetSashPosition" to generated code to
	  make the appropriate parameter work

2008-08-26 17:37  jenslody

svn5195:  Hopefully fixed dde-issue when double-clicking on
	  associated files in explorer on XP and CodeBlocks is not yet
	  running.

2008-08-26 16:36  mandrav

svn5194:  * added logrotate-style backups to autosave

2008-08-24 09:59  biplab

svn5193:  * Highlight Occurrences:
	  - Added: Support for user-defined colours.

2008-08-23 17:49  pecan

svn5192:  CodeSnippets 1 3.92 2008/08/23
	  - App:Added RemoveFileFromRecentHistory routine
	  - Allow user to specify new filename at "Load Index File..."
	  - Adjust CodeSnippet TreeCtrl font via Ctrl-MouseWheel
	  - Adjust ThreadSearch log font via Ctrl-MouseWheel
	  - Delete temporary files created when editing xml text items
	  - After external file mod and reload, call
	  ScbEditor::SetEditorStyleAfterFileOpen() to re-establish margin
	  style, width, etc.
	  - Add file dragndrop to EditSnippetFrame
	  - Add wxLog::EnableLog(false) for release app to stop wxWidget
	  wxMessageBox's when user starts CodeSnippets.exe without a
	  CodeBlocks .conf file.
	  - Removed memoryMappedFile code for compatibility with non-linux
	  unixes
	  - Fixed missing events when CS switched from External to
	  docked/floating
	  - Auto start CS app if running in previous session.
	  - Auto show docked or floating when switching from app
	  - Ask user if s/he really wants multiple invocations of CS from
	  same folder.

2008-08-23 17:41  pecan

svn5191:  DragScroll 1.3.18 2008/08/23
	  - Implement Ctrl-MouseWheel zoom for CB list & tree ctrls
	  - Add config options "Ctrl-WheelMouse Zooms" and "Remember Log
	  Zoom"
	  - Allow user to ctrl-mouse zoom htmlWindows (eg, Start Here page)
	  - Fixed: missing events bec.StartHere htmlWindow never issues
	  wxEVT_DESTROY

2008-08-21 09:57  mortenmacfly

svn5190:  - added wizard for stlport enabled application(s)
	  - hexedit: fixed linker warnings on windows

2008-08-18 16:36  biplab

svn5189:  * Polished: Highlight Occurrences. Selection will now
	  be Filled rectangle, instead of a outlined rectangle.

2008-08-17 16:37  biplab

svn5188:  * Implemented: [Feature Request #4270] Occurrence
	  selection should be case-sensitive
	  * Highlight Occurrences: Added option to highlight Whole Words.

2008-08-17 13:49  killerbot

svn5187:  applied in modified form [ Patch #2537 ] help_plugin:
	  missing prototypes in defs.h

2008-08-17 13:36  killerbot

svn5186:  * applied Patch #2544 : loggers font fix

2008-08-15 18:15  killerbot

svn5185:  * copy/cut-paste fixes in linux
	  * copy/move fixes on linux when drag and drop of selected text
	  with the mouse

2008-08-13 22:22  jenslody

svn5184:  RegExTestbed plugin: fixed a bug that makes it
	  impossible to select/copy the quoted expression on linux and
	  makes it impossible to scroll the text of the output control.

2008-08-12 23:01  byo

svn5183:  HexEditor:
	  * Many bugfixes in the expression parser
	  * Added expression parsing into the preview section

2008-08-08 15:23  jenslody

svn5182:  HeaderFixup plugin: fixed typo in defaults.cpp that
	  leads to incorrect includes

2008-08-08 14:49  jenslody

svn5181:  Fixed a bug that can lead to a crash if compiler-plugin
	  checks if external deps are outdated. Thanks to jeroen for
	  pointing this out and the patch.

2008-08-06 22:03  byo

svn5180:  HexEditor: Forgot to add this file

2008-08-06 22:02  byo

svn5179:  HexEditor: Added expression calculator (based on simple
	  virtual machine), it will be used for goto, search and preview
	  operations

2008-08-01 17:17  killerbot

svn5177:  - include fixes

2008-08-01 17:03  killerbot

svn5176:  - include fixes, and /* */ --> // : (c++ code)

2008-08-01 16:41  killerbot

svn5175:  - update to previous commit

2008-08-01 16:39  killerbot

svn5174:  - first step to get rid of one public var, in
	  preparation of applying a patch

2008-08-01 15:54  killerbot

svn5173:  * OnReload does not re-establish margin numbers and
	  width (Bug #014298, patch number #002536)

2008-07-31 20:16  byo

svn5172:  HexEditor: Applied patch by dmoore - integration with
	  ShellExplorer plugin

2008-07-30 18:13  pecan

svn5171:  CodeSnippets 1 3.80
	  - Center find dlg in parent frame
	  - Invoke CheckForModifiedFiles in EditSnippetFrame EVT_ACTIVATE
	  - Invoke CheckForModifiedFiles in ThreadSearchFrame EVT_ACTIVATE
	  - Pass URL/URI in dragndrop as file for browsers
	  - App:Fix activating first instance when starting secondary
	  instances, then exit
	  - {enter} in snippets properties label simulates OK
	  - Fixed: App: CodeSnippets XML Index is not being saved OnClose
	  [x].(2008/07/30)
	  - Fixed: Loop caused by cross-frame event posting in EVT_ACTIVATE
	  routines
	  - Speed up .cbp compile time by sharing obj directory betwn
	  plugin & standalone

2008-07-26 11:58  daniel2000

svn5170:  - some minor fixes for make dist

2008-07-26 11:54  byo

svn5169:  HexEditor: Implemented inserting new bytes (INSERT key)
	  and deleteing current (DELETE key)

2008-07-26 11:44  daniel2000

svn5168:  - added libValgrind.* files to file list (forgot this
	  in last commit)

2008-07-26 11:33  daniel2000

svn5167:  - some spec file tidying and some minor fixes

2008-07-25 21:35  byo

svn5166:  HexEditor: Implemented goto functionality (ctrl+g)

2008-07-25 20:16  byo

svn5165:  HexEditor: Added "Open with HexEditor" option into the
	  "File" menu

2008-07-25 20:14  byo

svn5164:  Fixed bug causing C::B to rejest closing when using
	  editor other than the internal one

2008-07-25 19:37  jenslody

svn5163:  - fix for a rare case when reselecting a just
	  deselected word does not highlight its occurences

2008-07-25 11:51  jenslody

svn5162:  - fixed minor bug in headerfixup defaults

2008-07-24 14:26  thomasdenk

svn5161:  - made deselect work correctly

2008-07-23 20:52  byo

svn5160:  HexEdit:
	  * Fix problems with crashes on windows (potentially)
	  * Fix problem with displaying small files

2008-07-23 15:45  biplab

svn5159:  * Fixed: Auto-detection of GCC returns wrong compiler
	  dir (Reproducible in Fedora 9).

2008-07-23 15:41  thomasdenk

svn5158:  - missing line

2008-07-23 15:28  biplab

svn5157:  * Fixed: Occurrence selection remains active after
	  deselecting the text (due to last commit).

2008-07-23 13:10  thomasdenk

svn5156:  - CPU patch for patch #002525

2008-07-23 13:05  biplab

svn5155:  * Applied: [Patch #2525] Occurrences Highlighting

2008-07-22 20:54  byo

svn5154:  wxSmith: (thanx to pdsonic for finding these bugs)
	  * Fixed bug with checkable menu item (invaild name of XML node)
	  * Fixed procedure fetching menu items from XRC file

2008-07-21 19:35  thomasdenk

svn5153:  - Updated to take advantage of r5152

2008-07-21 19:19  mandrav

svn5152:  - added EVT_EDITOR_BEFORE_SAVE event

2008-07-21 19:15  pecan

svn5151:  -CodeSnippets 1 3.72 2008/07/20
	  - Disable Find and FindInFiles in FullSearch Preview window to
	  prevent crashes
	  - Disalbe FindInFiles in FullSearch editors (causing crashes)

2008-07-21 16:46  biplab

svn5150:  * Improved: Code to address a lock-up when ² is
	  entered.

2008-07-21 14:45  mortenmacfly

svn5149:  * fixed regression due to rev 5124 with libary
	  selection/modification

2008-07-20 20:59  jenslody

svn5148:  - Headerfixup-plugin: reverted the conditional part of
	  commit 5147, there seem to be problems with 32bit systems too

2008-07-20 20:07  jenslody

svn5147:  - Headerfixup-plugin: workaround for x86_64
	  compiling-problem

2008-07-20 13:35  pecan

svn5146:  - CodeSnippets - update versoin number

2008-07-20 12:22  pecan

svn5145:  *CodeSnippets 1 3.70 2008/07/20
	  - Fix FullSearch file open crash when CodeCompletion loaded

2008-07-19 19:55  byo

svn5144:  HexEditor: Added protection from crashes - all hex
	  editors are closed before plugin is detached

2008-07-19 17:08  byo

svn5143:  HexEditor: Workaround for MinGW's broked printf support
	  for long double

2008-07-19 10:12  byo

svn5142:  HexEditor: Changed resources

2008-07-19 10:11  byo

svn5141:  HexEditor: Now the "Value Preview" should be enabled by
	  default for sure :)

2008-07-18 22:03  byo

svn5140:  HexEdit:
	  * Made the "Value Preview" option enabled by default
	  * Some small project adjustments
	  * Removed some warnings

2008-07-18 19:14  byo

svn5139:  HexEditor: Switched to CamelCase for .so and .zip file
	  on linux

2008-07-18 18:18  killerbot

svn5138:  - hexeditor update

2008-07-18 18:00  byo

svn5137:  Added HexEditor plugin

2008-07-18 15:45  mortenmacfly

svn5136:  * updated bzip libs to most recent version (fixes
	  security flaws)
	  * added several lexers by applying patch #2517 (thanks danselmi)
	  - fixed minor bug in matching brace handling in cbeditor (thanks
	  danselmi)
	  - added auto import libs for several project (targets) where
	  required
	  - updated C::B project file's library options to be more flexible
	  (lib_XXX_.a -> _XXX_)
	  * fixed bug #14098, by applying patch #2506 (thanks techtonik)
	  - updated envvars project file as a workaround for the case of
	  spaces in the pathname (actually a bug in macrosmanager!)
	  - removed dead code in project manager

2008-07-17 18:37  killerbot

svn5135:  - the fix

2008-07-17 18:29  killerbot

svn5134:  - part of a fix ?

2008-07-17 17:11  mariocupelli

svn5133:  wizards:
	  - remove header/source dir for EasyKit-TC1767

2008-07-17 15:13  mariocupelli

svn5132:  wizards:
	  - add support for Audo-Future derivatives

2008-07-17 13:14  thomasdenk

svn5131:  - HeaderGuard

2008-07-16 20:57  mariocupelli

svn5130:  wizards:
	  - add support for Audo-Future derivatives (TC1767/TC1797)
	  - add wizards with usage of internal flash
	  - switch to new SFR header files for TriCore

2008-07-15 09:27  mortenmacfly

svn5129:  - fixed wrong forward decl in loggers.h (due to usage
	  of wxTextAttr as object)
	  - tried to hunt down a crash when compiling (related to
	  PipedProcess)
	  - headerfixup plugin: added missing keyword for C::B SDK

2008-07-15 08:01  killerbot

svn5128:  - include fix

2008-07-14 20:30  pecan

svn5127:  CodeSnippets 1 3.69 2008/07/14
	  - Jens' fix for broken CheckForModifiedFiles (Thanks)

2008-07-13 20:36  pecan

svn5126:  CodeSnippets 1 3.68 2008/07/13
	  - Fix standalone module to run as portable exe

2008-07-13 16:18  killerbot

svn5125:  * Valgrind plugin now has it's own menu entry
	  * added basic support for Valgrind::cachegrind

2008-07-13 10:48  mortenmacfly

svn5124:  * allow multiple selection for libraries in compiler
	  options for all operations (move, copy, delete...)

2008-07-12 18:55  mortenmacfly

svn5123:  - fixed codesnippets project fiile for unix

2008-07-12 12:57  byo

svn5122:  lib_finder: Added support for library dependencies

2008-07-12 12:51  byo

svn5121:  wxSmith: Changed method of connecting events directly
	  to item (like itemVariable->Connect( ... ) ) - id's of items are
	  not used now since this caused some problems (like wxEVT_CHAR was
	  not always processed).

2008-07-11 23:54  pecan

svn5120:  CodeSnippets - removed unused files

2008-07-11 23:53  pecan

svn5119:  CodeSnippets - removed unused files

2008-07-11 23:50  pecan

svn5118:  * CodeSnippets with ThreadSearch
	  - RightClick root item and choose FullSearch

2008-07-11 11:09  mortenmacfly

svn5117:  * applied several patches from Bugtracker (thanks jens
	  and others...)
	  - handle special charakters in tokenizer (fixes freeze)
	  - fix some compiler warnings on windows (auto-import)
	  - fixed issues with wxSmith on 64bit systems
	  - choose the right target for debugging
	  - correct placement of file modified dialog
	  - fixed wrong behaviour of taskbar icon on batch builds
	  - save missing layout infos

2008-07-10 05:33  killerbot

svn5116:  - update

2008-07-09 18:40  killerbot

svn5115:  - headerfix-unix.cbp fix

2008-07-09 18:38  killerbot

svn5114:  - update to previous commit

2008-07-09 18:31  killerbot

svn5113:  add Valgrind plugin

2008-07-08 20:29  mortenmacfly

svn5112:  - fixed makefile system due update of headerfixup
	  plugin

2008-07-08 11:15  mortenmacfly

svn5111:  * fixed crash when clicking the close-button twice by
	  applying patch #2513, thanks Der Meister.
	  headerfixup plugin:
	  - detect existing forward decls
	  - detect spaces in includes, e.g. #include < wx/wx.h >
	  - make the log available in a report window for inspection/save
	  - save the UI settings (including selection of libs)
	  - use RegEx for detection of includes, forward decls... in files

2008-07-04 12:54  mortenmacfly

svn5109:  header_fixup plugin:
	  - fixed a few bugs introduced in last commit (doh!)
	  - added todo file for devs that want to contribute

2008-07-04 12:16  mortenmacfly

svn5108:  header_fixup plugin:
	  - updated C::B defaults (e.g. to include the new logger)
	  - fixed a few bugs in wx 2.6.4 defaults
	  - added wx 2.8.8 defaults

2008-07-03 15:29  biplab

svn5107:  * Applied: [Patch #2508] Wrong name for .o file after
	  renaming .cpp file

2008-06-23 15:08  biplab

svn5105:  * Fixed: AutoVersioning plugin adds version.h more than
	  once for projects with more than 2 targets.

2008-06-22 15:57  biplab

svn5104:  * Fixed: File permission gets messed up after a file
	  save. (Uses a portion of patch by Jens, Thanks!)

2008-06-22 11:05  dje

svn5103:  * Added current target to search scope in ThreadSearch
	  plugin.

2008-06-19 20:14  killerbot

svn5102:  - minor include change

2008-06-19 20:04  killerbot

svn5101:  * don't parse the targets of another platform for
	  include directories [otherwise you get crap on linux when for
	  example a project containing linux wx target and windows wx
	  target : on linux you get complaints that #WX is unknown and you
	  get the global var dialog very easily 6 times or more presented]

2008-06-18 20:05  killerbot

svn5100:  * menu entry and keyboard shortcut for "Open include
	  file"

2008-06-18 15:59  mortenmacfly

svn5099:  * fixed: C::B not asking anymore to save a modified
	  workspace if e.g. another project was added

2008-06-17 15:37  ceniza

svn5098:  Help plugin:
	  * [BUGFIX] Crash when deleting first entry (patch provided by
	  jens)

2008-06-16 21:38  killerbot

svn5097:  * applied patch 2494 which fixes bug 14037 (thanks
	  Jens)

2008-06-16 21:30  killerbot

svn5096:  * menu entries and keyboard shortcuts for "Find
	  declaration of :'...'" and "Find implementation of :'...'"

2008-06-10 16:09  biplab

svn5095:  * Fixed: Couple of layout issues in Header-fixup
	  plugin.

2008-06-10 15:28  mortenmacfly

svn5094:  * fixed crash with HeaderFixup plugin if no project is
	  active... ooops. ;-)

2008-06-08 15:19  biplab

svn5093:  * Fixed: Wrong number of items radio box in Headerfixup
	  plugin.

2008-06-08 15:11  biplab

svn5092:  * Fixed: A bug introduced in previous commit. (Thanks
	  Jens for noting this)

2008-06-08 13:37  biplab

svn5091:  * Applied: [Patch #2480] Speedup update-script on linux

2008-06-08 13:19  biplab

svn5090:  * Fixed: [Bug #13982] Undocked (floating) windows can
	  cause GTK-Critical on linux (Using [Patch #2490])

2008-06-06 09:59  mariocupelli

svn5089:  Editor:
	  - fix pasting in block select mode (thanks to SiegeLord)

2008-06-05 21:46  dje

svn5088:  - ThreadSearch plugin : fix potential hang due to a
	  graphic call in the worker thread (thanks to Pecan)

2008-06-03 11:04  killerbot

svn5087:  - further header fixup fixes

2008-06-03 06:42  killerbot

svn5086:  - pch fix

2008-06-03 06:39  killerbot

svn5085:  * fixes to build HeaderFixUp on linux and dialog size

2008-06-02 11:32  mortenmacfly

svn5084:  * added (saved) HeaderFixup plugin (latest version) to
	  SVN
	  - adjusted build/install system (hopefully correctly... needs
	  testing)
	  - fixed envvars project file for unix
	  - reverted some wrong changes of R5070

2008-06-01 15:28  biplab

svn5083:  * Fixed: Possible crash when an open file is deleted
	  from disk and C::B is asked to remove it from project tree.

2008-05-28 22:55  ceniza

svn5082:  Debugger plugin:
	  * Bugfix: Valid frames in the call stack being discarded
	  ? Check: '(' printed as the address of call stack #0 when there's
	  not address information at all for it

2008-05-24 12:06  biplab

svn5081:  * Applied: [Patch #2452] Speedup 'update.bat'

2008-05-23 09:15  mandrav

svn5080:  * Script console is now a docking window (instead of
	  being part of the logs).
	  * Script console now keeps a history of entered commands.
	  * Fixed layout of some dialogs.

2008-05-22 18:39  pecan

svn5079:  DragScroll 1.2.15 2008/05/22
	  -Allow multiple invocations of OnAppStartupDoneInit() in order to
	  catch windows that open after we intialize. (2008/03/4)
	  - Conversion to use only one event handler (2008/04/22)
	  - Optimizations in MouseEventsHandler
	  - SearchForScrollableWindows() as service to external callers
	  - Added DragScroll events for rescanning/adding/removing windows
	  - Optimized/cleaned up MouseEventHandler
	  - Removed OnWindowOpen EditorManager dependencies
	  - Add Configure() and event to invoke it. 2008/04/29

2008-05-22 16:10  biplab

svn5078:  * Fixed: Code missed in last commit.

2008-05-22 15:59  biplab

svn5077:  * Fixed: Memory dump window shows wrong memory address.

2008-05-22 06:11  mortenmacfly

svn5076:  * fixed broken replace in files (thanks to Bob)

2008-05-20 14:51  biplab

svn5075:  * Fixed: [Bug #13841] memory dump does randomly not
	  work (by applying [Patch #2475]). Thanks Jens for the patch.

2008-05-17 06:03  biplab

svn5074:  * Added: Correct exchndl.dll file.

2008-05-17 06:02  biplab

svn5073:  * Removed: Corrupted exchndl.dll file.

2008-05-17 05:23  biplab

svn5072:  * Fixed: exchndl.dll was missing from trunk. Adjusted
	  the update.bat to include it.

2008-05-17 05:01  biplab

svn5071:  * Removed: Empty installer folder from the trunk.

2008-05-15 09:11  mortenmacfly

svn5070:  - fixed 2 possible crash candidates
	  - some more information given to the user if loading a manifest
	  file fails

2008-05-14 16:37  biplab

svn5067:  * Added the mime folders to the autotools build system.

2008-05-14 16:14  mortenmacfly

svn5065:  Moved setup/mime/codeblocks.desktop to
	  trunk/src/mime/codeblocks.desktop

2008-05-14 16:14  mortenmacfly

svn5064:  Moved setup/mime/codeblocks.png to
	  trunk/src/mime/codeblocks.png

2008-05-14 16:14  mortenmacfly

svn5063:  Moved setup/mime/codeblocks.xml to
	  trunk/src/mime/codeblocks.xml

2008-05-14 16:14  mortenmacfly

svn5062:  Moved
	  setup/mime/gnome-mime-application-x-codeblocks-workspace.png to
	  trunk/src/mime/gnome-mime-application-x-codeblocks-workspace.png

2008-05-14 16:14  mortenmacfly

svn5061:  Moved
	  setup/mime/gnome-mime-application-x-codeblocks.png to
	  trunk/src/mime/gnome-mime-application-x-codeblocks.png

2008-05-14 16:13  mortenmacfly

svn5060:  Moved setup/mime/Makefile.am to
	  trunk/src/mime/Makefile.am

2008-05-14 16:12  mortenmacfly

svn5059:  Created directory trunk/src/mime

2008-05-13 17:31  biplab

svn5058:  * Fixed: [Bug #13807] bootstrap of C::B fail on missing
	  src/setup

2008-05-13 17:01  biplab

svn5057:  * Non-PCH build fix. (Thanks Tim S.)

2008-05-13 16:44  biplab

svn5056:  * Fixed: Digital Mars Compiler throws error while
	  compiling Win32 App wizard generated projects.
	  * Fixed: Digital Mars Resource Compiler throws error while
	  compiling Win32 App wizard generated resource files.
	  * Minor tweak in Win32 App wizard generated resource file.

2008-05-13 16:35  biplab

svn5055:  * Fixed: [Bug #13800] Digital Mars Resource Compiler
	  Error

2008-05-13 13:26  mortenmacfly

svn5054:  * handle read-only file (editor) properly for
	  search-and-replace
	  * show an info window if while replacing in files some files were
	  skipped due to being read-only

2008-05-12 08:23  mandrav

svn5053:  - Moved 'setup' folder to root of the repository

2008-05-11 15:37  killerbot

svn5052:  - fix wx cb dll name

2008-05-11 07:22  mortenmacfly

svn5051:  - some minor fixes on the NSI file (to comply with new
	  C::B folders)

2008-05-11 07:12  mortenmacfly

svn5050:  - moved installer files to the right place

2008-05-11 07:10  mortenmacfly

svn5049:  moved installer files to the right place

2008-05-10 19:53  killerbot

svn5048:  - pch fix

2008-05-10 18:11  killerbot

svn5047:  - add some installer files

2008-05-10 13:05  byo

svn5046:  lib_finder: Added support for versioning of library
	  detection settings

2008-05-09 15:10  killerbot

svn5045:  - pch fix

2008-05-09 08:04  mandrav

svn5044:  * Project-wide remote debugging settings now offer
	  project-level settings too, in addition to target-level settings
	  (target-level settings override project-level ones).

2008-05-08 22:38  byo

svn5043:  wxSmith: Makefile.am fix

2008-05-08 22:09  byo

svn5042:  wxSmith:
	  * Exported 'WxsRecoverWxsFile' function into squirrel - it may be
	  used to recover resources when they were lost
	  * Fix potential crash when loading project with invalid resource
	  definitions

2008-05-08 14:44  ceniza

svn5041:  Source Exporter:
	  * Added option to print line numbers in the exported file.

2008-05-08 08:35  mandrav

svn5040:  * Debugger now updates the call stack when manually
	  switching to a different thread.

2008-05-07 21:55  byo

svn5039:  lib_finder:
	  * Changed list.xml content to look more like current library
	  detection settings xml files
	  * Small bug fixes

2008-05-07 20:49  ceniza

svn5038:  AStyle plugin:
	  - Reset m_PeakStart after peekReset

2008-05-07 18:11  ceniza

svn5037:  AStyle Plugin:
	  - Upgraded to AStyle 1.22

2008-05-07 14:58  killerbot

svn5036:  * fix the build (broken by rev 5029)

2008-05-07 12:26  mandrav

svn5035:  * Fixed a couple of bugs in C++ parser when parsing
	  comments.

2008-05-07 12:22  thomasdenk

svn5034:  * Fixed r5031 to compile with gcc 4.2

2008-05-07 11:41  mandrav

svn5033:  * Fixed bug with encoding detector being called twice
	  per file.
	  * Fixed default value inconsistency in two places for
	  ignore_invalid_targets setting.

2008-05-07 08:50  byo

svn5032:  lib_finder: Fixed Makefile.am

2008-05-07 08:49  mortenmacfly

svn5031:  * applied modified (no ABI change) variant of patch
	  #2425 by DrewBoo ("SDK recognises source and header extensions in
	  project mgr"). Thanks DrewBoo!

2008-05-07 08:45  mortenmacfly

svn5030:  * added native support for INL file extension (template
	  implementation files)

2008-05-07 07:21  byo

svn5029:  lib_finder:
	  * Added dialog helping to deal with unknown libraries when
	  project uses them
	  * Library detection definitions can now be downloaded from
	  internet

2008-05-05 10:03  mandrav

svn5028:  * Fixed C++ parser bug with operators containing the
	  '=' digit (caused the parser to skip big chunks of code).
	  * Added new view filter for symbols browser: "Everything"
	  (displays all known symbols).
	  * Members list in symbols browser (bottom list) now displays
	  member categorized (ctors & dtors, functions, vars, others),
	  where available, for easier reading.
	  * Enabled (and improved compared to initial plans) search
	  functionality in symbols browser.

2008-05-02 09:07  afb

svn5027:  - include string, for std::string (fixes the mac build)

2008-05-01 12:14  killerbot

svn5026:  * applied [ Patch #2424 ] GDB allows editing of
	  breakpoints when debugee is running

2008-05-01 08:53  biplab

svn5025:  * Added: SQL lexer.

2008-04-30 22:22  killerbot

svn5024:  * applied [ Patch #2362 ] Get lexer sample from user
	  data dir like lexer xml

2008-04-30 22:05  killerbot

svn5023:  * applied [ Patch #2422 ] Corrected spelling of
	  "explicitly"

2008-04-29 15:48  mandrav

svn5022:  * Fixed broken "run" functionality for console apps
	  (windows).

2008-04-27 09:31  biplab

svn5021:  * Fixed: [Bug #13500] Setting the icon of a wxFrame
	  causes compile error

2008-04-24 20:24  killerbot

svn5020:  - pch fix

2008-04-24 12:07  biplab

svn5019:  * Fixed: [Bug #13679] Crash in CodeCompletion after
	  autosave

2008-04-24 10:54  mandrav

svn5018:  * Added debugger option: "catch C++ exceptions".
	  * Added debugger option: "auto switch to first valid frame when
	  breaking". Meaning the debugger will switch to the first frame
	  with valid filename/line info when breaking.
	  * Replaced a couple of debugger's message boxes with info
	  windows.

2008-04-24 09:26  mandrav

svn5017:  * LD_LIBRARY_PATH is now correctly set for targets
	  executed with cb_console_runner.

2008-04-23 17:10  biplab

svn5016:  * Fixed: Refresh the project tree after AutoVersioning
	  plugin configures a project.

2008-04-23 17:02  biplab

svn5015:  * Fixed: [Bug #13676] OnCompiler(Started,Finished)
	  event.GetProject() returns null

2008-04-23 13:17  mandrav

svn5014:  - Fixed parsing bug introduced with last commit.

2008-04-23 12:22  mandrav

svn5013:  * Preprocessor definitions are now parsed and display
	  the macro's definition when the macro is used as a function.
	  * Fixed code-completion bug that would fail providing suggestions
	  if the caret was at the end of the file.

2008-04-23 11:58  mandrav

svn5012:  * Fixed well-hidden parsing bug related to template
	  parameters.

2008-04-23 07:41  mandrav

svn5011:  * Fix for bug with filenames that contain symlinks in
	  their paths (might open the same file more than once using
	  different paths because of the symlinks).

2008-04-19 12:19  killerbot

svn5010:  clean up (remove include\wxAUI)

2008-04-19 09:13  killerbot

svn5009:  * GCC support : added -std=c++98 and -Weffc++ compiler
	  options

2008-04-19 05:05  biplab

svn5008:  * Applied: [Patch #2442] AutoVersioning bugs, new
	  features (For JGM)

2008-04-18 18:31  mandrav

svn5007:  * Fixed a parsing error with stream operator (<<).

2008-04-16 11:42  thomasdenk

svn5006:  * Fixes to conditional variable handling

2008-04-13 17:43  byo

svn5005:  lib_finder: Fixed bug causing new custom libraries to
	  be removed

2008-04-13 03:49  mandrav

svn5004:  * New projects are now fully parsed for symbols after
	  the wizard finishes.

2008-04-13 02:43  mandrav

svn5003:  * Fixed bug in temporary C++ buffer parsing leading to
	  not recognizing some local vars (in some cases).

2008-04-13 02:09  mandrav

svn5002:  * Fixed special comments confusing the C++ parser
	  occasionally.

2008-04-12 09:40  biplab

svn5001:  * Fixed: [Bug #13585] Reload dialog shows when autosave
	  if enabled

2008-04-07 20:38  pecan

svn5000:  CodeSnippets 1.2.118 2008/04/7
	  - Save Doc file in CodeSnippetsTreeCtrl::OnIdle(), not just mark
	  as changed.
	  - Avoid " ..." only tooltip and verify XML text edit wxCancel
	  does not save.
	  - Add unique id to each XML element
	  - Add FindTreeItemBySnippetId() routine
	  - Fixed interference of SetFocus with EditLabel in tree ctrl

2008-04-06 11:09  biplab

svn4999:  * Fixed: Another Typo in Makefile.am (Thanks Jens for
	  pointing this)

2008-04-06 07:22  mortenmacfly

svn4998:  - truly added new wizards to the build system ;-)

2008-04-06 06:24  biplab

svn4997:  * Fixed: A typo in previous commit.

2008-04-06 06:15  biplab

svn4996:  * Fixed: Broken build due to the newly added wizards.

2008-04-05 21:09  killerbot

svn4995:  * consistency enhancement in project tree right click
	  menu : save project/file

2008-04-05 20:26  mariocupelli

svn4994:  Wizards:
	  * add wizards for ARM and PowerPC

2008-04-05 15:06  biplab

svn4993:  * Fixed: [Bug #13227] irrlicht porject wizard doesn't
	  find the irrlicht.h

2008-04-05 12:57  biplab

svn4992:  * Fixed; [Bug #13029] Scripting console crashes
	  codeblocks

2008-04-05 09:01  killerbot

svn4991:  - remove warnings

2008-04-04 16:31  biplab

svn4990:  * Fixed: To-do list fails to parse encoded files in
	  some cases. Now it will use EncodingDetector to detect and
	  convert encoded files.
	  * Improved: Opened files parsing would be several times fast as
	  now it will process them directly off memory.
	  * Fixed: To-do list starts parsing files while it's hidden.
	  * Added: A progress bar to update status while processing all
	  files of a project.
	  * Applied: [Patch #2423] TODO Plugin remembers its scope between
	  C::B sessions

2008-04-04 15:02  biplab

svn4989:  * Applied: [Patch #2332] Return focus to editor during
	  compilations

2008-04-04 14:38  biplab

svn4988:  * Applied: [Patch #2385] better WinAVR detection

2008-04-04 07:09  killerbot

svn4987:  - pch fix

2008-04-03 19:35  byo

svn4986:  lib_finder:
	  * Each library can not provide list of header files (using */?
	  wildcards) declared with this library
	  * Those headers can now be used to automatically detect missing
	  libraries in project

2008-04-03 15:25  biplab

svn4985:  * Fixed: Crash in Linux when an item is dragged from
	  one virtual folder to another and then it's edited. (Thanks r0d
	  for posting and Jens for the patch).

2008-04-02 14:43  biplab

svn4984:  * Added: Matlab_csf to configure.in.

2008-04-02 11:01  killerbot

svn4983:  - include pch fix

2008-04-01 17:49  mortenmacfly

svn4982:  - updated project files for the new wizard

2008-04-01 17:43  mortenmacfly

svn4981:  * added Matlab-C-S-function wizard

2008-04-01 17:40  mortenmacfly

svn4980:  * added new compiler: LCC
	  * class wizard: prefix checkbox not taken into account
	  - updated "skipping invalid compiler" message to be more
	  descriptive

2008-04-01 13:28  biplab

svn4979:  * Reverted: Commit revision 4968.

2008-03-31 18:37  mortenmacfly

svn4978:  * class wizard: add support for member variables, add
	  support for (doxygen) documenation
	  - commit a banana (on behalf of Ceniza)

2008-03-29 18:01  biplab

svn4977:  * Minor cosmetic fix.

2008-03-29 17:52  biplab

svn4976:  * Added: Support for Page-Up/Down, Home, End key in
	  IncrementalSelectListDlg.

2008-03-29 10:35  biplab

svn4975:  * Fixed: Couple of warnings in Scintilla.
	  * Fixed: Now C::B would not prompt to select missing compiler for
	  Targets not supported by current platform.

2008-03-27 22:51  byo

svn4974:  lib_finder: Forgot to modify Makefile.am and to add
	  some files

2008-03-27 22:48  byo

svn4973:  lib_finder:
	  * Added dialog allowing to edit currently known libraries
	  * Compilers are now matched using wxString::Matches() - can use *
	  and ? inside compiler filter
	  * Small code refactorings

2008-03-27 15:27  thomasdenk

svn4972:  - Experimental sigterm support

2008-03-24 21:48  killerbot

svn4971:  - pch fix

2008-03-23 21:28  killerbot

svn4970:  * make delete and insert work on num keypad (thanks
	  Rick)

2008-03-23 08:56  biplab

svn4969:  * Fixed: [Bug #13423] Search in files not working for
	  ISO-8859-1 in Linux (Thanks Rick for the patch)

2008-03-22 09:19  biplab

svn4968:  * Added: /nologo to resource compiler of MSVC-8.

2008-03-21 16:55  biplab

svn4967:  * Updated: Intel compiler detection code would now add
	  VC installation dir to extra paths list.

2008-03-16 11:59  biplab

svn4966:  * Improved: Auto-detection of Intel C/C++ compiler on
	  Windows. Now auto-detection code is able to-
	  - Auto-detect Intel compilers of any version number.
	  - Auto-detect working MSVC installation and configure it to use
	  with Intel compiler.

2008-03-15 19:02  biplab

svn4963:  * Added: C++ exception generation for Intel compiler by
	  the wizards.

2008-03-15 16:59  pecan

svn4962:  Removed file/folder

2008-03-15 16:58  pecan

svn4961:  BrowseTracker 1.2.74 2008/03/15
	  - Added Config settings panel to CB editor settings menu

2008-03-15 08:36  biplab

svn4960:  * Fixed: Broken Syntax-highlighting of wxSmith
	  generated code.

2008-03-15 06:19  biplab

svn4959:  * Fixed: Wrong command line option in AVR wizard.

2008-03-15 05:55  biplab

svn4958:  * Fixed: File status icon not changed after a file
	  can't be open. (Thanks to DrewBoo)

2008-03-14 21:06  byo

svn4957:  Fixed svn properties for sdk_common.h (no code change)

2008-03-14 20:34  ceniza

svn4956:  AStyle plugin:
	  - Applied stahta01's patch: missing includes when not using
	  precompiled headers

2008-03-14 18:50  mortenmacfly

svn4955:  - fixed typo

2008-03-14 08:02  mortenmacfly

svn4954:  * fixed broken compilation with project file under
	  Windows (committed forgotten project file... ooops)

2008-03-13 15:02  mortenmacfly

svn4953:  * symtab plugin: let it know *.so files (ooops.)
	  * dx wizard: update to allow selection / recognition of dx9

2008-03-13 14:18  mortenmacfly

svn4952:  - astyle: fixed wrong letter case, fixed horrible jumpy
	  code if not using tabs

2008-03-13 14:01  mortenmacfly

svn4951:  - fixed (some) project files concerning new
	  wcScinitilla, PCH, object output directory

2008-03-13 13:45  mortenmacfly

svn4950:  - fixed ca. 1 million compiler warnings with new
	  wxScintilla

2008-03-13 12:32  ceniza

svn4949:  * Applied patch by Bloody Cake to compile wxScintilla
	  on Linux.

2008-03-13 12:00  ceniza

svn4948:  Debugger Plugin:
	  - Fixed bug #13332: English typo?

2008-03-13 11:51  ceniza

svn4947:  AStyle Plugin:
	  * Applied patch #2405: New features for AStyle plugin (thanks go
	  to DrewBoo).

2008-03-13 09:14  mortenmacfly

svn4946:  * pumped wxScintilla to v1.71.1 (latest version
	  available) which includes Scintilla v1.62
	  - dev note: this includes are all C::B related patches
	  wxScintilla that I have tracked and that are still valid
	  hopefully I was not missing any...

2008-03-12 21:18  afb

svn4945:  * wxMac: launched programs should not appear behind
	  C::B

2008-03-12 15:11  ceniza

svn4944:  * cb_console_runner now shows the execution time on any
	  platform.

2008-03-10 16:17  biplab

svn4943:  * Fixed: Duplicate accelerator key in Edit menu.

2008-03-10 15:43  biplab

svn4942:  * Fixed: [Bug #12918] duplicated virtual folders &&
	  [Bug #11939] Dragged virtual folder structure doesn't save.

2008-03-10 12:18  ceniza

svn4941:  Help plugin:
	  * Bugfix: adding help files thru the ConfigDialog when there is
	  at least one added from the ini file makes some of the entries
	  point to the wrong file.

2008-03-09 19:59  dje

svn4940:  * Error pop ups can be enabled/disabled when a file no
	  longer exist or when file open fails.

2008-03-08 15:09  biplab

svn4939:  * Updated: Missed file in last commit.

2008-03-08 14:55  biplab

svn4938:  * Fixed: Broken build due to last commit.

2008-03-08 14:31  biplab

svn4937:  * Added: Automake files for Tricore Wizard.

2008-03-06 22:11  mariocupelli

svn4936:  wizards:
	  * add TriCore wizards as RAM/ROM version

2008-03-05 15:08  mortenmacfly

svn4935:  * CC: fixed wrong handling of inline fried methods in
	  classes

2008-03-04 21:20  byo

svn4934:  Fixed some problems with default / blank workspace

2008-03-04 21:13  byo

svn4933:  wxSmith: Fixed some problems with folding of
	  regenerated code

2008-03-04 20:19  byo

svn4932:  wxSmith: Fixed problems with encoding detection when
	  regenerating code

2008-03-04 20:13  byo

svn4931:  Fixed array-out-of-bounds bug when created
	  EncodingDetector providing filename

2008-03-04 17:51  byo

svn4930:  wxSmith: Fix the ANSI-compatibility fix (from rev.
	  4925)

2008-03-04 17:43  byo

svn4929:  wxSmith: Fixed bug #13270 - didn't store proportion
	  setting

2008-03-04 12:01  mandrav

svn4928:  * Added missing files for lf project wizard.

2008-03-02 21:43  mariocupelli

svn4927:  - correct typo

2008-03-02 16:56  afb

svn4926:  * fix autoconf's autorevision, it got broken with GPLv3
	  header in r4910

2008-03-02 08:13  afb

svn4925:  - minor string fix for building with ANSI wxWidgets

2008-03-01 19:21  mortenmacfly

svn4923:  * fixed compilation error with GCC34x ("converting to
	  execution character set: Illegal byte sequence")
	  * class wizard: added ability to autogenerate copy ctor and
	  equality operator
	  * debugger: made an (annoying) obvious warning message optional

2008-03-01 16:26  byo

svn4922:  wxSmith: Fixed bug #013238 crash possible while loading
	  wxStatusBar form xml data

2008-02-29 07:49  afb

svn4921:  - fix typo in wxMac platform

2008-02-29 07:43  afb

svn4920:  - update copyright year/info

2008-02-27 19:25  pecan

svn4916:  BrowseTracker 1.2.73 2008/02/27
	  - Set default BrowseMarks to disabled

2008-02-27 14:59  mandrav

svn4912:  - Updated AUTHORS file and aboutbox.

2008-02-27 13:50  mortenmacfly

svn4911:  - fixed lgpgv3 / gplv3 mismatch... dammed.

2008-02-27 13:34  mortenmacfly

svn4910:  - tagged all header files to GPLv3

2008-02-27 13:15  mortenmacfly

svn4909:  - tagged all fils to GPLv3

2008-02-26 21:55  mandrav

svn4908:  - Changed label's color from grey to black (was almost
	  invisible) in GCV
	  dialog.
	  * Changed license text to GPL-3.0 (still the file headers
	  remain),
	  * Updated about-box.

2008-02-26 21:54  killerbot

svn4907:  - InfoWindow clean up

2008-02-24 21:01  killerbot

svn4906:  * fix for multiple extensions/command for
	  compiler/linker commands and generated files [led to a crash of
	  CB in the end]

2008-02-23 14:14  mandrav

svn4905:  * Seemingly fixed dreaded DDE bug on windows.
	  * Parse project(s) for symbols when opening through the
	  command-line.

2008-02-23 13:49  mandrav

svn4904:  * Updated a couple of wizard scripts.

2008-02-23 04:05  biplab

svn4903:  * Fixed: Crash in Class wizard when class name is
	  empty.

2008-02-21 21:45  mariocupelli

svn4901:  - remove non existing file license.txt

2008-02-21 21:43  mariocupelli

svn4900:  - remove non existing file in CodeBlocks.cbp

2008-02-21 13:46  mortenmacfly

svn4899:  - fixed project files of a few contrib plugins
	  concerning non-PCH builds

2008-02-20 13:20  mortenmacfly

svn4898:  - updated doxygen doxy file to new doxygen version,
	  added all comments for documentation

2008-02-20 13:08  mortenmacfly

svn4897:  * envvars plugin: much more clever handling of
	  applying/discarding envvar sets with multiple projects
	  * envvars plugin: do not discard envvars that are not active
	  - envvars plugin: improved internal documentation

2008-02-19 14:02  pecan

svn4896:  BrowseTracker - guard all debugging asm(int3) with
	  debugging defined(LOGGING)

2008-02-19 11:57  afb

svn4894:  - fix building as universal binary

2008-02-18 20:06  killerbot

svn4893:  - fixed linux build due to removal of toolbox.h/cpp and
	  further clean up

2008-02-18 16:20  pecan

svn4892:  Removed file/folder

2008-02-18 16:15  pecan

svn4891:  BrowseTracker 1.2.71 2008/02/18
	  - removed unnecessary debugging files & references to ToolBox.*

2008-02-18 13:24  ceniza

svn4890:  Help plugin:
	  - Fixed: Menu items in *bold* are only available on Windows.

2008-02-18 12:54  killerbot

svn4889:  - include fix

2008-02-18 12:54  killerbot

svn4888:  - remove unneeded files

2008-02-18 11:24  ceniza

svn4887:  Help plugin:
	  * Help files read from index.ini are now added in *bold* to the
	  help menu, cannot be edited through the configuration dialog and
	  are not saved to the Code::Blocks config file.

2008-02-18 10:33  mortenmacfly

svn4886:  * compiler autodetection: allow mingw compiler suite to
	  be installed under [C::B]\mingw, too

2008-02-17 22:29  mariocupelli

svn4885:  help_plugin:
	  add help files of index.ini only once

2008-02-17 20:58  killerbot

svn4884:  - another update to get BrowserTracker building on
	  linux

2008-02-17 20:55  killerbot

svn4883:  - first update to get BrowserTracker building on linux

2008-02-17 20:50  killerbot

svn4882:  * added BrowseTracker to contribs

2008-02-16 12:00  biplab

svn4881:  * Fixed: Broken build due to last commit.

2008-02-16 06:51  biplab

svn4880:  * Fixed: Erratic behaviour (not all opened editor were
	  shown with their relative path) of Opened files tree right after
	  a Project load.

2008-02-15 15:17  mandrav

svn4879:  * Minor fixes in debugger (disassembly cursor tracking,
	  etc).

2008-02-15 09:43  mortenmacfly

svn4878:  - reverted r4877, added required debugger stop image to
	  complete r4876

2008-02-15 09:34  mortenmacfly

svn4877:  - removed duplicate images (now provided and only
	  required by the compiler plugin)

2008-02-15 09:29  mortenmacfly

svn4876:  - debugger plugin: renamed stop.png to dbgstop.png to
	  avoid conflicts with compiler

2008-02-13 08:00  mariocupelli

svn4875:  help_plugin:
	  - add support for including help files with index.ini in folder
	  docs

2008-02-12 18:18  pecan

svn4874:  KeyBinder 1.0.46 2008/02/12
	  - Killerbot changes to header includes 2008/12/28
	  - Fixed: [ Bug #12823 ] keybinder breaks layout submenu on linux

2008-02-11 20:21  killerbot

svn4873:  - remove warnings

2008-02-11 14:37  mandrav

svn4872:  * Fixed critical bug that could cause data corruption
	  in rare cases. Thanks to Ceniza for providing the reproducable
	  test case :)

2008-02-11 14:13  biplab

svn4871:  * Fixed: [Bug #13064] Copy contents with search results
	  and build messages

2008-02-11 09:38  killerbot

svn4870:  * Applied path 2369 (fixes Bug 13054) (thanks Jens)

2008-02-10 13:35  biplab

svn4869:  * Added: "Verbatim String" to Squirrel lexer (Thanks to
	  Wahooney).

2008-02-09 11:01  mandrav

svn4868:  * Fixed breakpoints set as pending not being able to be
	  removed.
	  * Fix for rare crash when removing a breakpoint (thx Pecan).

2008-02-07 22:19  dje

svn4867:  * C::B could crash or hang because of cbMessageBox
	  calls inside worker thread in ThreadSearch plugin (very big
	  thanks to Jens for this fix).

2008-02-06 11:55  mandrav

svn4866:  - Fix for gui apps pid regex

2008-02-06 11:52  mandrav

svn4865:  - Fixed breaking console apps - broken with last
	  relevant commit.

2008-02-06 11:39  mandrav

svn4864:  * View layout changes from plugins are not persistent
	  anymore.

2008-02-06 11:00  mandrav

svn4863:  * If trying to compile while debugging in progress, ask
	  to stop debugging (previously it wasn't allowed) - needs testing
	  on windows.
	  * Added cbDebuggerPlugin::Break().

2008-02-06 10:15  mandrav

svn4862:  * Fixed debugger to break (stop) non-console apps in
	  linux (iow, correctly get the child pid).

2008-02-02 23:38  dje

svn4861:  * Fixed crash happening with a right click in
	  ThreadSearch code preview editor
	  - Updated manifest.xml file path in ThreadSearch unix project.

2008-02-02 17:45  mandrav

svn4859:  * Fixed folding icons inconsistency in split-view mode
	  (bug #13062).

2008-02-02 17:19  mandrav

svn4858:  * Remote debugging settings are now correctly stored
	  per-project (internally).

2008-02-02 15:35  pecan

svn4857:  DragScroll 1.2.07 2008/02/2
	  - Fixed: On some Linux's context menu missing in loggers bec
	  mouse events always reported right-mouse was dragged. (Jens fix)

2008-02-02 12:32  mandrav

svn4856:  * Added editor folding level limit option (patch
	  #2335).

2008-02-02 12:25  mandrav

svn4855:  * New comment types: stream and box (patch #2173).

2008-02-02 11:59  mandrav

svn4854:  * Fixed debugger to get the child pid in windows. Was
	  broken with newer GDB versions. Bug #12944 (also contained the
	  fix, thanks).

2008-01-30 16:38  killerbot

svn4853:  - pch fix

2008-01-30 10:46  mortenmacfly

svn4852:  * fixed bug #13028 (user selection in ToDo list plugin
	  broken)

2008-01-30 09:27  mortenmacfly

svn4851:  polishing the class wizard:
	  - applied (heavily modified) variant of polygon7's patch
	  - re-designed UI (as it became quite ugly meanwhile)
	  - class wizard remember's it's most important settings (avoid
	  annoyance)

2008-01-29 21:45  byo

svn4850:  wxSmith: Switched to GPL v3 (no code change)

2008-01-29 17:22  pecan

svn4849:  DragScroll 1.2.05 2008/01/29
	  - Killerbot header and const changes (2007/12/28)
	  - Fixed: Middle-mouse conflict with msWindows paste (2008/01/29)

2008-01-28 21:10  killerbot

svn4848:  * bug fix for 64 bit

2008-01-26 19:11  mandrav

svn4846:  * Moved 'docs' folder one level up

2008-01-25 10:12  thomasdenk

svn4845:  - Added Mario's CHMs

2008-01-25 08:48  afb

svn4844:  - clean up copied file

2008-01-25 08:47  afb

svn4843:  - fix variable name typo in CLEANFILES

2008-01-25 08:44  afb

svn4842:  - fix build in subdir, copy instead of symlink

2008-01-24 15:38  mortenmacfly

svn4841:  - updated project files to match common strategy

2008-01-23 16:25  biplab

svn4840:  * Fixed: [Bug #12998] To-Do List broken on Windows

2008-01-22 12:37  thomasdenk

svn4839:  - Added ModPoller to source tree (is not in main build)

2008-01-21 23:37  byo

svn4838:  wxSmith: Fixed bug #012828 - changing pages in
	  notebook/listbook very quickly could cause a crash

2008-01-21 09:57  mariocupelli

svn4837:  docu:
	  - add link to CB wiki-page and more detailed description

2008-01-20 15:04  biplab

svn4836:  * Fixed: Auto-detection of GCC returns wrong master
	  path.

2008-01-19 20:28  biplab

svn4835:  * Fixed: Possible installation dir detection issues
	  with MSVC8 & above.
	  * Implemented: [FR# 3894] Support for Microsoft windows Vista SDK

2008-01-19 14:57  killerbot

svn4834:  * bug fix : don't show error save message box when the
	  user cancel-ed out during SaveAs

2008-01-18 22:10  killerbot

svn4833:  - pch fix

2008-01-18 08:00  mortenmacfly

svn4832:  * fixed several bugs in projectsimporter
	  * fixed bug in drag&drop mechanism concerning importing projects

2008-01-17 23:38  mariocupelli

svn4831:  docu:
	  - correct some typos and update screenshots in userguide

2008-01-16 23:54  mariocupelli

svn4830:  add docu for lib finder plugin (thx to byo)

2008-01-16 20:17  dje

svn4829:  Folding evolution integration for preview editor.

2008-01-16 15:58  mortenmacfly

svn4828:  * properly fix the "layout changed" issue (C::B asking
	  permanently about saving changed layout)

2008-01-16 00:18  mariocupelli

svn4827:  add scriptbindings for Virtual Targets and Project
	  Dependencies

2008-01-16 00:16  mariocupelli

svn4826:  update screenshots

2008-01-16 00:15  mariocupelli

svn4825:  add german version of docu (Auto Versioning)

2008-01-16 00:14  mariocupelli

svn4824:  add new compiler macros; examples for shell extension
	  (TortoiseSVN integration)

2008-01-15 20:43  byo

svn4823:  wxSmith:
	  * Fixed bug: some extra styles for dialog and frame were threated
	  as standard styles, removed few duplicates (found by
	  wvteijlingen)
	  * Fixed bug: invalid name of xrc node for HelpText property
	  (found by wvteijlingen)

2008-01-15 20:40  killerbot

svn4822:  - include fix

2008-01-15 16:15  biplab

svn4821:  * Fixed: [Bug #12941] cant make c code template

2008-01-15 12:55  mandrav

svn4820:  * Fixed bug in code-completion that would fail parsing
	  if found a comment right after a namespace declaration (e.g.
	  "namespace test //blah").

2008-01-15 10:11  mandrav

svn4819:  * Added $exe_dir, $exe_name and $exe_ext compiler
	  macros. Also fixed some layout problems with advanced compiler
	  options dialog.

2008-01-14 18:39  killerbot

svn4818:  - include fix

2008-01-14 18:27  pecan

svn4817:  CodeSnippets 1.2.113 2008/01/14
	  -Fixed: When a pgm started after CodeBlocks, and an editorFrame
	  started by the context menu closed, the external pgm got the
	  focus.

2008-01-14 07:45  mortenmacfly

svn4816:  - fixed several mem leaks
	  - consitency fixes

2008-01-13 23:42  mariocupelli

svn4815:  document new features of ThreadSearch, BrowseTracker
	  and add Autoversioning (EN)

2008-01-13 20:15  afb

svn4814:  - make fix work on case-sensitive fs too

2008-01-13 19:20  afb

svn4813:  - fix making tarball in a build subdirectory

2008-01-13 16:49  afb

svn4812:  - fix make dist on case-insensitive filesystem

2008-01-13 16:45  afb

svn4811:  - fix making tarball in a build subdirectory

2008-01-13 16:01  biplab

svn4810:  DLL Wizard: Target wizard would now be able to create
	  new target with different compiler.

2008-01-13 08:26  killerbot

svn4809:  - include fixes

2008-01-13 06:27  biplab

svn4808:  * Static Lib Wizard: Added to Target Wizard list.

2008-01-12 12:37  biplab

svn4807:  * Fixed: Broken Console wizard. Got Broken in last
	  commit.

2008-01-12 10:19  mandrav

svn4806:  * Fixed abbreviations behaviour on cancel (bug #11756).

2008-01-12 10:07  mandrav

svn4805:  * Changed courier font in about dialog to system's
	  monospace font (bug #12096).

2008-01-12 09:46  mandrav

svn4804:  * Fix for huge project properties dialog (when
	  lib_finder plugin is enabled).

2008-01-12 06:38  biplab

svn4803:  * Console Wizard:
	  - Fixed: Target wizard does not offer compiler selection combo.
	  - Fixed: Target wizard does not use target name for output file
	  directory.
	  - Fixed: Target wizard produces garbage output file name.
	  - Re-organized: Language selection dialog has been moved to the
	  beginning.

2008-01-11 09:34  killerbot

svn4802:  * ThreadedSearch 1.2
	  Bug fix :
	  - set focus to editor after double-clicking on item in the tree
	  logger
	  Evols:
	  - Splitter window mode can be chosen (vertical/horizontal) for
	  viewer and logger.
	  - Results can be sorted by file name or file path.
	  - Search results are saved/restored.

2008-01-10 11:24  mandrav

svn4801:  * When "add/edit watch" window is shown, focus the
	  textbox (bug #12691).

2008-01-10 11:19  mandrav

svn4800:  * Fixed wrong size of "file changed, reload?" dialog
	  (patch by jens).

2008-01-10 11:04  mandrav

svn4799:  * Fixed wrong log-windows indexing after toggling them
	  on/off (and hence changing appearence order) (bug #12842).

2008-01-10 10:33  mandrav

svn4798:  * Improved check for layout changes (bug #12827, patch
	  #2311).

2008-01-10 10:29  mandrav

svn4797:  * Correctly handle spin-control range in editor gutter
	  settings (patch #2328).

2008-01-10 10:26  mandrav

svn4796:  * Added options for more editor folding marker styles
	  (patch #2310).

2008-01-10 10:14  mandrav

svn4795:  * Fixed a couple of bugs in make_dist.script, added the
	  project file in the archive and also added the script to
	  autotools builds (patch #2296).

2008-01-10 09:57  mandrav

svn4794:  - SIGSTOP is now logged too while debugging.

2008-01-10 09:52  mandrav

svn4793:  * Fixed stopping debugging process in linux (patch by
	  Jerome Leveque).

2008-01-10 09:31  mandrav

svn4792:  * Added cbEVT_COMPILER_SET_BUILD_OPTIONS event (patch
	  #2302).

2008-01-10 07:33  mortenmacfly

svn4791:  - applied patch from stahta01: use $(#cb.include)
	  instead of $(#cb)\include

2008-01-09 11:41  afb

svn4790:  - make the D console sample compile with Tango too

2008-01-08 21:15  killerbot

svn4789:  - include fix (clean up)

2008-01-08 21:12  killerbot

svn4788:  - include fix

2008-01-08 09:05  mariocupelli

svn4787:  correct typo in file extension html

2008-01-07 17:13  pecan

svn4786:  CodeSnippets 1.2.111 2008/01/7
	  - Add ftp://,file://,.htm,.html to url checking.
	  - Add "(as filetype)" to Open File menu item for clarity.

2008-01-07 11:28  mortenmacfly

svn4785:  - landed in 2008
	  - removed unused gcc420 script usage

2008-01-06 18:02  killerbot

svn4784:  * avoid "#include <>" in classwizard when not using
	  inheritance (thanks wobien)

2008-01-06 09:36  killerbot

svn4783:  * fixed switch to Todo windows when it is in the Log
	  notebook (thanks Albenejean)

2008-01-05 22:14  mariocupelli

svn4782:  Add test if registry key exists before opening it

2008-01-05 16:18  killerbot

svn4781:  - make update script executable

2008-01-05 15:56  killerbot

svn4780:  - fix typo

2008-01-05 15:51  killerbot

svn4779:  - follow up for autotools

2008-01-05 15:43  killerbot

svn4778:  * added ThreadSearch to contrib plug-ins

2008-01-05 09:18  killerbot

svn4777:  - FreeBSd build fix

2008-01-04 19:29  mandrav

svn4776:  * Fixed crash when debugger's evaluation tooltip is
	  shown and a keyboard
	  shortcut was pressed to continue debugging.

2008-01-03 22:45  daniel2000

svn4775:  - another spec file change for mandriva

2008-01-03 22:33  byo

svn4774:  lib_Finder:
	  * lib_finder may now be incoked from build scripts - there's no
	  longer need to patch sdk. Such build script may be automatically
	  generated from libraries configuration panel.
	  * libraries configuration panel does show information whether the
	  sdk has been patched or not

2008-01-03 20:44  byo

svn4773:  wxSmith: Fixed bug with invalid selection for wxChoice
	  and wxComboBox when using XRC files (used invalid name of xml
	  node)

2008-01-03 19:09  daniel2000

svn4772:  * changes in spec file:
	  - added missing files to file list (libfinder)
	  - changed dependencies for mandriva
	  - some clean-ups

2008-01-03 15:21  mortenmacfly

svn4771:  - added tip

2008-01-03 12:36  mortenmacfly

svn4770:  * fixed several crashes of help plugin if no help files
	  are defined
	  - updated lockhacker project file to have the same style as all
	  other project files
	  * applied patch by jens to enable opening source files via
	  double-click in explorer again

2008-01-02 23:14  byo

svn4769:  lib_finder:
	  * Switched naming from "global var" to "short code" (lib_finder
	  doesn't use global vars only so the name was incorrect), NOTE:
	  this change require rescanning libraries
	  * Added support for predefined results (stored in xml files
	  simillarily to search filters) - when installing library it may
	  be easily registered inside lib_finder by simply adding xml file
	  with description of it, it also support relative paths (so it can
	  be used on pen-drives etc)
	  * Fixed bug in generation of defines while updating compile
	  options

2008-01-02 17:55  pecan

svn4768:  CodeSnippets 1.2.110 2008/01/2
	  - Change GetMessageManager to GetLogManager for wxMAC.

2008-01-01 23:02  byo

svn4767:  lib_finder: Forgot to update project files /
	  Makefile.am

2008-01-01 22:56  byo

svn4766:  lib_finder: Added class LibFinder with following static
	  functions into scripting system:
	  * bool AddLibraryToProject( const wxString& libName,cbProject*
	  project,const wxString& targetName)
	  * bool RemoveLibraryFromProject( const wxString&
	  libName,cbProject* project,const wxString& targetName)
	  * bool IsLibraryInProject( const wxString& libName,cbProject*
	  project,const wxString& targetName)

2008-01-01 21:44  byo

svn4765:  lib_finder:
	  * Library search filters are now read from both global data path
	  and user's data path
	  * Defines are added using CompilerSwitches::declarations
	  (previously used -D which would not work with VC compiler)
	  * Manager of library filters is no longer member of lib_finder
	  class - it's created only while detecting libraries, not needed
	  all the time

2007-12-28 23:07  byo

svn4764:  lib_finder:
	  * More integration with pkg-config
	  * Libraries and defines are now specified by their own
	  configuration options - no need to simulate through lflags and
	  cflags
	  * Changed L"..." strings to _T("...") ones - now it doesn't break
	  ANSI build

2007-12-28 23:02  byo

svn4763:  wxSmith: Reverted previous commit, it was definitely
	  not good (wxStaticBitmap did not work and I've commited some test
	  code)

2007-12-28 22:59  killerbot

svn4762:  - fix to error introduced a few revision ago

2007-12-28 22:41  byo

svn4761:  wxSmith: Generating better border around
	  wxStaticBitmap, should be visible on win now

2007-12-28 20:29  killerbot

svn4760:  - pch fixes

2007-12-28 13:38  killerbot

svn4759:  - follow up to previous commit

2007-12-28 13:32  killerbot

svn4758:  - fix some pch and includes (dragscroll)

2007-12-28 13:03  killerbot

svn4757:  - fix some pch and includes (cbkeybinder)

2007-12-28 11:45  killerbot

svn4756:  - adding the 2 new files

2007-12-28 11:40  killerbot

svn4755:  * cbStyledTextCtrl refactoring

2007-12-28 09:56  byo

svn4754:  wxSmith: Fixed bug when loading menus in resource using
	  XRC file

2007-12-27 22:40  byo

svn4753:  wxSmith: Added small border around wxStaticBitmap in
	  editor - it will help to work on this item since it tend to hide
	  somewhere on the screen ;)

2007-12-27 22:10  byo

svn4752:  lib_finder:
	  * Added integration with pkg-config - project can use libraries
	  provided by this tool
	  * Improoved library search utilities - can now select what
	  happens with previous search resutls
	  * List of directories with libraries is now remembered
	  * Few missing GPL headers

2007-12-25 08:13  killerbot

svn4751:  - include fix

2007-12-23 23:35  mandrav

svn4750:  * Fixed batch build dialog not painting correctly on
	  windows.
	  * Fixed crash in batch builds if build produced errors/warnings.

2007-12-23 14:41  killerbot

svn4749:  - debian build fix

2007-12-23 13:36  killerbot

svn4748:  * update AutoVersioning plugin to 1.1

2007-12-23 09:14  byo

svn4747:  Added libfinder configuration files to autotools

2007-12-23 04:59  biplab

svn4746:  * DLL Wizard: Generated code now avoids unnecessary
	  name mangling.

2007-12-23 00:42  byo

svn4745:  wxSmith: Fixed bug in configuration-writing procedure -
	  configuration was left as on load time when all wxSmith settings
	  were removed from project

2007-12-23 00:37  byo

svn4744:  Added svn:eol-style to compilercommandgenerator.cpp

2007-12-23 00:30  byo

svn4743:  Updated lib_finder to version 2.0:
	  * Added more filter types for library configurations (previously
	  there were only file names), added filters: platform, compiler,
	  exec
	  * Configuration can now have sub-configuration structure (can
	  group same filters or settings in parent configuration node)
	  * Search results are now remembered inside lib_finder
	  configuration (global variables couldn't store everything needed)
	  * lib_finder integrates with projects - you can specify which
	  libraries does project use. With small patch for c::b sdk
	  lib_finder will automatically add compiler options required by
	  these libraries while project is compiled (everything done
	  on-the-fly)
	  - this allow to have ONLY ONE PROJECT FOR MULTIPLE PLATFORMS -
	  tested on wxWidgets project
	  * Started writing code which will allow reading configurations
	  from pkg-config databases
	  * Added configurations for wxWidgets 2.8 monolithic dll
	  ansi/unicode

2007-12-21 23:05  byo

svn4742:  wxSmith: Fixed bug #12596 - Code generates "new
	  wxMenuItem()" instead of "new wxMenu()"

2007-12-20 10:50  mandrav

svn4741:  * Added "make_dist" script to create an archive of all
	  files included in a project. Enable it in "Settings->Scripting".
	  It adds a new menu item in "Project" menu. It also serves as a
	  nice and simple example on how to create a script-based plugin.

2007-12-20 10:45  mandrav

svn4740:  * Correctly locate and run startup scripts, even if not
	  located in the pre-defined "scripts" folder.

2007-12-17 22:21  thomasdenk

svn4739:  - deleted .objs dir

2007-12-17 16:37  thomasdenk

svn4738:  - Checked in loghacker sources lest they be lost by
	  accident

2007-12-16 13:27  afb

svn4737:  - codesnippets: disable GetMessageManager calls, to
	  compile on Mac OS X

2007-12-16 05:36  biplab

svn4736:  * Fixed: Couple of MSVC project import bugs.

2007-12-16 04:28  biplab

svn4735:  * Applied: [Patch #2282] EndAddFiles() called instead
	  EndRemoveFiles()

2007-12-15 13:57  thomasdenk

svn4734:  - Added yet another compilation guard for wx 2.6

2007-12-14 23:28  mandrav

svn4733:  * Fixed brain-damaged CodeBlocksLogEvent constructor.

2007-12-14 23:25  mandrav

svn4732:  * Fixed paths breaking builds when containing
	  parentheses (non-windows platforms affected).

2007-12-14 14:17  mortenmacfly

svn4731:  * added sharedlib wizard/template (thanks jens)

2007-12-13 22:36  killerbot

svn4730:  - typo fix

2007-12-13 08:36  thomasdenk

svn4729:  . Non-PCH include

2007-12-12 18:08  thomasdenk

svn4728:  - Moved around and renamed a lot of things to make code
	  clearer

2007-12-12 18:05  thomasdenk

svn4727:  - removed rubbish
	  - added panic
	  - added comment

2007-12-12 14:32  mandrav

svn4726:  - Avoid large compiler settings dialog by adjusting a
	  few sizers (patch #2262).

2007-12-12 14:27  mandrav

svn4725:  * Don't try to load a non-existing project (patch
	  #2274).

2007-12-12 14:22  mandrav

svn4724:  * Sort plugins alphabetically in Plugins menu (patch
	  #2275).

2007-12-12 14:16  mandrav

svn4723:  * Added default keyword and keyword case support
	  options in help configuration (patch #2114).

2007-12-11 17:04  thomasdenk

svn4722:  - Removed all WXCHECK_VER(). Hopefully did not break
	  anything... Windows looks ok.

2007-12-11 16:45  thomasdenk

svn4721:  - Hmph... removed multiple definition

2007-12-11 15:15  thomasdenk

svn4720:  - Added wxWidgets 2.8 compile guard

2007-12-10 16:27  thomasdenk

svn4719:  - Bringing repo and working copy into a (hopefully)
	  in-sync state again

2007-12-09 22:12  killerbot

svn4718:  - debian build fixes for new plugin

2007-12-09 17:51  killerbot

svn4717:  - case fix

2007-12-09 17:38  killerbot

svn4716:  - little update to previous commit

2007-12-09 17:25  killerbot

svn4715:  * added AutoVersioning plugin to contrib's

2007-12-08 16:53  killerbot

svn4714:  * removed use of warning reducing script from win cbp's
	  (wx287 solved the major part and the rest has been done by
	  previous commits)

2007-12-07 13:57  mortenmacfly

svn4713:  * fix error that file is opended twice on C::B startup
	  (Shell Open and DDE Open)
	  - use wx2.8 API to obtain the temp folder (remove workaround
	  therefore)

2007-12-07 08:53  mortenmacfly

svn4712:  * debugger: fixed broken cygwin debugging when using
	  cygprefix "/"
	  * scripted wizard: added suppot for cygwin compiler

2007-12-06 15:36  pecan

svn4711:  CodeSnippets 1.2.108 2007/12/02
	  - force close of xml in OnRelease() (Closing window causes
	  crashes)
	  - immediately delete canceled "New category" & "New snippet"
	  items, ignore filelinks in canceled properties. Avoids
	  unnecessary "delete?" dialog.
	  - fix macro substitution in CheckForMacros() broken by mod 99.

2007-12-06 14:56  thomasdenk

svn4710:  - Reverted changes to ipc.cpp and ipc.h
	  - Removed from makefile.am

2007-12-06 08:03  mortenmacfly

svn4709:  * fixed build on windows

2007-12-06 07:40  killerbot

svn4708:  - additional fix a previous commit

2007-12-05 22:19  killerbot

svn4707:  - include fixes

2007-12-05 22:18  killerbot

svn4706:  - include fixes [header including sdk.h and others ...
	  : ] GCC4.3 gives segfault ...

2007-12-05 22:05  killerbot

svn4705:  - include fix for strlen (we have been lucky all these
	  years, but not for gcc 4.3) : NOTE : this header has a using
	  namespace std; entry : how f*** bad

2007-12-05 21:36  daniel2000

svn4704:  - added missing build dependency in spec file
	  - some regexp enhancements in version checks of bootstrap

2007-12-05 13:36  mandrav

svn4703:  * Added events for begin/end multiple files
	  addition/removal.
	  * CodeBlocksLogEvent is now handled by Manager (in other words
	  don't use the obsolete
	  Manager::Get()->GetAppWindow()->ProcessEvent() but use
	  Manager::Get()->ProcessEvent() instead).
	  * If a non-logger is added using cbEVT_ADD_LOG_WINDOW, it is NOT
	  deleted with cbEVT_REMOVE_LOG_WINDOW anymore.

2007-12-05 10:18  byo

svn4702:  wxSmith:
	  * Added wxSingleChoiceDialog

2007-12-04 22:39  byo

svn4701:  wxSmith:
	  * Added wxMultiChoiceDialog

2007-12-04 15:45  mariocupelli

svn4700:  fix: [Bug #11976 ] Incorrect options for msp430-gcc

2007-12-03 22:22  byo

svn4699:  wxSmith:
	  * Added wxFileDialog
	  * Added wxDirDialog
	  * Some small code reorganizations

2007-12-03 11:17  mortenmacfly

svn4698:  * applied patch of jens to make info panels hide again

2007-12-02 18:01  pecan

svn4697:  KeyBinder 1.0.44 2007/12/2
	  - add non-pch logmanager headers
	  - fix skipping of previously opened editors

2007-12-02 14:09  killerbot

svn4696:  * fix crash on exit (todo list is the cause)

2007-12-01 18:30  pecan

svn4695:  CodeSnippets 1.2.105 2007/12/01
	  - fix Linux crash when CB terminates and window is floating
	  - on Linux disable drag/drop out of Project panel because of
	  recurring drag/drop freeze bug

2007-11-30 23:23  byo

svn4694:  wxSmith:
	  * Added wxColourDialog support
	  * Added %l Codef formatting char (to get coLour)
	  * Added one unified function producing unique names for temporary
	  variables in generated code

2007-11-29 21:13  killerbot

svn4693:  - remove 268 warnings : the joy of const

2007-11-29 20:48  killerbot

svn4692:  - pch include fix

2007-11-29 18:28  pecan

svn4691:  DragScroll 1.2.04 2007/11/29
	  - add non-pch logmanager header
	  - correct "focus follows mouse" event on long compilations
	  - correct editor focus event on long compilations
	  - remove unused MouseRightKeyCtrl code

2007-11-29 18:26  pecan

svn4690:  CodeSnippets 1.2.104 2007/11/29
	  - mods to compensate for CB OpenFilesList change
	  - fixed incorrect selection of dragged tree item
	  - make it easier to rename a catagory
	  - Add "U" xpm for url type snippets

2007-11-29 14:04  mortenmacfly

svn4689:  * fixed some (further) possible crash candidates (added
	  null pointer sanity checks)

2007-11-29 13:21  mandrav

svn4688:  * Fixed possible crash on app shutdown.

2007-11-29 11:50  biplab

svn4687:  * Edited last commit.

2007-11-29 11:15  mortenmacfly

svn4686:  * fixed file assocs dialog appearing again and again
	  - removed an extra semi-colon

2007-11-29 09:05  mortenmacfly

svn4685:  - cb_koders (unix): removed wrong wx configuration

2007-11-29 09:00  biplab

svn4684:  * Applied: [Patch #2261] Allow jumping to the first
	  line in Go to line dialog

2007-11-28 19:30  biplab

svn4683:  * Applied: [Patch #2260] Show possible line number
	  ranges in Go to line dialog

2007-11-28 19:17  biplab

svn4682:  * Fixed: [Bug #12564] insert class methods inserts
	  wrong methods

2007-11-27 21:40  byo

svn4681:  wxSmith: Added remembering of selected property while
	  changing selected item

2007-11-27 12:57  mortenmacfly

svn4680:  * todo list plugin: allow deleting a user

2007-11-27 11:37  biplab

svn4679:  * Fixed: Clicking on To-Do's in To-Do list does not
	  focus the concerned line.

2007-11-27 01:22  thomasdenk

svn4678:  - Removed that "fixed const" function from Logger,
	  since it doesn't belong there at all
	  - Replaced pure virtual Clear() function with empty
	  implementation at base
	  - Moved Append() function visually away from the others and added
	  documentary comment

2007-11-26 23:04  byo

svn4677:  wxSmith: Fixed few issues with linux cbp file

2007-11-26 08:37  mortenmacfly

svn4676:  - documented lastest C::B patches in squirrel/sqplus
	  (for 64bit)

2007-11-24 21:09  killerbot

svn4675:  - remove warning in pdffont.cpp (wxChar range)

2007-11-24 20:32  killerbot

svn4674:  * include fixes

2007-11-24 17:49  killerbot

svn4673:  * const and header fixes in the logger

2007-11-24 15:23  killerbot

svn4672:  * corrected some SwitchTo's (thanks to kaml)

2007-11-24 14:56  killerbot

svn4671:  * get rid of warnings (squirrel)

2007-11-24 14:55  killerbot

svn4670:  * get rid of warnings (propgrid)

2007-11-24 14:54  killerbot

svn4669:  * get rid of warnings : wxSmithContribItems (wxChart
	  and wxThings)

2007-11-24 14:50  killerbot

svn4668:  - get rid of warnings (sdk and codesnippet)

2007-11-24 08:35  mandrav

svn4667:  * Fix in squirrel/sqplus for 64-bit builds.

2007-11-23 15:05  mandrav

svn4666:  * Fixed crash when disabling the compiler plugin (don't
	  ask why one would even do that!)

2007-11-23 10:24  biplab

svn4665:  * GTK+ Project Wizard: Newly added GTK+ 1.x project
	  creation has been disabled (sample code won't compile with it).

2007-11-23 10:16  mandrav

svn4664:  * Added info message in wx_help.script, if wx docs
	  can't be found.

2007-11-23 10:12  killerbot

svn4663:  * support for VisualStudio 2008 (aka VC9)

2007-11-23 10:05  biplab

svn4662:  * Extended: GTK+ project wizard to work on Linux
	  (Implemented [FR #3494] partially).

2007-11-23 08:44  biplab

svn4661:  * Applied: [Patch #2249] Fix macros in pre/post build
	  when building workspace

2007-11-22 14:30  mandrav

svn4660:  * Editor-performance-killer killed :).

2007-11-22 13:47  mortenmacfly

svn4659:  - (hopefully) fixed broken build on Linux 64-bit
	  - Squirrel/SQPlus: int->SQInteger, float->SQFloat

2007-11-22 08:41  killerbot

svn4658:  - fix build : got broken due to previous commit

2007-11-22 07:59  biplab

svn4657:  * Fixed: Possible non-pch build issue with loggers.cpp
	  file.

2007-11-21 16:44  killerbot

svn4656:  * fix squirrel 64 bit build

2007-11-21 11:27  killerbot

svn4655:  * wxFNB : reduce warnings

2007-11-21 06:00  biplab

svn4654:  * Fixed: [Bug #12249] Couldn't compile the file
	  'filemanager.cpp'

2007-11-21 04:48  biplab

svn4653:  * Applied: [Patch #2251] Remove wxNO_BORDER from Global
	  variables' Delete button

2007-11-21 04:42  biplab

svn4652:  * Applied: [Patch #2250] Process Enter key in script
	  command text control

2007-11-21 04:31  biplab

svn4651:  * [Patch #2252] Fix crash when removing file outside CB
	  (In modified form)

2007-11-20 22:46  byo

svn4650:  wxSmith:
	  * wxSmith browsers can now be put inside dockable panes
	  * Removed some unused code causing a warning in wxsSplitterWindow
	  class

2007-11-20 09:34  mortenmacfly

svn4649:  - tag all C::B related patches to Squirrel/SQPlus by
	  using a comment starting with "// C::B patch:"

2007-11-19 15:31  mortenmacfly

svn4648:  * update from Squirrel 2.1.0/SQPlus 1.7 to Squirrel
	  2.1.1/SQPlus 2.3
	  - updated all script bindings accordingly

2007-11-19 13:46  killerbot

svn4647:  - remove warning

2007-11-19 12:54  killerbot

svn4646:  * removed warnings in the exporter plug-in (the pdf
	  library)

2007-11-19 12:44  killerbot

svn4645:  - remove warnings

2007-11-19 11:41  killerbot

svn4644:  * remove some warnings in squirrel : !!!!const!!!!
	  SQChqr* in declare_stream

2007-11-19 11:27  killerbot

svn4643:  * remove warnings in
	  wxscintilla/src/scintilla/src/LexNsis.cxx

2007-11-19 10:23  biplab

svn4642:  * Fixed: A build warning about the improper PCH header
	  use.

2007-11-19 10:09  biplab

svn4641:  * Reverted: Revision 4483 commit.

2007-11-16 17:39  biplab

svn4640:  * Applied: [Patch #2247] Revert part of Patch #2234

2007-11-15 14:54  killerbot

svn4639:  - little build fix for help plug-in on windows

2007-11-15 13:24  mandrav

svn4638:  * Fixed autotools build for help plugin.

2007-11-15 12:56  mandrav

svn4637:  * GDB types script now uses member variable directly
	  for evaluating wxString. Fixes issues while debugging a static wx
	  build (patch #2236).

2007-11-15 12:44  mandrav

svn4636:  * Fixed menu View->ManViewer to be in sync (patch
	  #2226, bug #12306).

2007-11-15 12:39  mandrav

svn4635:  * Fixed bug with ${TARGET...} macro not always being
	  correct (patch #2234, bugs #12193 and @11665).

2007-11-15 12:32  mandrav

svn4634:  - Fixed crash in editorcolourset (patch #2243).

2007-11-15 11:14  mandrav

svn4633:  * Added back/forward buttons to embedded HTML viewer.
	  * Added "App.Open()" script binding.
	  * In help plugin, user can add Code::Blocks scripts as help
	  items. Such scripts should contain a "SearchHelp(keyword)"
	  function. Sample help script included for wxWidgets docs.

2007-11-14 23:44  byo

svn4632:  wxSmith: Fixed bug #12367: items color not changing
	  (AARGH, Can anyone clean up this mess in wxPropertyGrid ????? )

2007-11-14 22:44  daniel2000

svn4631:  - changes in spec file:
	  - added new plugin to file list
	  - added make job number "detection"

2007-11-13 14:19  mandrav

svn4630:  * Moved firing of cbEVT_EDITOR_CLOSE in EditorBase so
	  foreign editors send it too (e.g. wxSmith). Caused a bug in open
	  files list plugin.

2007-11-13 14:17  mandrav

svn4629:  - Moved singletons instantiation variables to their
	  respective compilation units. Now they are true singletons.

2007-11-12 22:32  byo

svn4628:  wxSmith:
	  * Remove DGBLOG entreis I forgot to remove (thanx killerbot for
	  finding them)
	  * Make font face name non-translated string (was translated
	  before)

2007-11-12 20:45  killerbot

svn4627:  - commented out DBGLOG : does not exist anymore

2007-11-12 19:38  byo

svn4626:  wxSmith: Fixed few problems with toolbar editor

2007-11-12 17:54  mandrav

svn4625:  - Fix for app-log and debug-log not created and also
	  for colors in build log.

2007-11-12 14:56  mandrav

svn4624:  - Fixed a couple of uninitialized variables (patch
	  #2239).
	  - Fixed a warning.

2007-11-12 12:20  mortenmacfly

svn4623:  - fixed minor bug that empty html log window was opened
	  on windows (fixes r4622)

2007-11-12 11:35  mandrav

svn4622:  * HTML log file is now a link in build log and can be
	  clicked to open.
	  * Files extension handler has been updated to recognize HTML
	  files and open them in the embedded viewer, if the user has NOT
	  added a different association manually.

2007-11-12 10:22  mortenmacfly

svn4621:  - updated (forgotten) update scripts for openfileslist
	  plugin

2007-11-12 10:05  mortenmacfly

svn4620:  - updated project files for open file list plugin

2007-11-12 09:42  mortenmacfly

svn4619:  - finalised removal of messagemanager (also in debug
	  outputs)

2007-11-12 09:35  mandrav

svn4618:  * Added "open in embedded viewer" option in help
	  plugin. This way, simple HTML files (no javascript, exotic CSS,
	  etc!) can be opened inside Code::Blocks instead of external
	  browser. A good example is wxWidgets docs.

2007-11-11 20:41  killerbot

svn4617:  - include fixes (Thanks Tim S)

2007-11-11 09:24  mandrav

svn4616:  * Moved open files list to a separate plugin.

2007-11-10 19:40  mandrav

svn4615:  - Fixed debugger's debug log not being shown/hidden
	  when changed in options.

2007-11-10 19:35  mandrav

svn4614:  - Minor fix in statusbar.
	  - Color fix in ListCtrlLogger.

2007-11-10 16:54  mandrav

svn4613:  * App's debug log is now only present if --debug-log
	  option is used.
	  - Fixed search results double-clicking to work again.

2007-11-10 16:25  mandrav

svn4612:  - Fix silly bug in debugger plugin.

2007-11-10 15:56  killerbot

svn4611:  - fixing windows

2007-11-10 15:48  killerbot

svn4610:  - fixing windows

2007-11-10 15:30  killerbot

svn4609:  - fixing windows

2007-11-10 15:17  killerbot

svn4608:  - fix win cbp file

2007-11-10 15:07  killerbot

svn4607:  - remove some warnings (const ...)

2007-11-10 13:16  mandrav

svn4606:  * Welcome the new log manager.

2007-11-09 22:21  byo

svn4605:  wxSmith: Added missing wxPG_USE_WXMODULE=0 macro

2007-11-09 13:51  mortenmacfly

svn4604:  - fixed bugs in some unix project files

2007-11-08 23:27  byo

svn4603:  wxSmith:
	  * Fixed bug with tree labels not changing value after variable
	  name was changed
	  * Fixed crash on exit when did not want to save .wxs file

2007-11-07 22:16  byo

svn4602:  wxSmith: Added missing Makefile.am

2007-11-07 15:26  byo

svn4601:  Moved wxPropertyGrid into wxSmith folder (it's no
	  longer part of sdk)

2007-11-06 13:23  thomasdenk

svn4600:  - Same as r4272 long, long ago, except this time it
	  shouldn't give a compiler error

2007-11-05 11:09  mandrav

svn4599:  * Fix rare crash in debugger plugin.
	  * Separated per-target additional gdb commands in two steps: a)
	  before establishing remote connection (if any) and b) after
	  remote connection is established.
	  * Added per-target debugger option to skip adjusting
	  LD_LIBRARY_PATH

2007-11-05 08:50  mandrav

svn4598:  * Fixed debugger to stop on first breakpoint in linux
	  (patch #2225).

2007-11-05 08:47  mandrav

svn4597:  * Fixed functions toolbar being cleared when closing a
	  non-active editor (patch #2227).

2007-11-04 05:06  biplab

svn4596:  * wxWidgets Wizard: Added script to reduce warning
	  while compiling generated app with gcc-4.x.

2007-11-04 04:32  biplab

svn4595:  * Fixed: [Bug #12264] Crash when disabling "keyboard
	  shortcuts" (Thanks Pauliusz for the patch)

2007-11-03 23:31  mariocupelli

svn4594:  add display of personality in the status bar

2007-11-03 23:29  mariocupelli

svn4593:  set maximum value of keywordSet parameter of
	  SetKeyWords

2007-11-02 16:23  killerbot

svn4592:  - revert r4584

2007-11-01 12:28  mandrav

svn4591:  * Use absolute paths when adjusting LD_LIBRARY_PATH in
	  compiler and debugger.

2007-10-31 23:55  byo

svn4590:  Updated wxPropertyGrid to 1.2.10 and removed
	  wxPG_COMPATIBILITY_1_0_0 flag

2007-10-31 15:41  mortenmacfly

svn4589:  - updated doxygen documentation script (and fixed
	  documentation compilation errors)

2007-10-31 15:32  mortenmacfly

svn4588:  * fixed cbThrow due to last commit: ARM and AVR
	  compiler were registered twice (Windows only)

2007-10-31 11:30  mandrav

svn4587:  * Enabled ARM and AVR compilers for linux (patch
	  #2219).
	  * Added directory selection for implementaion file in class
	  wizard (patch #2211).
	  * Re-organized class wizard a bit.
	  * New lexers for vhdl and verilog (patch #2199).
	  * ./configure option --with-contrib-plugins now accepts -name to
	  exclude plugins from list (e.g. --with-contrib-plugins=all,-help
	  would exclude the help plugin)(patch #2190).
	  * Added "copy selected messages to clipboard" in build messages
	  context menu (patch #2102).

2007-10-31 10:33  mandrav

svn4586:  * Do not force adding search paths for compiler if not
	  set by the user (patch #2106).

2007-10-31 10:02  mandrav

svn4585:  * Possible fix for "always rebuilds files" case with
	  gcc 4.2.x (bug #12167). You need to rebuild depslib and compiler
	  plugin for the fix to take effect.

2007-10-31 09:48  mandrav

svn4584:  * Debugger no longer uses unix notation for breakpoint
	  filenames.

2007-10-31 09:28  mandrav

svn4583:  - Remove warning from sqstdio.h when building with gcc
	  4.1.3.
	  - Minor code change in class browser builder (reported as
	  possible fix for bug #12261).

2007-10-30 18:24  pecan

svn4582:  CodeSnippets 1.2.100 2007/10/30
	  - Added print facility to app
	  - change GetAppWindow to GetAppFrame
	  - Fix crash in CodeSnippetsTreeCtrl::OnIdle when plugin disabled
	  - Fix crash in CodeSnippetsWindow::OnClose when plgn disabled &
	  CB shuts down
	  - Fix crash in CodeSnippetsTreeCtrl::OnIdle when float/docked
	  window switched
	  - Incorporate killerbot.cbp and ceniza valgrind mods
	  - Implement macro substitution requested by mariocup
	  - Stop crashes: disallow re-enabled plugin until CB reloads

2007-10-29 20:43  killerbot

svn4580:  - remove some more warnings

2007-10-29 18:20  biplab

svn4579:  * Fallback encoding of encoding detection code is set
	  to user-defined one.

2007-10-29 10:21  mortenmacfly

svn4576:  - modified all project files to have any attached
	  scripts in the src folder (rather than in root)

2007-10-29 10:12  mortenmacfly

svn4575:  - compilation fixes for MinGW 3.4.5

2007-10-29 08:12  mortenmacfly

svn4574:  - removed remaining artefacts of TIXML_USE_STL

2007-10-29 07:03  killerbot

svn4573:  - undo-ed a const

2007-10-28 22:05  killerbot

svn4572:  - remove warnings

2007-10-28 21:48  killerbot

svn4571:  -remove warnings

2007-10-28 21:42  killerbot

svn4570:  - remove warnings

2007-10-28 21:32  killerbot

svn4569:  - remove warnings

2007-10-28 21:12  killerbot

svn4568:  - remove warning

2007-10-28 21:08  killerbot

svn4567:  - remove warnings

2007-10-28 14:32  killerbot

svn4566:  * add script to surpress stupid wx warnings when
	  building with MinGW 4.2.1
	  * removed TIXML_USE_STLM define from all cb project files
	  (windows)

2007-10-27 19:06  biplab

svn4565:  * Set the fallback encoding to ISO-8859-1 on Linux.

2007-10-26 20:33  byo

svn4564:  wxSmithContribItems: Added missing GPL headers

2007-10-26 18:46  biplab

svn4563:  * Cleaned up conversion routine to take advantage of
	  latest FileManager code.
	  * Added: Support to use user-specified encoding if auto detection
	  & conversion fails.

2007-10-26 17:48  biplab

svn4562:  * Applied: [Patch #2220] Fix target deletion (A bug
	  affecting Linux users, thanks Pauliusz for patch)

2007-10-25 19:50  byo

svn4561:  wxSmithContribItems: Added wxFlatNotebook support in
	  windows

2007-10-25 18:05  biplab

svn4560:  * Removed: Addition of TIXML_USE_STL definition to
	  plugin projects.

2007-10-25 17:33  byo

svn4559:  wxSmithContribItems: Added wxFlatNotebook support (made
	  by olivetti) for linux build (windows support will be added soon)

2007-10-24 07:27  mariocupelli

svn4558:  add screenshots of documentation

2007-10-24 07:26  mariocupelli

svn4557:  update docu: ThreadSearch 0.9 and some hints for users

2007-10-24 04:44  biplab

svn4556:  * Fixed: Broken build on Linux (Finally!!)

2007-10-23 16:34  biplab

svn4555:  * Fixed: Broken build due to last commit.

2007-10-23 13:38  biplab

svn4554:  * Implemented: [Feature Request #3747] Import Project
	  needs to be disabled

2007-10-23 08:31  biplab

svn4553:  * Fixed: A possible lock-up during UTF-8 encoding
	  detection.

2007-10-22 21:11  byo

svn4552:  wxSmith: Fixed bug in xrc-fetching code (items were not
	  fetched at all)

2007-10-22 13:30  biplab

svn4551:  * Non-pch build fix. (Thanks Tim S.)

2007-10-22 11:50  thomasdenk

svn4550:  - reverted accidential #if 1 commit 3 days ago
	  - added unused warning to loader function

2007-10-22 10:42  biplab

svn4549:  * Reverted: Default encoding will be the system
	  encoding (as opposed to ASCII committed in previous revision).
	  * CleanUp: Unused detection code.

2007-10-22 09:43  biplab

svn4548:  * Improved: Unicode support in C::B.
	  - Improved: Encoding detection of files. [Using portion of
	  MadEdit's(http://madedit.sourceforge.net/) code]
	  - Replaced: File Load/Save routine with a with better Encoding
	  detection and conversion support.
	  - Improved: Project file loading which will try to load all
	  opened editor files at once reducing the load time.
	  - CC: replaced ANSI with Unicode methods (using MortenMacFly's
	  patch)
	  - CC: converted STL to wxWidgets where required for unicode
	  support (using MortenMacFly's patch)

2007-10-20 17:43  biplab

svn4547:  * Added: OpenMP compiler flag to Intel compiler.
	  * Fixed: OpenMP remark is detected as an error (affecting Intel
	  compiler).

2007-10-19 20:35  byo

svn4546:  wxSmith: Fixed bug for wxStdDialogButtonSizer when
	  using XRC file

2007-10-19 13:07  mariocupelli

svn4545:  add parsing of note messages of GNU based compilers

2007-10-19 09:05  biplab

svn4544:  * Fixed: Compiler 'note' is detected as an error.
	  (Thanks to gmb300)

2007-10-18 21:44  byo

svn4543:  wxSmith: Fixed bug when generating event handler by
	  double-clicking on item

2007-10-18 19:35  biplab

svn4542:  * Removed: Reference of a non-existent header.

2007-10-18 11:42  thomasdenk

svn4541:  - FileManager::Load data is null-terminated now

2007-10-15 20:18  byo

svn4540:  wxSmith: Fixe dbug with missing <wx/xrc/xmlres.h>
	  header file

2007-10-15 19:18  killerbot

svn4539:  - let's battle the zillion warnings with MinGW 4.2.1
	  (PART 3) : getting rid of warnings by being const correct (life
	  is sweet ...)

2007-10-15 18:56  killerbot

svn4538:  - let's battle the zillion warnings with MinGW 4.2.1
	  (PART 2) : getting rid of warnings by being const correct (life
	  is sweet ...)

2007-10-15 17:21  byo

svn4537:  wxSmith: Fixed bug with invalid declaration generated
	  for sizers when using xrc file

2007-10-15 13:56  killerbot

svn4536:  - let's battle the zillion warnings with MinGW 4.2.1
	  (PART 1) : getting rid of warnings by being const correct (life
	  is sweet ...)

2007-10-15 13:37  killerbot

svn4535:  - add .S62 to the assembler file types

2007-10-15 11:31  mortenmacfly

svn4534:  - added forgotten file of previous commit

2007-10-15 11:17  mortenmacfly

svn4533:  * do not allow the uiser to enter an empty project
	  title (and thus project name)

2007-10-14 21:49  daniel2000

svn4532:  - make dist fix (missing header)
	  - applied changes made on obs to spec file (only tested on suse)

2007-10-14 08:16  biplab

svn4531:  * Updated: Few macros for Linux. (Thanks mario for
	  pointing this)

2007-10-13 14:22  byo

svn4530:  wxSmith: Enabled PCH gard (list of headers is now
	  splitted into two parts when pch file is used - one for includes
	  already in pch file and second for those headers that are not
	  included in pch)

2007-10-13 08:19  afb

svn4529:  - use portable sed (avoid -i flag)

2007-10-13 07:52  afb

svn4528:  * only check for pkg-config/gtk+-2.0 when actually
	  using wxGTK

2007-10-12 21:24  byo

svn4527:  wxSmith: Enabled forward declarations switch for new
	  resources (such resources will create forward declaration instead
	  of including header where it's possible)

2007-10-12 20:13  byo

svn4526:  wxSmith: Fixed bug in %o nd %r formattings (so valid
	  item is now passed to SetSizer or Sizer->Add etc)

2007-10-12 18:44  biplab

svn4525:  * Fixed: [Bug #12110] "Output filename" doesn't get
	  saved correctly in project

2007-10-12 11:22  mandrav

svn4524:  * Auto-generated files now correctly work with multiple
	  targets/compilers.
	  * Compiler command line macro $file_basename deprecated. Use
	  $file_name instead. Also added $file_dir and $file_ext.

2007-10-11 21:05  byo

svn4523:  wxSmith: wxSmith now remembers last directory used for
	  source/header/xrc files while generating new resource

2007-10-11 10:09  thomasdenk

svn4522:  - Changed multiply with arbrytary constant to
	  power-of-2 (bit shift)
	  - Added Function to convert Version::eval back to major, minor,
	  revision

2007-10-10 21:50  byo

svn4521:  wxSmith: Fixed crash in wxsListBook

2007-10-10 10:45  mandrav

svn4520:  * Fix: when a file is auto-generating other files to be
	  compiled, wait
	  for it to finish compiling before proceeding to compile the
	  generated
	  files (so as to ensure the generated files are valid).

2007-10-09 21:15  byo

svn4519:  wxSmith:
	  * Switched Child->GetVarName() to %o where it was possible in
	  Codef function (it's much safer than quering child's variable
	  using GetVarName())
	  * Fixed memory leak in wxsItemEditor (thanx to valgrind ;) )
	  * Changed names generated for internal variables used for code
	  generation (they should be safer now)
	  * Cleaned up some code

2007-10-09 12:33  biplab

svn4518:  * Modified: Console wizard to add exception handling
	  only for C++ projects.

2007-10-08 06:16  biplab

svn4517:  * Fixed: Fatal crash if "Go to header/source file"
	  option is clicked in wxSmith resource tree.

2007-10-08 03:22  biplab

svn4516:  * Fixed: Broken wxSmith support in wxWidgets wizard.

2007-10-06 17:03  killerbot

svn4515:  * fix for the new build system (all devs have a look at
	  globals.cpp and the killerbot remark !!!)

2007-10-06 04:06  biplab

svn4514:  * Fixed: [Bug #12119] New File creation -> no default
	  code

2007-10-05 23:08  byo

svn4513:  wxSmith:
	  * Added grouped file updates and few optimizations - time of
	  regenerating source code (when files were not opened in editor)
	  is now up to 7-10 times faster
	  * Added delayed code update (performed 0,5 sec after resource
	  change) which together with grouped updates improved
	  responsiveness of resource editor

2007-10-05 19:17  biplab

svn4512:  * Fixed: [Bug #12113] CB crashes when using misspelled
	  compiler

2007-10-05 10:03  mortenmacfly

svn4511:  * added bash lexer (syntax highlighting for unix shell
	  scripts)

2007-10-04 21:26  byo

svn4510:  wxSmith: Added Go-To-Header / Go-To-Source into popup
	  menu available when ight-clicking on main node of resource in
	  resource editor

2007-10-04 17:22  byo

svn4509:  wxSmith: Updated wxSmithContribItems to use new wxSmith
	  framework

2007-10-04 17:08  biplab

svn4508:  * Fixed: Plugin wizard generated code contains
	  non-conforming characters in plugin name.

2007-10-04 07:22  mortenmacfly

svn4507:  - added debug message about detected GCC include
	  directories (please leave this for hunting a bug with wx285+!)
	  * cb_share_config: added support for file groups (and masks)

2007-10-03 19:55  byo

svn4506:  wxSmith: Forgot to add one file

2007-10-03 18:18  biplab

svn4505:  * Fixed: Project specific "Custom variables" are not
	  expanded for OpenWatcom linker.
	  * Added: Code to map more linker options to wlink.exe options.

2007-10-02 21:52  byo

svn4504:  wxSmith: Big update to code generation process (note
	  that although new code has been tested, it may still have few
	  bugs since the change affected large areas of wxSmith)
	  * Generating code is now done using coder context object which
	  keeps chunks of code currently crated and some other stuff
	  required while code generation
	  * Improved generation of header files - including PCH filter
	  support and forward declarations (not yet fully enabled but works
	  perfectly while testing)
	  * Headers are now generated more precisely - f.ex. when there's
	  no bitmap used while generating resource, it won't be included
	  anywhere
	  * Items using custom fonts with more than one face name share now
	  one font enumerator and one array of faces
	  * Fixed some problems with events (in most cases it was bugged
	  list of item's events)

2007-09-29 18:53  biplab

svn4503:  * Applied: [Patch #2191] Patch for Bug #11979 (in
	  modified form)

2007-09-29 18:23  biplab

svn4502:  * Fixed: File association detection code not detecting
	  the files associated.

2007-09-29 16:34  biplab

svn4501:  * Applied: Non-Pch build fix. (Thanks Tim S.)

2007-09-28 18:33  biplab

svn4500:  * Fixed: Wrong pop-up menu in Project Tree.

2007-09-28 14:46  thomasdenk

svn4499:  - removed deleted file from makefile

2007-09-28 14:03  thomasdenk

svn4498:  - added nullptr to project files

2007-09-28 12:28  thomasdenk

svn4497:  - deleted unused source/header
	  - replaced 50kB license text in SDK headers with web link

2007-09-28 11:27  thomasdenk

svn4496:  - removed (provably useless) pointer checks

2007-09-28 10:16  thomasdenk

svn4495:  - now, finally

2007-09-28 10:06  thomasdenk

svn4494:  - fix previous revision

2007-09-28 09:54  thomasdenk

svn4493:  - nullptr

2007-09-28 09:30  killerbot

svn4492:  - GetStringFromArray : put back trailing space

2007-09-25 06:04  biplab

svn4491:  * Fixed: A typo in Automake file.

2007-09-25 05:59  biplab

svn4490:  * Updated: Remaining Autotools files missed in last
	  commit.

2007-09-25 05:25  biplab

svn4489:  * Added: Atmel AVR project wizard (Thanks to
	  BrianSidebotham).

2007-09-24 18:15  byo

svn4488:  wxSmith: Fixed some issues with wxNotebook (and
	  probably other ..book classes)

2007-09-24 17:39  killerbot

svn4487:  - include fixes

2007-09-22 14:47  biplab

svn4486:  * Updated: Windows only compilers to the latest changes
	  in Compiler sdk api.

2007-09-22 12:13  mandrav

svn4485:  * Support for adding custom files to the build system

2007-09-20 11:48  thomasdenk

svn4484:  - Workaround for wxWidgets' event handling quirks
	  - wxFNB and wxAUINotebook selectable via compile time switch
	  - Removed close button that doesn't belong there
	  - Added documentary comments

2007-09-19 19:20  biplab

svn4483:  * Fixed: Source/Project file open command is sent Twice
	  while opening it through DDE.
	  * Fixed: [Bug #12014] CodeCompletion doesn't start on
	  Code::Blocks startup

2007-09-19 19:08  thomasdenk

svn4482:  - created directories

2007-09-19 18:06  killerbot

svn4481:  - help plugin : remove warning

2007-09-19 17:47  killerbot

svn4480:  - pch fix

2007-09-19 16:49  ceniza

svn4479:  - ClassBrowserBuilderThread is now a joinable thread.
	  ClassBrowser will now Wait for it to exit before invalidating
	  "shared" data.

2007-09-18 19:59  byo

svn4478:  wxSmith: Fixed issues with wxArtProvider

2007-09-18 18:41  biplab

svn4477:  * Applied: [Patch #2135] MinGW autodetection searching
	  in $PATH

2007-09-18 18:29  biplab

svn4476:  * Reverted: Code committed to CC in rev 4473. (This
	  seems to be the cause of recent Crash-At-Close bug).

2007-09-17 00:38  ceniza

svn4475:  - Fixed another small memory leak found by Valgrind.

2007-09-16 21:27  ceniza

svn4474:  Help plugin:
	  * Bugfix: man pages with accentuated characters aren't displayed
	  in Windows (let's hope it still works in Linux).
	  * Bugfix: following a link when the man pages aren't compressed
	  causes a "Man page not found".
	  * Bugfix: following .so links doesn't work in Windows.

2007-09-16 19:38  ceniza

svn4473:  - Fixed a few problems found by Valgrind.

2007-09-16 09:18  biplab

svn4472:  * Fixed: A bug in SetVersionString() which could not
	  detect the version string of MinGW compilers installed in an
	  arbitrary folder.

2007-09-15 14:46  ceniza

svn4471:  Help plugin:
	  * If more than one match is found, let the user choose (tip: use
	  file wildcards).
	  * Bugfix: bz2 decompression adds garbage at the end of the file
	  (fixed in DevPak plugin too).
	  * Try to follow .so links in man pages to other man pages.
	  - Fix: "Thanks to" used \n instead of real newline.

2007-09-14 19:45  ceniza

svn4470:  Help plugin:
	  * Bugfix: editing help entries add extra "Man Pages Viewer" to
	  the View menu.
	  * Implemented zoom in and zoom out for the Man Pages Viewer.
	  - Added KDE dev team to the "thanks to" section.

2007-09-13 21:30  byo

svn4469:  wxSmith: Added customized popup menu for wxNotebook
	  (other x-book classes soon, after wxNotebook is finished)

2007-09-12 21:36  byo

svn4468:  wxSmith: Added "Bring to front" / "Send to back" popup
	  menu for items which are not managed inside sizers - available in
	  right-click popup menu in editor (this can be used to set correct
	  tab order)

2007-09-12 21:00  killerbot

svn4467:  - fix typo

2007-09-12 13:41  biplab

svn4466:  * Fixed: Project created from a user-template contains
	  old output file name.
	  * Fixed: C::B title not updated after creating a project from
	  user-template.

2007-09-12 13:29  ceniza

svn4465:  Help plugin:
	  * Fixed implementation of QListIterator<T> (the output should be
	  right now)
	  * Do not show the man page viewer by default

2007-09-12 06:00  ceniza

svn4464:  Help plugin:
	  * Bugfix: displaying man pages with tables (e.g. find.1) crashes
	  the application (must check if it's generating the right output)
	  - Added -fPIC to bzip2 and zlib targets in the unix project file

2007-09-12 00:59  ceniza

svn4463:  Help plugin:
	  * Converted the MANFrame into a dockable thingy.
	  * If a man page cannot be found then report it.
	  * Clicking on links for man pages that provide them will take you
	  to that man page (if found).

2007-09-11 22:01  byo

svn4462:  wxSmith:
	  * Changed default scopes of ids (now protected) / members (now
	  public) / handlers (now private) in new resources
	  * Scopes can be customized in Advanced options while generating
	  new resource
	  * Added cols / rows for wxGrid when editing in source mode (Grom:
	  you owe me a beer ;) )

2007-09-11 17:49  biplab

svn4461:  * Fixed: Wrong output size in MB.

2007-09-11 11:40  mandrav

svn4460:  * Fixed help plugin's project file for linux. Man pages
	  now work when not using autotools.

2007-09-11 11:39  mandrav

svn4459:  * Fixed a couple more oversized dialogs.

2007-09-11 08:45  mandrav

svn4458:  * Added event cbEVT_QUERY_VIEW_LAYOUT (queries the
	  current view layout).
	  * Removed debugger options for automatic layout switching. It is
	  all handled automatically now.

2007-09-11 08:13  mandrav

svn4457:  * Fixed crash in wxSmith when closing any open XRC file
	  (byo, can you check and verify?)

2007-09-11 08:01  mandrav

svn4456:  * Fixed crash when closing the editor settings dialog
	  by pressing OK (introduced yesterday).

2007-09-10 21:05  daniel2000

svn4455:  - missing backslash broke make dist

2007-09-10 13:45  mandrav

svn4454:  * Display size of generated file after linking.

2007-09-10 12:03  mandrav

svn4453:  * Fixed some UI layout errors in project and editor
	  options. Say 'no' to huge dialogs :).

2007-09-10 09:43  mandrav

svn4452:  * cbEVT_APP_STARTUP_DONE is now fired *after* the app
	  has loaded and fully displayed its windows.

2007-09-10 09:41  mandrav

svn4451:  * Added configuration options for which lexer keyword
	  sets to be included in code-completion results.

2007-09-10 07:15  mariocupelli

svn4450:  add styles for formating documentation

2007-09-10 07:14  mariocupelli

svn4449:  add makefile for generating documentation

2007-09-10 07:12  mariocupelli

svn4448:  add configuration files for html and docbook

2007-09-09 19:55  ceniza

svn4447:  Help plugin:
	  - Fixed project file settings for unix like systems.

2007-09-08 22:27  ceniza

svn4446:  - Applied patch: help plugin doesn't compile without
	  precompiled headers and added includes to Windows cbp (Thanks
	  Tim).

2007-09-08 14:26  thomasdenk

svn4445:  - created directories

2007-09-08 13:30  biplab

svn4444:  * Updated: Update script for Linux/Unix to exclude
	  .svn, Makefile and other garbage files.

2007-09-08 09:40  ceniza

svn4443:  Help plugin:
	  * Converted the basic frame to display man pages into a simple
	  man pages viewer.

2007-09-07 22:50  byo

svn4442:  wxSmith:
	  * Added pop-up menu on right click on resource in resource
	  browser
	  * Implemented deleting resources (accessible through pop-up menu)
	  * Fixed typo

2007-09-07 22:19  ceniza

svn4441:  - Applied patch #2167: use system zlib and bzip2 for
	  help_plugin (Thanks SharkCZ)

2007-09-07 20:11  ceniza

svn4440:  - Patch to get windows build without precompiled
	  headers (Thanks Tim).

2007-09-07 14:08  mariocupelli

svn4439:  add sources of codeblocks documentation

2007-09-07 14:06  mariocupelli

svn4438:  add first part of codeblocks docu

2007-09-07 10:44  killerbot

svn4437:  - remove warning

2007-09-07 10:07  killerbot

svn4436:  - update project files and Makefile.am for the new
	  supported compilers

2007-09-07 09:25  biplab

svn4435:  * Fixed: Project file is removed while Rebuilding /
	  Cleaning a Dynamic Library Project.

2007-09-07 09:00  ceniza

svn4434:  Help plugin:
	  - Updated Linux project file
	  - Updated configure.in

2007-09-07 08:51  ceniza

svn4433:  Help plugin:
	  * Added support to display man pages.

2007-09-07 08:01  mariocupelli

svn4432:  add support for TriCore, MSP430 and PowerPC

2007-09-07 08:00  mariocupelli

svn4431:  add support for TriCore, MSP430 and PowerPC

2007-09-06 21:59  byo

svn4430:  wxSmith: Implemented jumping to event handler function
	  body when changing handler / double clicking on item that has
	  main handler set

2007-09-06 17:36  biplab

svn4429:  * Fixed: [Bug #11929] Crash when moving a virtual
	  folder to its subfolder

2007-09-06 08:15  thomasdenk

svn4428:  - Add workspace extension on "save as" if none given

2007-09-05 20:56  byo

svn4427:  wxSmith: Double click on some item now adds event
	  handler (if there's none) of it's first event

2007-09-05 18:41  biplab

svn4426:  * Fixed: [Bug #11785] Tooltip/Function info window does
	  not go away

2007-09-04 18:41  byo

svn4425:  wxSmith: Implemented sorting of properties

2007-09-04 18:03  biplab

svn4424:  * Object files of source files on different drive will
	  now be created inside the Project object directory itself.
	  * Replaced the fix committed in rev 4422 with a simpler and
	  better one.

2007-09-04 13:49  mortenmacfly

svn4423:  - debugger: fixed unable to detect cygwin prefix under
	  HKCU (instead of only HKLM)

2007-09-04 10:47  biplab

svn4422:  * Fixed: Crash in ProjectFileOptions dialog, when the
	  project uses an unavailable compiler.

2007-09-02 18:28  biplab

svn4421:  * Fixed: [Bug #11698] Silent close on multiple instance

2007-09-01 07:53  mandrav

svn4420:  * Code-completion now provides support for language
	  keywords, based on the current editor's language (only C++ was
	  supported until now).
	  * Fixed wrong layout for editor abbreviations causing the
	  Add/Delete keys to be invisible.

2007-09-01 00:52  ceniza

svn4419:  Debugger plugin:
	  * Set max value for "Ignore count before break".

2007-08-31 14:14  biplab

svn4418:  * Fixed: Crash at Start-up if clicked on the Splash
	  Screen.

2007-08-31 10:51  killerbot

svn4417:  * assembler files support (*.asm)

2007-08-31 05:54  mortenmacfly

svn4416:  * added support for assembler sources (*.s;*.ss)
	  * exposed assembler sources to scripts

2007-08-30 17:42  ceniza

svn4415:  AStyle plugin:
	  * Fixed bug 011860: Mouse cursor changes.

2007-08-29 21:33  byo

svn4414:  wxSmith: Added include file properties for custom
	  widget (only when using source mode)

2007-08-27 19:30  killerbot

svn4413:  - remove warnings

2007-08-27 19:28  killerbot

svn4412:  - add GetCompilerVersionString() to the CompilerFactory
	  and export it for the scripts

2007-08-27 17:05  thomasdenk

svn4411:  - Revert again

2007-08-25 15:08  mortenmacfly

svn4410:  * improved Java support any further
	  * added "set default" for file groups and masks
	  * exposed Java binding to scripts
	  * minor fixed for Fortran 77/90/95 support
	  - improved SDK documentation and documentation of C::B resources

2007-08-25 10:38  byo

svn4409:  wxSmith: Fixed size of new-resource dialog with hidden
	  advanced options on linux

2007-08-25 09:45  byo

svn4408:  wxSmith:
	  * Added some stubs to support read-only files
	  * Fixed crash when adding new resource on linux

2007-08-23 16:58  thomasdenk

svn4407:  * Revert revert

2007-08-23 12:24  afb

svn4406:  - include missing <string> header (source_exporter)

2007-08-22 09:19  thomasdenk

svn4405:  * Made .java files recognized as compileabe sources (no
	  Java support!)

2007-08-22 07:18  mandrav

svn4404:  * Backtick'd expressions cache is not cleared anymore
	  (severe performance hit if many of them are used). Restarting
	  C::B is the only way to clear it.
	  * Added debugger option not to auto-build before launching.
	  * Fixed crash in compiler plugin under certain circumstances
	  (when selecting another target in the combo box).

2007-08-20 14:59  mortenmacfly

svn4403:  - all wizards: Do not put output file name in root
	  folder of drive if no path provided

2007-08-17 20:13  killerbot

svn4402:  - include fix

2007-08-17 15:46  byo

svn4401:  wxSmith:
	  * Update to base properties (cleaned some things up and added
	  ability to fetch position / size of resource from constructor's
	  argument)
	  * Updated new resource generator - it now gives much more options

2007-08-17 07:36  killerbot

svn4400:  - include fixes (this concludes patch 2139)

2007-08-16 14:43  thomasdenk

svn4399:  - re-added r4272, but without overload operators
	  (should not cause ambiguity now)

2007-08-16 09:47  mortenmacfly

svn4398:  - fixed all SDK documentation errors
	  - fixed Exporter not compiling with GCC 3.4.5 (thatnks stahta01)

2007-08-15 22:31  byo

svn4397:  wxSmith: Fixed bug #10964

2007-08-15 17:39  mortenmacfly

svn4396:  - restored wxsmith bindings -> again: Thomas' fault.
	  ;-)

2007-08-15 14:54  thomasdenk

svn4395:  - InfoPane can now properly show/hide panels, delete
	  Loggers and non-Loggers
	  - Moved GUI-Initialisation out of CreateIDE, and after plugin
	  loading, so plugins can add loggers at startup

2007-08-15 13:47  killerbot

svn4394:  * remove warnings from Exporter plugin (wxPdfDocument
	  part)

2007-08-14 22:03  killerbot

svn4393:  - follow up

2007-08-14 21:57  killerbot

svn4392:  - include fixes

2007-08-14 21:56  killerbot

svn4391:  - include fixes

2007-08-14 21:39  killerbot

svn4390:  - follow up

2007-08-14 18:52  ceniza

svn4389:  Source Exporter:
	  * PDF exporter: fixed crash when the file to be exported had
	  non-ASCII characters.
	  - Updated wxPdfDocument to version 0.8.0

2007-08-14 16:59  biplab

svn4388:  * Fixed: Broken build on Linux.

2007-08-14 16:55  thomasdenk

svn4387:  - Removed precompiled header include

2007-08-14 16:12  byo

svn4386:  wxSmith:
	  * Added missing GPL header in newly added files
	  * DELETE key now deletes current selection in editor

2007-08-14 13:43  killerbot

svn4385:  - remove warning

2007-08-14 13:10  killerbot

svn4384:  - some first fixes to rev 4382

2007-08-14 13:00  killerbot

svn4383:  - follow up

2007-08-14 12:16  thomasdenk

svn4382:  - Replaced "Log" with "Logger" where it should be
	  - Did some tuning on the existing loggers
	  - Added startup code to turn off app logging
	  - etc.

2007-08-14 12:02  killerbot

svn4381:  - follow up

2007-08-14 11:56  killerbot

svn4380:  - follow up

2007-08-14 11:49  killerbot

svn4379:  - follow up

2007-08-14 11:46  killerbot

svn4378:  - follow up

2007-08-14 09:58  killerbot

svn4377:  - little follow up

2007-08-14 09:26  killerbot

svn4376:  - little follow up

2007-08-14 09:17  killerbot

svn4375:  - further include fixes and separation between
	  Manager::GetAppWindow() and Manager::GetAppFrame(), SDK bump to
	  1.11.12 (could be a few follow up include fixes might follow)

2007-08-14 08:23  biplab

svn4374:  * Updated previous commit.

2007-08-14 08:06  killerbot

svn4373:  - some fist part of include fixes

2007-08-13 20:50  byo

svn4372:  wxSmith: Fixes for few segfaults discovered on linux

2007-08-13 18:14  byo

svn4371:  wxSmith:
	  * Added border for wxPanel items added into other resources
	  * Fixed background colour for wxFrame
	  * Preview for wxPanel resources are now using resizable dialog

2007-08-13 16:09  mortenmacfly

svn4370:  - envvars plugin: minor modifications to take home

2007-08-13 15:53  byo

svn4369:  wxSmith: Implemented grid for sizer-less resources

2007-08-13 07:44  biplab

svn4368:  * Fixed: C::B can't detect a file with UTF-32LE (with
	  BOM) encoding.

2007-08-12 21:13  pecan

svn4367:  KeyBinder 1.0.42 2007/08/12
	  -Change AddPendingEvent() to ProcessEvent() in wxMenuCmd::Exec()
	  to avoid crashes when secondary command key would close editors
	  wx284

2007-08-12 19:08  killerbot

svn4366:  - autorevision : const correctness and use TiXml
	  handles in QuerySvn

2007-08-10 14:26  killerbot

svn4365:  - fix to previous commit : autorevision.cpp does not
	  belong to that

2007-08-10 14:16  killerbot

svn4364:  * wxFNB : fixed: popup dialog not focused on linux
	  (ctrl+tab & smart tabbing)

2007-08-10 11:18  byo

svn4363:  wxSmith:
	  * Added insert-by-pointing-with-mouse mode
	  * Code generated when adding sizers now contains spaces to be
	  more readable

2007-08-08 19:41  killerbot

svn4362:  - console-main.c.cpp : no need to include stdlib.h

2007-08-08 12:16  afb

svn4361:  - codesnippets uses GDK functions directly on wGTK, so
	  it needs to link with the GTK2_LIBS too

2007-08-08 10:30  biplab

svn4360:  * make dist fix.

2007-08-08 08:49  byo

svn4359:  wxSmith: Icon property is now used inside generated
	  code and preview

2007-08-08 07:36  biplab

svn4358:  * Fixed: Out-of-place build fix for Todo plugin.

2007-08-07 09:46  biplab

svn4357:  * Fixed: Couple of assertion failures associated with
	  wxDir.
	  * Some clean up in Intel compiler detection code.

2007-08-07 09:25  thomasdenk

svn4356:  - added IsOpened() check to locale loading

2007-08-06 19:40  afb

svn4355:  * add Mach IPC typedefs for Darwin

2007-08-06 17:48  biplab

svn4354:  * Cleaned up last commit by reverting one unnecessary
	  change.

2007-08-06 17:19  biplab

svn4353:  * Fixed: [Bug #11720] Standard Header Highlighting
	  problem
	  * Fixed: Highlight mode was not applied when highlight mode is
	  changed from a mode to 'Plain text'.

2007-08-06 14:08  mortenmacfly

svn4352:  - ennvars plugin: (hopefully) fixed choicebox GUI bug
	  under Linux

2007-08-06 12:36  mandrav

svn4351:  * Added cbProject::GetExtensionsNode() and
	  cbProject::AddToExtensions(). The latter is exposed to scripts.
	  Read the function docs on how to use it.

2007-08-06 11:04  mandrav

svn4350:  * Added --safe-mode command-line option (all plugins
	  are disabled on startup).
	  * Fixed out-of-place builds with autotools (bug #11607).

2007-08-05 14:35  biplab

svn4349:  * Added: Code-statistics for *.cc, *.cxx files in
	  project file options dialog.

2007-08-05 09:37  biplab

svn4348:  * Fixed: MSVC Project import bug where '-g' was getting
	  added to Release target.

2007-08-04 19:14  biplab

svn4347:  * Now *.cc files would be recognized as C++ files.

2007-08-03 11:45  biplab

svn4346:  * One code-cleanup in DLL wizard generated source.

2007-08-02 21:02  killerbot

svn4345:  * clean up the autorevision stuff, less dependencies

2007-08-02 20:44  pecan

svn4344:  CodeSnippets 1.2.92 2007/08/2
	  - Added check for possible garbage window ptr in
	  OnTreeCtrlEvent() and other assorted wxGTK284 fixes
	  - Fixed TextToFilenames() for list/text containing \r & \n

2007-08-02 12:38  biplab

svn4343:  * Fixed: [Bug #11585] Extra file relative paths are
	  wrong in exported plugin

2007-08-02 04:00  biplab

svn4342:  * Fixed: Extra paths are not processed in some cases.
	  * Minor cleanup in DebuggerGDB plugin.

2007-08-01 18:16  killerbot

svn4341:  - restructured update.bat a little bit and minor fix

2007-08-01 18:15  killerbot

svn4340:  * wxFNB : fixed overflow of tabs too early and applied
	  patch to allow backward compatibility with 2.6.x

2007-08-01 09:15  thomasdenk

svn4339:  * Fixed $TARGET_OUTPUT_DIR
	  - Corrected description of CompileTargetBase::GetBasePath()

2007-07-30 21:50  pecan

svn4338:  KeyBinder 1.0.41
	  - check for numeric menu items that start with "_" wxGTK 2.8.4
	  - Fixed disappearing/reappearing command keys on wxGTK 2.8.4 by
	  trimming all menu items and conf strings before comparing.

2007-07-30 10:27  mandrav

svn4337:  - Bug fix in tokenizer wrt << operator.

2007-07-30 07:29  biplab

svn4336:  Fixed: [Bug #11656] (Completely!)

2007-07-29 10:59  biplab

svn4335:  * Fixed: [Bug #11600] compiler plugin works only with
	  admin rights

2007-07-29 07:08  biplab

svn4334:  * Fixed: [Bug #11656] windows plugin wizard defaults to
	  linking to wxmsw26u

2007-07-28 14:35  mandrav

svn4333:  * The <Extensions> node (in .cbp files) is now
	  preserved through project saves, even if the plugins using it are
	  disabled/uninstalled. All relevant code in our repository has
	  been updated.

2007-07-28 11:34  mandrav

svn4332:  * Added SDK events for build targets:
	  - cbEVT_BUILDTARGET_ADDED
	  - cbEVT_BUILDTARGET_REMOVED
	  - cbEVT_BUILDTARGET_RENAMED
	  - cbEVT_BUILDTARGET_SELECTED
	  * Added Get/SetBuildTargetName() and Get/SetOldBuildTargetName()
	  in CodeBlocksEvent, for the new events (the latter two functions
	  only apply for cbEVT_BUILDTARGET_RENAMED and
	  cbEVT_BUILDTARGET_SELECTED events).
	  * Debugger no longer tries to launch 2 times if the first try
	  failed.

2007-07-27 11:49  biplab

svn4331:  * Fixed: Clicking "Properties" option from Notebook
	  menu doesn't show proper file properties if it's part of a
	  project.

2007-07-27 08:50  mandrav

svn4330:  * Fixed code-completion not launching for empty search
	  strings (bug #11630).
	  * Fixed code-completion handling of preprocessor directives in
	  class definitions (bug #11626).

2007-07-27 08:05  mandrav

svn4329:  * Starting the debugger should work correctly again in
	  all cases.
	  * Per-target extra debugger commands are now sent after
	  connection to remote target (if any).

2007-07-26 21:33  pecan

svn4328:  CodeSnippets 1.2.90 2007/07/26
	  - Don't save snippets xml when no changes made in order to avoid
	  file time change and annoying reload msg in secondary CB.

2007-07-26 17:59  biplab

svn4327:  * Removed: event.skip() from OnNavigationKey (as
	  suggested by Eranif)

2007-07-26 16:56  ceniza

svn4326:  Compiler plugin:
	  * If getting the timestamp for a file fails check its existence
	  to decide if it should be built or just ignored.

2007-07-26 15:47  biplab

svn4325:  * Stopped Update.bat from copying Makefile.am to few
	  directories.

2007-07-26 14:38  ceniza

svn4324:  AStyle plugin:
	  * Updated to AStyle 1.21, applying changes provided by Jim
	  Pattee.

2007-07-26 14:36  killerbot

svn4323:  * applied [ Patch #2105 ] Fix ugly 22x22
	  searchreplace.png

2007-07-26 09:26  mandrav

svn4322:  * Fixed "debugger won't start" bug introduced
	  yesterday.
	  * Event cbEVT_COMPILER_STARTED is now emitted.

2007-07-25 15:22  mortenmacfly

svn4321:  - again: restored wxSmith bindings in C::B project file
	  (see r4298)

2007-07-25 13:51  killerbot

svn4320:  - follow/clean up on wxFNB

2007-07-25 13:30  thomasdenk

svn4319:  - Fixed pch warning
	  - Added documentary comments

2007-07-25 13:01  thomasdenk

svn4318:  - Fixed Windows compile errors for new IPC class, and
	  added to project (still not used)

2007-07-25 12:53  thomasdenk

svn4317:  - fixed Lock() semantics under Windows

2007-07-25 12:45  killerbot

svn4316:  * switched to latest svn wxFlatNotebook ( > 2.2) , with
	  3 changes from our side, the update brings : a) unlimited stack
	  of recently visited tabs and b) when closing a tab, the selected
	  tab is the previously selected one

2007-07-25 12:34  mandrav

svn4315:  * Fixed new IPC code for linux and added to build (not
	  used yet though).

2007-07-25 12:26  thomasdenk

svn4314:  - restored 2 semop()s that got lost

2007-07-25 12:04  mandrav

svn4313:  * Update -mmcu options for GNUAVR (patch #2071).

2007-07-25 11:49  killerbot

svn4312:  * switched to wxFlatNotebook 2.2 + 1 little change

2007-07-25 11:46  thomasdenk

svn4311:  - Checkin IPC sources (WIP)

2007-07-25 11:45  mandrav

svn4310:  * Incremental search dialog now supports the * and ?
	  wildcards (patch #2046).

2007-07-25 11:41  mandrav

svn4309:  * Clean-up in remote debugging code.
	  * Added baud setting for remote debugging through the serial
	  port.
	  * Fixed deadlock while debugger was waiting for compiler to
	  finish (at least in linux).

2007-07-25 04:50  biplab

svn4308:  * Include fix for non-pch build. (Thanks Tim S.)

2007-07-24 15:10  ceniza

svn4307:  Source Exporter:
	  * Tabs are now converted to spaces using the current editor
	  settings (tab size in spaces) in the PDF exporter.

2007-07-24 14:05  mandrav

svn4306:  - Adjusted Makefile.am

2007-07-24 13:49  killerbot

svn4305:  - include fix

2007-07-24 13:39  mandrav

svn4304:  * Added preliminary support for remote debugging with
	  gdb (only). Check the "Debugger" page in project's properties...

2007-07-24 07:10  thomasdenk

svn4303:  - Rewrote a loop for clarity and fixed a typo

2007-07-24 03:54  biplab

svn4302:  * Fixed: Broken GCC compiler support on Windows due to
	  rev 4296.

2007-07-23 20:26  mortenmacfly

svn4301:  * cb_share_config: added support for editor colour_sets

2007-07-23 15:57  killerbot

svn4300:  - fix as suggested by eranif

2007-07-23 14:33  biplab

svn4299:  * Fixed: Compilation issues with wx-2.6 (introduced in
	  rev 4296)

2007-07-23 11:51  mortenmacfly

svn4298:  - restored wxSmith bindings in C::B project file
	  (Thomas: please enable wxSmith when updating project files)

2007-07-23 11:49  biplab

svn4297:  * Updated: Automake files and C::B-unix project file to
	  build new logmanager.

2007-07-23 11:03  biplab

svn4296:  * On Windows the search in PATH environment variable,
	  in CompilerGCC::SetEnvironmentForCompiler(), would now be
	  case-insensitive. This would help avoid adding duplicate entries
	  in PATH.

2007-07-23 10:49  thomasdenk

svn4295:  - LogManager checkin

2007-07-23 09:15  mortenmacfly

svn4294:  - landed in 2007 ;-)

2007-07-23 04:08  biplab

svn4293:  * Fixed: Compilation error (related to
	  wxCharBuffer::==) in certain build configurations.

2007-07-23 03:17  ceniza

svn4292:  Source Exporter:
	  * bugfix: Wrong output of tabs in ODT.
	  ~ Must find a workaround for tabs in PDF (the output looks like a
	  single space).

2007-07-22 12:31  biplab

svn4291:  * Fixed: Run-time error message in
	  CompilerMINGW::SetVersionString() when gcc binary is not found.

2007-07-22 11:30  biplab

svn4290:  * Applied: [Patch #2015] To create a lib using lib.exe
	  in DMD tools??

2007-07-22 10:03  biplab

svn4289:  * Fixed: Couple of issues with DMD compiler.

2007-07-22 04:19  pecan

svn4288:  CodeSnippets 1.2.89 2007/07/21
	  - fixed missing window when switching layouts
	  - auto show window when switching between window types

2007-07-21 20:00  biplab

svn4287:  * Applied: [Patch #2067] 'Highlight mode' reflects
	  current syntax highlighting

2007-07-21 18:35  biplab

svn4286:  * Applied:
	  - [Patch #2066] updates to python lexer
	  - [Patch #2091] Documention only fix on file
	  propgrid/CHANGES-propgrid.txt

2007-07-21 09:00  killerbot

svn4285:  - NULL should be 0, standard C++

2007-07-21 07:24  biplab

svn4284:  * Fixed: [Bug #11599] Saving a file crashes in a
	  special case

2007-07-20 17:34  biplab

svn4283:  * Updated: Regex in CompilerMINGW::SetVersionString()
	  to a foolproof one.

2007-07-19 18:26  mandrav

svn4282:  * Fixed minor issues with CC tooltips.

2007-07-19 11:45  biplab

svn4281:  * Fixed: Crash while compiling a single file with
	  OpenWatcom compiler.

2007-07-19 08:34  thomasdenk

svn4280:  - Sorted items in "search internet" popup correctly
	  (nobody ever noticed?)

2007-07-19 01:24  rickg22

svn4279:  * Fixed bug #11574 (comment code doesn't work on PHP
	  files)

2007-07-18 14:17  rickg22

svn4278:  * Applied patch #2040 to fix Home key bug (#11234)

2007-07-18 09:54  mandrav

svn4277:  * Bug-fix in CC tokenizer.
	  * When hovering the mouse over a word in the editor, a tooltip is
	  displayed describing the token under the mouse (relevant option
	  added in CC settings so it can be disabled/enabled at will).

2007-07-18 07:47  biplab

svn4276:  * Fixed: Layout issues in DataBreakpointDlg.

2007-07-17 18:32  thomasdenk

svn4275:  - revert

2007-07-17 16:47  biplab

svn4274:  * Updated: DLL and Win32 GUI wizard to latest changes
	  in OpenWatcom compiler support.

2007-07-17 13:56  mandrav

svn4273:  - Renamed -devel debian packages to -dev
	  - Bug-fix in CompilerMINGW::SetVersionString.

2007-07-17 13:44  thomasdenk

svn4272:  - Added a bit of type safety to the GetID() function

2007-07-17 12:20  biplab

svn4269:  * Some code-cleanup and improvements in OpenWatcom
	  option generation code.
	  * Added experimental support of creating Linux executables on
	  Windows using OpenWatcom. Please note that an additional
	  **Library directory** has to be added manually.

2007-07-16 17:36  killerbot

svn4268:  - wxSmith : increase readability of generated code

2007-07-16 14:07  mandrav

svn4267:  * Debian dir updated to create the following packages:
	  - libcodeblocks0 (codeblocks shared lib)
	  - codeblocks (main app and core plugins)
	  - codeblocks-contrib (contrib plugins)
	  - codeblocks-dbg (debugging symbols)
	  - codeblocks-devel (SDK headers)
	  - libwxsmithlib0 (wxSmith shared lib)
	  - libwxsmithlib0-devel (wxSmith development shared lib)
	  * Added rudimentary man pages for cb_share_config and
	  codesnippets.
	  * Resource zip-files are now automatically generated when their
	  dependencies change (no more need for "make clean-zipfiles").
	  * update-revision.sh now updates debian/changelog too so
	  generated packages will contain correct version info.

2007-07-15 12:31  biplab

svn4266:  * Added the following SDK functions. Use them for
	  compiler version detection.
	  - Compiler::SetVersionString()
	  - Compiler::GetVersionString()
	  * Now deprecated compiler option, '-I-', wouldn't be used for GCC
	  4.x series. Fixed(Partially): [Bug #10624] gcc:
	  faulty/deprecated/ default options

2007-07-15 02:15  rickg22

svn4265:  * Code completion: Fixed 2-second freeze every time a
	  file was saved (winxp)

2007-07-14 21:12  pecan

svn4264:  CodeSnippets 1.2.87 2007/07/14
	  - invoke properties dialog on "new snippet"
	  - do not copy removed snippet to .trash when shift key down

2007-07-14 07:14  biplab

svn4263:  * Fixed: Broken build on Linux due to last commit.

2007-07-14 05:00  biplab

svn4262:  * Fixed: [Bug #11548] "Recent projects" tries to open
	  already open project

2007-07-11 09:41  mandrav

svn4261:  * Backticked expressions in build options are now
	  parsed for compiler/linker search dirs. Code-completion benefits
	  greatly from this (locating files to parse, opening #include
	  files, etc).
	  - The CC DebugInfo dialog now displays the parser's search dirs
	  too.

2007-07-11 08:23  mandrav

svn4260:  * CC parser now supports "typedef enum {...} id"
	  constructs.

2007-07-11 06:40  killerbot

svn4259:  - include fixes

2007-07-11 05:44  rickg22

svn4258:  * Code completion: Fixed [bug #11460] "Switching to
	  current file's symbols delays class browser for ~ 4 secs"

2007-07-10 19:15  mortenmacfly

svn4257:  * cb_share_config: implemented "uncheck all"; made dlg
	  resizable

2007-07-10 15:40  mortenmacfly

svn4256:  - projectsimporter compiles with wx26 again
	  - re-formatted awfully looking projectsimporter source code files

2007-07-10 14:37  mortenmacfly

svn4255:  * fixed crash when opening build options (introduced in
	  4247)

2007-07-10 14:24  killerbot

svn4254:  - further commits for the projectsimporter
	  restructuring

2007-07-10 14:10  mandrav

svn4253:  - more forgotten stuff, ugh

2007-07-10 14:08  rickg22

svn4252:  * Code completion: Fixed [bug #11533] (class browser
	  crash on windows)

2007-07-10 13:37  mandrav

svn4251:  - darn, forgotten stuff

2007-07-10 13:32  mandrav

svn4250:  - moved forgotten file

2007-07-10 12:58  mandrav

svn4249:  - forgotten files

2007-07-10 12:58  mandrav

svn4248:  * New plugin: ProjectsImporter. Moved all code that
	  imports foreign projects/workspaces from the SDK to this new
	  plugin (windows build not up-to-date yet).

2007-07-10 11:46  mortenmacfly

svn4247:  * use more comfortable way to choose extra toolchain
	  path's (this also allows the use of GCV's and improves
	  consitency)

2007-07-10 09:35  mortenmacfly

svn4246:  * envvars plugin: added possibility to clone an envvar
	  set
	  * envvars plugin: GUI enhancement for Linux, code cleanup

2007-07-10 07:50  biplab

svn4245:  * Fixed: Broken build due to commit in rev 4243.

2007-07-09 21:12  mortenmacfly

svn4244:  - very minor code cleanups

2007-07-09 16:37  biplab

svn4243:  * Added: Support for $(PlatformName) macro in MSVC 7+
	  project file import.
	  * Some code cleanup.

2007-07-09 16:02  biplab

svn4242:  * Win32GUI Wizard:
	  - Added support for Dialog based app creation. (Thanks Skirby for
	  the sample code)

2007-07-09 09:22  mortenmacfly

svn4241:  - envvars plugin: added "nicer" image for config icon

2007-07-09 08:45  mortenmacfly

svn4240:  * envvars plugin: fixed "envvars not unset on project
	  close" bug (thanks Yiannis)

2007-07-09 08:32  mandrav

svn4239:  * Fixed crash when using "Close" or "Close all" in open
	  files list context menu (bug #11508).

2007-07-08 08:10  mandrav

svn4238:  * Fixed: plugin installation wouldn't create
	  directories on windows (thanks dje).

2007-07-07 11:33  mandrav

svn4237:  * CC parser now supports "typedef [class|struct] {...}
	  id" constructs.

2007-07-07 11:06  mandrav

svn4236:  - Bug fix in CC tokenizer.

2007-07-06 13:43  biplab

svn4235:  * Replaced 'Tabs' with 'Spaces' from all the wizards.

2007-07-06 13:37  mandrav

svn4234:  * Changed the SDK events handling system (see
	  http://wiki.codeblocks.org/index.php?title=Code::Blocks_SDK_events).
	  - While I was at it, I implemented sending the
	  cbEVT_APP_START_SHUTDOWN event.

2007-07-06 13:27  biplab

svn4233:  * wxWidgets wizard:
	  - Default wxwidgets configurations will now be added at project
	  level.

2007-07-06 06:47  mortenmacfly

svn4230:  - added missing comments

2007-07-05 17:02  biplab

svn4229:  * Implemented: [FR #3524] "Remove all breakpoints"
	  option

2007-07-05 12:53  mortenmacfly

svn4228:  - removed wx/log.h entries no longer required after
	  r4225 (the ones left *are* required)
	  - updated sdk doxygen file to latest doxygen revision
	  * fixed bug under wx26 that path for wizards was calculated wrong
	  (without drive letter)

2007-07-05 11:35  mandrav

svn4227:  * The "Save all" button on the toolbar is now "Save all
	  files" to avoid problems with accidental clicking ("Save all" is
	  an irreversible action).

2007-07-05 11:19  byo

svn4226:  wxSmith: Fixed wx2.6 issues in wxToolbar

2007-07-05 11:19  thomasdenk

svn4225:  - Removed all wxLogNull, disabled log messages globally
	  - Added a null pointer check (probably unneeded)

2007-07-05 11:12  mandrav

svn4224:  * Fixed display of watches for CDB (MSVC executables).

2007-07-05 10:58  mandrav

svn4223:  * Fixed running console-based programs in windows.

2007-07-05 08:23  mandrav

svn4222:  - ToDo plugin now uses the correct image in the
	  settings dialog.

2007-07-04 16:23  biplab

svn4220:  * Removed: Redundant code.

2007-07-04 10:53  mandrav

svn4219:  * Dynamic linker's path is now set correctly again for
	  executing.
	  * Added EscapeSpaces() global function and exposed it to scripts
	  along with a few other functions from globals.h.
	  * Updated debugger plugin to correctly set the dynamic linker's
	  path.

2007-07-04 08:29  biplab

svn4218:  * Reverted: Code changes made in rev 4216. Morten
	  reported some issues.

2007-07-04 08:14  mandrav

svn4217:  * Respect projects modification flag when closing
	  workspace and ask to save modified projects.

2007-07-03 17:15  biplab

svn4216:  * Improved: CommonTopLevelPath calculation routine.
	  * Fixed: Slow Project tree construction. It should be faster now.

2007-07-03 12:17  tiwag

svn4213:  * Open Files List items - read-only file icon added
	  * Find, Find Next/Previous results shown centered on screen

2007-07-03 10:44  mandrav

svn4212:  * Added "File->Save all" which saves everything: files,
	  projects and workspace (patch #2044).

2007-07-03 09:45  mandrav

svn4211:  * Fixed bug with "pause when execution ends" target
	  checkbox (bug #11235).

2007-07-03 09:30  mandrav

svn4210:  * Exposed _() to scripts for translated strings (bug
	  #10297, patch #2020).

2007-07-03 09:26  mandrav

svn4209:  * Display replace-operation summary (bug #11472, patch
	  #2083).

2007-07-03 09:11  mandrav

svn4208:  * Exposed to scripts
	  CompileTargetBase::SetTargetFilenameGenerationPolicy (bug
	  #11019).

2007-07-02 17:29  mandrav

svn4207:  * Fixed crash in symbols browser under certain
	  circumstances (bug #11433).

2007-07-02 13:46  mandrav

svn4205:  * Plugins manifest XML expanded to allow for extra
	  files being installed/exported/uninstalled.

2007-07-02 12:30  mandrav

svn4204:  * Fix in annoying dialog: do not use
	  wxStdDialogButtonSizer if using custom button IDs (they are not
	  accepted and the dialog layout is screwed).

2007-07-02 11:12  mandrav

svn4203:  * Binary .cbplugin files can now contain icons for the
	  "Settings" dialogs. The two supported icon files should be named
	  <plugin_name>.png and <plugin_name>-off.png.
	  * Updated all settings dialogs to locate icons through
	  configmanager.
	  * If a settings icon for a plugin cannot be located, the
	  generic-plugin icon will be used.

2007-07-02 08:07  thomasdenk

svn4202:  - Create locale subfolder at startup, turn off
	  wxWidgets message
	  - Removed unneeded global variables

2007-06-30 21:10  byo

svn4201:  wxSmith: Big update to wxsDrawingWindow class
	  * It uses wxClientDC instead of wxScreenDC (which is not
	  supported on MAC now)
	  * Removed internal "drawing panel" - everything is done on
	  wxsDrawingWindow now (event flow is much better now)
	  * Got rid of all Yields during fetch sequence (may improve
	  stability)
	  * First results on MAC (still there's much to be done but at
	  least there's some starting point)

2007-06-30 20:31  pecan

svn4200:  CodeSnippets 1.2.84 2007/06/30
	  - Get temp directory name from system; don't assume /temp or
	  /tmp.

2007-06-29 22:33  byo

svn4199:  wxSmith: Synced style lists with XRC sources (it may
	  add extra styles for most components but at least it will prevent
	  missing ones)

2007-06-29 18:17  killerbot

svn4198:  - include fixes : apparently types can be used just out
	  of the blue and headers files are not needed anymore, DUH

2007-06-29 15:54  thomasdenk

svn4197:  - Internationalisation works

2007-06-29 01:43  rickg22

svn4196:  * TODO list: Applied patch #2082 to fix bug #10783
	  (ToDo list too big)

2007-06-28 21:58  byo

svn4195:  wxSmithContribItems: Fixed make dist

2007-06-28 20:19  byo

svn4194:  wxSmith: Fixed bug #11274 - Double click item in
	  Resources tree, 2 editor tabs opened

2007-06-28 10:28  byo

svn4193:  Fixed some issues for non-pch project using wxSmith
	  generated by wizard

2007-06-28 09:59  biplab

svn4192:  * Applied: [Patch #2081] Project properties -> line
	  counter fix

2007-06-27 21:17  mortenmacfly

svn4191:  * fixed nasty crash in OW compiler (command generator)

2007-06-27 18:01  pecan

svn4190:  CodeSnippets 1.2.83 2007/06/27
	  - Fixed: Index might not be saved when changing category label

2007-06-27 17:44  pecan

svn4189:  DragScroll 1.1.04 2007/06/27
	  - Reduce minimum Unix Context menu sentry delay
	  - Clean up configuration panel

2007-06-27 04:19  rickg22

svn4188:  *Fixed: Couldn't compile on MSW without PCH (applied
	  patch #1992 - thanks stahta01)

2007-06-26 22:34  byo

svn4187:  wxSmith: Added few missing icons and fixed small bug in
	  property editor (it didn't clear events page after closing
	  editor)

2007-06-26 16:53  biplab

svn4186:  * Fixed: [Bug #11454] wxDatePickerCtrl: wxDataEvent
	  instead of wxDateEvent

2007-06-26 14:15  rickg22

svn4185:  * SDK (ProjectManager): Fixed (yes, for real now)
	  annoying random crash on startup.
	  - SDK (ProjectManager): Renamed EVT_WORKSPACE_LOADED to
	  EVT_WORKSPACE_CHANGED to reflect more clearly its behavior

2007-06-26 13:18  tiwag

svn4184:  * Fixed running targets when filename contains spaces
	  on platform::windows (broken in rev 4183).

2007-06-26 10:32  mandrav

svn4183:  * Fixed running targets when filename contains spaces
	  (broken yesterday).
	  * Added $WORKDIR variable substitution in terminal command line
	  (non-windows platforms only).

2007-06-26 07:53  mandrav

svn4182:  - Fixed PATH setting in windows which was screwed when
	  running a target.

2007-06-26 04:14  rickg22

svn4181:  * SDK: Fixed random crashes on startup by reverting
	  code from rev 4165
	  - Code completion: removed slightly annoying debug message

2007-06-26 00:56  byo

svn4180:  wxSmith: Fixed synchronization issues between editor
	  and resource tree selection

2007-06-25 22:32  byo

svn4179:  wxSmith: Fix bug in splitter between resource tree and
	  property browser - it's now properly centered in case it's
	  position is not stored in configuration

2007-06-25 22:18  byo

svn4178:  wxSmith: Automatically switch to Resources tab when
	  resource is opened

2007-06-25 19:38  killerbot

svn4177:  - non pch fix

2007-06-25 19:27  killerbot

svn4176:  * fixed bug [ Bug #11443 ] Insert all class methods
	  without implementation fails const

2007-06-25 18:52  mandrav

svn4175:  - Replace $PATH with %PATH% for windows in dynamic
	  linker search paths.

2007-06-25 18:27  pecan

svn4174:  CodeSnippets 1.2.82 2007/06/25
	  - Use text, up to first '\r' or '\n' to determine if snippet is
	  file link.
	  This Allows notes to accompany file link.
	  - Added MIME open support using Alt-double-click & "Open File"
	  context menu
	  - Refactored EditSnippet and OpenFileLink
	  - Added "Open Url" support
	  - ReInstated ToolTips for wx284 using first line of snippet

2007-06-25 16:35  biplab

svn4173:  wxWidgets Wizard:
	  * Now Empty project creation and adding pch support options are
	  available separately on Linux.
	  * User selections will now be stored on Linux.

2007-06-25 14:53  tiwag

svn4172:  - CB-Win-projectfile cleanup, removed not existing
	  wxsmith resources references
	  - Codestat plugin, wxTextFile::Open() error bugfix

2007-06-25 14:34  thomasdenk

svn4171:  - Removed Loader again
	  - Replaced 2 #includes with forward declarations

2007-06-25 13:31  mandrav

svn4170:  * The linker search paths are now also used as search
	  paths for the dynamic linker automatically (LD_LIBRARY_PATH for
	  unices, DYLD_LIBRARY_PATH for Mac and PATH for windows).

2007-06-25 11:42  mandrav

svn4169:  * Fixed possibly huge memory leak in code-completion
	  (patch #2075, thanks dmoore).

2007-06-25 03:26  rickg22

svn4168:  * Code Completion: Fixed recent bug that prevented the
	  symbol tree from being updated. Also removed some obsolete code.

2007-06-25 03:16  rickg22

svn4167:  - SDK: Fixed ProjectManager::m_IsClosingProject for the
	  case of closing all projects.
	  - SDK: Updated EVT_WORKSPACE_LOADED to handle closing of
	  projects. Now it gets triggered at the end of ANY workspace
	  modification (loading workspace, opening project, closing,
	  closing all projects, closing workspace). Very useful for
	  plugins.

2007-06-24 20:05  mortenmacfly

svn4166:  * devpak plugin: fixed minor memory leak

2007-06-24 16:13  thomasdenk

svn4165:  - Added Delete() member function to AbstractJob.
	  Ownership of jobs is no longer in user hands.
	  - Added Loader class

2007-06-24 13:08  killerbot

svn4164:  - put the structures for the CC toolbar back in the
	  class, where they belong, no need to polute the global scope with
	  this. They belong to the class for it's implementation and
	  nothing more.

2007-06-23 23:03  rickg22

svn4163:  * CodeCompletion's function toolbar speedup. Now it
	  only parses each file only once.

2007-06-23 18:34  rickg22

svn4162:  - SDK: Added new event type: EVT_WORKSPACE_LOADED. It's
	  triggered when the project or workspace finishes loading.

2007-06-23 15:35  byo

svn4161:  wxSmith:
	  * Added PCH support for new resources
	  * Switched naming of new sources / wxs files to CamelCase
	  * Added <wx/string.h> to list of includes added by default
	  * Small update to wizard-generated files (no need to guard
	  #include "wx_pch.h")

2007-06-23 12:37  byo

svn4160:  wxSmith: Fixed bug which caused project name to be
	  empty in resource tree after creating it with wizard

2007-06-23 09:50  biplab

svn4159:  * Fixed: wxWidgets wizard source generation bug.

2007-06-23 06:26  rickg22

svn4158:  * Reverted the Codecompletion toolbar change due to
	  unexpected bug

2007-06-23 03:08  rickg22

svn4157:  * Revamped CodeCompletion's Function toolbar. It's much
	  faster now!

2007-06-23 03:08  rickg22

svn4156:  * Fixed tiny memory leak in CodeCompletion plugin

2007-06-22 23:15  byo

svn4155:  * Missing includes
	  * Fixed many issues with wxWidgets wizard when project name was
	  not build from alphanumeric characters only
	  * Applied some advises by killerbot
	  (http://forums.codeblocks.org/index.php/topic,6235.msg47719.html#msg47719)
	  related to wxWidgets wizard and wxSmith-generated code

2007-06-22 15:46  byo

svn4154:  wxSmith: Applied fix that will probably prevent some
	  rare crashes when closing editor

2007-06-22 12:26  biplab

svn4153:  * DLL Wizard:
	  - Now wizard will setup post-build commands (for VC 8.0) to embed
	  manifest in a dll.
	  - DLL will now be generated in respective target output
	  directories.

2007-06-22 01:39  rickg22

svn4152:  - Tidied up biplab's fix to [bug #11205]

2007-06-22 01:06  rickg22

svn4151:  * Reduced startup time by only calling the cbEditor
	  hooks after project has finished loading (thanks dmoore).

2007-06-21 23:20  byo

svn4150:  wxSmith: Updated function operating on files to use
	  Encoding / BOM.

2007-06-21 22:12  byo

svn4149:  wxSmith: Massive NULL->0 udpate (in both generated code
	  and wxSmith's code)

2007-06-21 20:50  byo

svn4148:  wxSmith: Updated xml loading routines so they support
	  unicode paths now

2007-06-21 18:55  killerbot

svn4146:  - non pch build fix

2007-06-21 16:31  biplab

svn4145:  * Fixed: Crash while loading a Project/Workspace with a
	  Unicode character in File Name/Path.

2007-06-21 15:08  biplab

svn4144:  * Fixed: DLL and import library name becomes same if
	  Target Output name generation policy is set to User-specified.
	  (Thanks Tim S.)

2007-06-21 09:40  killerbot

svn4132:  - fix linux build

2007-06-21 09:39  killerbot

svn4131:  - fix linux build

2007-06-21 09:29  killerbot

svn4127:  - fix linux build

2007-06-21 09:25  killerbot

svn4126:  - fix linux build

2007-06-21 05:49  rickg22

svn4125:  - SDK: Added static ProjectManager::IsBusy() for
	  plugins development.
	  * TODO list: fixed annoying slowdowns everytime the application
	  was switched (the file parsing still needs to be upgraded to use
	  the new Loader object).

2007-06-20 19:54  killerbot

svn4124:  - cltInfo follow up

2007-06-20 17:36  ceniza

svn4123:  AStyle plugin:
	  - Bugfix: Crash when file to be formatted had lines with more
	  than 2047 characters.

2007-06-20 16:50  killerbot

svn4122:  - really fixed the HUGE memory leaks (no Rick you
	  didn't fix it, but credits to you, since you found it)

2007-06-20 13:53  mandrav

svn4121:  - Added wxSmith files for scripted wizard's embedded
	  panels (i.e. those panels can now be edited again using wxSmith).
	  - Also fixed some wx2.8 layout issues with the wizards.

2007-06-20 13:25  rickg22

svn4120:  * HUGE Memory leak (hundreds of megabytes) fixed!

2007-06-20 12:27  biplab

svn4119:  * Fixed: Scripted wizard pages' minimal size is not
	  computed properly (Thanks wxLearner).

2007-06-20 10:36  biplab

svn4118:  * Fixed: Toolbar not filled after opening a project
	  (Due to last commit).

2007-06-20 09:15  biplab

svn4117:  * Fixed: [Bug #11205] Code Completion toolbar - not
	  loading functions
	  * Now Code-Completion plugin would not parse editor files during
	  Project Loading/Closing or App closing.

2007-06-20 09:09  byo

svn4116:  wxSmith: Fixed build for wx2.6

2007-06-20 09:02  killerbot

svn4115:  - CompilerLineType : cltNormal = 0

2007-06-20 08:12  biplab

svn4114:  * Added: The following SDK functions.
	  - ProjectManager::IsLoadingProject()
	  - ProjectManager::IsLoadingWorkspace()
	  - ProjectManager::IsClosingProject()
	  - ProjectManager::IsClosingWorkspace()

2007-06-20 07:24  killerbot

svn4113:  - extend the (CompilerLineType) enum at the end when
	  exported as int in config settings

2007-06-20 06:13  mortenmacfly

svn4112:  - applied compiler "info" output parsing to other GCC
	  compilers, too

2007-06-19 23:59  rickg22

svn4111:  Added new compiler output parsing level: cltInfo (fixes
	  info's treated as warnings).
	  Added new parsing line "In function: " for GNU Compiler.
	  Compiler Settings now at version 0.0.2.

2007-06-19 22:08  byo

svn4110:  wxSmith: Small update to editor area (it won't fetch
	  preview when code::blocks is not active)

2007-06-19 21:25  byo

svn4109:  wxSmith: Fixed sizing for childless sizers (static box
	  in wxStaticBox sizer did not expand)

2007-06-19 16:33  biplab

svn4108:  * Scripted wizard pages are now resizable. If you can't
	  see a control, please resize the page.

2007-06-19 10:49  biplab

svn4107:  * Fixed: DLL linking issue with Borland compilers.
	  * DLL Wizard:
	  - Fixed: Generated DLL not exporting function(s).
	  - Added: Borland, MSVC, OpenWatcom, Digital Mars C compiler
	  support.
	  - Added: Wizard will now create a header to use exported
	  function(s).

2007-06-19 08:09  biplab

svn4106:  * Fixed: Couple of Signed/Unsigned warnings in EnvVar
	  plugin.

2007-06-18 12:28  biplab

svn4105:  * Changed default TargetGenerationPolicy to
	  platform_default in *Project Options->Build Target* dialog.

2007-06-18 10:41  thomasdenk

svn4104:  - Added requested documentation
	  - Added GetID() utility function

2007-06-17 11:31  byo

svn4103:  wxSmith: Missign include

2007-06-16 17:35  byo

svn4102:  wxSmith: Yield delay method is now selected for Mac
	  when fetching editor content, added Refresh before Update.

2007-06-16 04:10  pecan

svn4101:  cbKeyBinder 1.0.38 2007/06/15
	  - Use full menu paths as key value in external storage
	  - Resolve unmatched menu id's with full menu paths
	  = Add Tool menu shortcut preservation via
	  cbEVT_MENUBAR_CREATE_BEGIN/END events

2007-06-16 02:04  biplab

svn4100:  * Fixed: [Bug #11347] Configure tools then keyboard
	  shortcuts is gone

2007-06-15 19:43  biplab

svn4099:  * Fixed: [Bug #11188] Dialogs Incorrectly Assign
	  wxWS_EX_VALIDATE_RECURSIVELY

2007-06-15 18:33  biplab

svn4098:  * Fixed: [Bug #11334] configure help text incorrect

2007-06-15 11:10  mortenmacfly

svn4097:  * envvars plugin: fixed C::B freeze due to unresolvable
	  recursion (limitation -but not a bug!- of MacrosManager)

2007-06-15 09:53  biplab

svn4096:  * Fixed: Possible crash while closing C::B.

2007-06-14 21:13  mortenmacfly

svn4095:  - envvars plugin: made debug output to debug console
	  optional

2007-06-14 09:36  mortenmacfly

svn4094:  - added RegExp for auto-import info from linker of GCC
	  based compilers

2007-06-13 13:12  killerbot

svn4093:  * added in project tree in the right click menus : Find
	  File : allows you to find and focus in the tree on the file you
	  specify

2007-06-13 09:47  mandrav

svn4092:  - Forgotten change in autotools build support for new
	  kernel-mode windows driver wizard.

2007-06-12 12:41  mandrav

svn4091:  - Added new kernel-mode driver wizard in autotools
	  build.

2007-06-12 12:37  mandrav

svn4090:  * Added "kernel-mode driver" wizard (windows only).
	  Contributed by Timo Kreuzer.

2007-06-12 10:40  mandrav

svn4089:  - Exposed ttNative target type to scripts (thx to
	  Christoph for spotting this).

2007-06-12 08:41  mortenmacfly

svn4088:  * added fortran 90 lexer by applying patch #2045
	  (thanks dmoore)

2007-06-11 19:43  byo

svn4087:  Missing headers in non-pch builds

2007-06-11 16:54  biplab

svn4086:  * Applied an reworked fix of [Bug #9438] View menu
	  check error

2007-06-11 11:09  biplab

svn4085:  * Rewritten portion of OpenWatcom linker command
	  generation code. Now the order of options will be maintained.

2007-06-09 20:28  byo

svn4084:  wxSmith: Fixed bug #10680: Pasting controls ignores
	  insertion point

2007-06-09 19:31  byo

svn4083:  wxSmith: Fixed bug #10980: Reproducible crash with
	  Cut/Paste

2007-06-09 16:07  byo

svn4082:  wxSmith: Update to code generating new event handler -
	  it now shows new handler property inside editor

2007-06-09 14:33  byo

svn4081:  wxSmith:
	  * Applied patches #2041 (wxSmith: wxsItemResData doesn't store
	  tool children ids fix) and #2042 (wxSmith: "Resource already
	  exists") made by Raph:
	  * wxHtmlWindow tries to load html page when it's shown in preview
	  * Small update to wxsDrawingWindow

2007-06-09 11:37  biplab

svn4080:  * Fixed: [Bug #11284] --personality=ask does not work

2007-06-08 21:50  pecan

svn4079:  DragScroll - Add non-pch header

2007-06-08 12:31  killerbot

svn4078:  - CodeCompletion : reduce protected members

2007-06-08 12:29  killerbot

svn4077:  - autosave : don't make methods public when not needed

2007-06-08 12:26  killerbot

svn4076:  - Sciptedwizard : clean up
	  - const correctness
	  - kill protected keyword : 'protected' for member variables is
	  bad practice !!! (so to everyone : stop using it please, so at
	  least the number of protected members no longer increases ;-) )

2007-06-08 12:01  killerbot

svn4075:  - fix so builds again for linux (broken in previous
	  commit)

2007-06-08 11:52  biplab

svn4074:  * Fixed: [Bug #11270] Missing focus on "Goto Function"
	  dialog

2007-06-08 11:19  biplab

svn4073:  * Fixed: [Bug #11007] Too small list windows in "New
	  FLTK/wxWidgets project"

2007-06-08 09:49  biplab

svn4072:  * Fixed: [Bug #10881] Advanced Regexes not available on
	  some versions of wx lib

2007-06-07 19:23  pecan

svn4071:  CodeSnippets 1.2.77
	  - Prepend CodeBlocks --personality= argument to codesnippets.ini

2007-06-07 19:21  pecan

svn4070:  KeyBinder 1.0.35 2007/06/7
	  - Prepend --personality arg to cbKeybinder.ini filename

2007-06-07 19:20  pecan

svn4069:  DragScroll 1.1.02 2007/06/7
	  - Prepend --personality arg to .ini filename

2007-06-07 17:49  biplab

svn4068:  * Fixed: If an editor is closed & reopened during an
	  active debugging session, last execution line was not
	  highlighted.

2007-06-06 20:44  mortenmacfly

svn4067:  * CC: added support for moving to the previous/next
	  function using CTRL+PgUp/PgDn (just like in Visual Studio)

2007-06-06 14:14  mortenmacfly

svn4066:  - lib_finder, cb_share_config: remove extraordinary PCH
	  usage
	  * envvars plugin: Added support for recursion and C::B macro
	  expansion

2007-06-06 12:29  mortenmacfly

svn4065:  - fixed slightly broken cb_share_config (linux) project
	  file

2007-06-05 14:37  killerbot

svn4064:  - headers

2007-06-05 09:42  mortenmacfly

svn4063:  * envvars plugin: added support for envvars per project

2007-06-05 08:00  mortenmacfly

svn4062:  - massive (but safe) macro-to-template update, mainly
	  for compiler plugins
	  * fixed annoying warning messages for access to registry keys
	  that are not available

2007-06-05 07:06  biplab

svn4061:  * Fixed: [Bug #11250] Scripting settings -> Main
	  Security Settings Dialog

2007-06-04 22:17  byo

svn4060:  wxSmith:
	  * Fixed updating position when using drag&drop in editor inside
	  items without sizers
	  * Another anti-artifact fix (prevent fetching screen content when
	  preview is being shown/hidden)

2007-06-04 20:59  byo

svn4059:  wxSmith: Removed flickering of editor when there's some
	  dialog opened in C::B

2007-06-04 20:44  byo

svn4058:  wxSmith: Applied patch #1994 by stahta01: Enable
	  wxSmith build using wxMSW without PCH

2007-06-04 20:38  byo

svn4057:  wxSmith:
	  * Applied patch #2031 by raph - added missing icons in art
	  provider, combo boxes in image editor are now sorted
	  * Applied patch #2030 by raph - added missing icon property for
	  menus
	  * Fixed problems with generated code using wxFontEnumerator (it
	  was incompatible with wx 2.8)

2007-06-04 20:10  byo

svn4056:  wxSmith: Applied patch #2032 by Raph: wxSmith: prevent
	  menueditor crash

2007-06-04 16:49  biplab

svn4055:  * Applied: [Patch #2027] Patch for bug 10992

2007-06-04 16:35  biplab

svn4054:  * Fixed: Duplicate entry in search history of Replace
	  dialog.

2007-06-04 15:56  biplab

svn4053:  * Fixed: New search item not stored in Search history
	  of Find/Find-in-files dialog.

2007-06-04 08:06  biplab

svn4052:  * Fixed: [Bug #11229] Sdk never issues
	  cbEVT_EDITOR_DEACTIVATED (By applying [Patch #2034], Thanks
	  pauliusz)

2007-06-02 19:39  byo

svn4051:  wxSmith: Added "Extra code" property based on patch by
	  #2029 by Raph, some small bug fixed by the way

2007-06-02 19:15  biplab

svn4050:  * Fixed: On Windows, Object files are created in same
	  directory where source files exist.

2007-06-02 18:37  byo

svn4049:  wxSmith: Updated refreshing system in editor

2007-06-02 18:35  biplab

svn4048:  * Fixed: Search string in Find/Find-in-files dialog
	  Search history is duplicated.

2007-06-02 14:33  byo

svn4047:  wxSmith: Added few NULL-pointer checks into
	  wxsDrawingPanel to improve
	  stability

2007-06-02 13:44  byo

svn4046:  wxSmith: Unsupported items (in XRC-based resources) are
	  now removed from palette (they were only disabled before)

2007-06-02 13:39  rickg22

svn4045:  Removed wx2.8 deprecated warnings from wxFlatNotebook

2007-06-02 11:26  byo

svn4044:  wxSmith: Internal update of resources

2007-06-02 06:03  rickg22

svn4043:  Managed to get rid of various wx2.8 DEPRECATED warnings
	  from the wxScintilla class.

2007-06-02 05:58  rickg22

svn4042:  Removed various "variable might be uninitialized"
	  warnings from pluginmanager.cpp (lns 918-921), sqapi.cpp (ln 49),
	  app.cpp (ln 496) and main.cpp (ln 661)

2007-06-02 01:17  rickg22

svn4041:  Fixed erroneous handling of "instantiated from"
	  compiler messages (MINGW).

2007-06-02 01:14  rickg22

svn4040:  Removed the incomplete PHP lexer. Instead, the php file
	  extensions were added to the HTML lexer.

2007-06-01 20:30  byo

svn4039:  Restored wxSmith bindings in main C::B project

2007-06-01 20:07  byo

svn4038:  wxSmith: when saving string into xml files, & is now
	  stored as &amp; - this prevents a little bit incompatibilities
	  between XRC file versions

2007-06-01 19:30  byo

svn4037:  wxSmith: Added missing EVT_INIT_DIALOG into wxDialog

2007-06-01 18:03  biplab

svn4036:  * Fixed: [Bug #11148] Can't compile using files on
	  different drives

2007-06-01 16:36  biplab

svn4035:  * Applied: [Patch #2025] relative paths fix for
	  findinfiles

2007-06-01 15:53  biplab

svn4034:  * Fixed: [Bug #10527] Search in modified files (By
	  applying [Patch #2028], Thanks to pauliusz)

2007-06-01 14:29  biplab

svn4033:  * Fixed: More Signed-Unsigned comparison warnings

2007-06-01 09:31  byo

svn4032:  wxSmithContribItems: Applied patch (made by Biplap) to
	  make wxCustomButton more wx2.8 compatible

2007-06-01 06:21  biplab

svn4031:  * Fixed: More Compiler warnings (Unsigned/Signed
	  comparison).

2007-06-01 06:15  biplab

svn4030:  * Fixed: A Number of Compilation Warnings in SDK.

2007-06-01 05:48  mortenmacfly

svn4029:  - lib_finder: updated to new wxSmith

2007-05-31 21:24  byo

svn4028:  Fixed wxSmith extensions in RegExTestbed plugin

2007-05-31 20:28  byo

svn4027:  wxSmith: Fixed bug in long string properties (multiline
	  editor was not shown)

2007-05-31 20:12  pecan

svn4026:  KeyBinder 1.0.34 2007/05/31
	  - Re-enabled dynamic merge eliminating consideration of
	  duplicates
	  - Corrected MortonMcFly's causing errors on msw wx2.8.4, Martin,
	  please tell me when you want to change the code.

2007-05-31 19:34  mortenmacfly

svn4025:  * added (completed) PHP and VBScript lexer, thanks
	  dmoore
	  - removed remaining wx26 artefacts from project files
	  - fixed some signed/unsingned compiler warnings

2007-05-31 18:01  biplab

svn4024:  * Fixed: [Bug #11214] No cursor on Fine-in-files when
	  no file open

2007-05-31 16:59  biplab

svn4023:  * Fixed: Wizard.GetProjectTitle() should now work
	  properly according to new changes made in ProjectPathPanel.

2007-05-31 15:40  killerbot

svn4022:  - adding the files

2007-05-31 15:34  killerbot

svn4021:  * WinAVR compiler support added

2007-05-31 12:50  mortenmacfly

svn4020:  - another fix for the compilation error on linux
	  (hopefully the final one)
	  * added support for PHP in HTML lexer (thanks dmoore)

2007-05-31 11:14  mortenmacfly

svn4019:  * (hopefully) fixed broken linux build caused by r4018
	  - additional macro removement (to be continued)

2007-05-31 07:50  mortenmacfly

svn4018:  * war against (returned?!?!) macros

2007-05-30 23:11  byo

svn4017:  Missing headers

2007-05-30 23:08  byo

svn4016:  wxSmithContribItems: Finally found the bug causing
	  undefined symbols: typo inside #pragma interface. That proves
	  that #pragma interface / #pragma implementation may only cause
	  problems (GCC can work without them for a long time now) and
	  should not be used if not necessary

2007-05-30 22:16  byo

svn4015:  wxSmith: Temporarily removed wxChart from Makefiles (it
	  just made some unreferenced symbols), added
	  wxCustomButton

2007-05-30 20:49  byo

svn4014:  wxSmith: Image files now have 32 or 16 suffix depending
	  on resolution (previously 32 suffix was skipped)

2007-05-30 18:15  byo

svn4013:  wxSmith: Changed int to size_t in wxsCoder to prevent
	  compiler warnings (suggested by MortenMacFly)

2007-05-30 18:13  byo

svn4012:  wxSmithContribItems: Fixed bugs in wxCustomButton so it
	  is now enabled in list of contrib items

2007-05-29 22:53  byo

svn4011:  wxSmith: Fixed bug #10678: Changes of variabe names not
	  directly shown in resource tree

2007-05-29 21:35  byo

svn4010:  wxSmith: Added detection of modal dialogs which
	  prevents few artifacts on editor

2007-05-29 17:36  biplab

svn4009:  * Fixed: Project directory not added in project wizard
	  (Bug introduced in rev 4002)
	  * Wrapped Linux hack for scripted wizard introduced in Rev 4004.

2007-05-29 14:41  pecan

svn4008:  CodeSnippets 1.2.76 2007/05/29
	  - Fixed: Not saving xml changes before "recently used" load
	  - Show filename base as root item label
	  - Verify:If external snippets, plgn *shouldnt* save conf OR xml
	  on exit
	  - Ok: saves done by OnClose SnippetsWindow & Tree routines
	  - Fix "Apply" menu item, misspelled __WX...__ preprocessor

2007-05-28 21:46  byo

svn4007:  wxSmith: Applied patch #2024: wxSmith: MenuEditor
	  loosing variable and member state made by raph

2007-05-28 17:46  killerbot

svn4006:  * in case of open project on the 'start here page', set
	  the filter directly to cbp files, and do NOT update the 'type of
	  files' [== do NOT update the Filters in this case : (source) file
	  <-----> project (file) ]

2007-05-28 16:24  biplab

svn4005:  * Reverted: Fix of Bug# 10992

2007-05-28 13:37  biplab

svn4004:  * Remaining portion of fix of [Bug #11193]

2007-05-28 12:28  killerbot

svn4003:  * fix static lib target name construction :
	  - @ CompilerCommandGenerator::SetupOutputFilenames : take into
	  account the yes/no of auto pre/post (it was always considered to
	  be auto which is incorrect)
	  - @ CompileTargetBase::GenerateTargetFilename : don't just
	  replace extension in case of auto post by '.a', use the extension
	  from the compiler option, and when there's no compiler then
	  fallback to the hardcoded '.a'
	  - CompileTargetBase::GetTargetFilenameGenerationPolicy : pointer
	  args replaced by references (no need to check the pointer for 0
	  then)

2007-05-28 12:21  biplab

svn4002:  * Fixed: [Bug #11193] The .cbp is incorrectly named at
	  project creation (Linux)

2007-05-28 01:31  rickg22

svn4001:  Removed warning message from editor configuration
	  dialog

2007-05-27 16:54  biplab

svn4000:  * Now debugging options would not be active if project
	  has a compiling target.

2007-05-27 16:39  biplab

svn3999:  * Applied: [Patch #2021] Fix glitch with Find in Files
	  search results failing to open (In modified form)

2007-05-27 16:34  biplab

svn3998:  * Fixed: [Bug #11195] Editor Settings can't be changed
	  or it crash.

2007-05-27 07:50  ceniza

svn3997:  * Implemented Feature Request #3327: Double click
	  target executes it.

2007-05-26 14:53  biplab

svn3996:  * Fixed: [Bug #11174] Font Interim Settings Lost

2007-05-26 14:27  biplab

svn3995:  * Fixed: Project file option dialog not placed at
	  centre.

2007-05-26 09:27  mandrav

svn3994:  * Fix for huge editor settings dialog under wx2.8.4.

2007-05-25 09:17  biplab

svn3993:  * Fixed: Compilation warning on use of uninitialized
	  variable (on behalf of mandrav)

2007-05-25 01:28  ceniza

svn3992:  Patch #2018 by Rick:
	  * Added CR to clipboard when exporting compiler messages on Win32
	  * Removed signed/unsigned warnings from various dialogs

2007-05-24 11:48  biplab

svn3991:  * Updated Win32GUI wizard to generate proper project
	  for Borland compiler.

2007-05-24 11:36  biplab

svn3990:  * Added: Detection code to detect Turbo C++ Explorer's
	  compiler.

2007-05-23 02:37  ceniza

svn3989:  Compiler plugin:
	  * Changed the event association to work with the new wxChoice.

2007-05-22 16:45  ceniza

svn3988:  Compiler plugin:
	  * Replaced build target's wxComboBox with a wxChoice (it fixes
	  the "disappearing combo box" bug on Linux).

2007-05-22 12:04  biplab

svn3987:  * Fixed: [Bug #10790] red dot disappearing

2007-05-22 09:43  mandrav

svn3986:  * Don't ask for confirmation when removing a tool
	  separator in tools configuration dialog (patch #1990).

2007-05-22 09:38  mandrav

svn3985:  * Default filename in "File->Save As" does not lose the
	  extension anymore (patch #2006 for bug #11036).

2007-05-22 09:33  mandrav

svn3984:  * Make project active by double-clicking in project
	  manager tree (patch #2017).

2007-05-22 09:18  mandrav

svn3983:  * Fixed crash when removing custom tools (bug #11141).

2007-05-22 09:08  mandrav

svn3982:  Reverted to notebook (instead of choicebook) for
	  compiler and project options dialogs (due to popular demand).

2007-05-21 21:41  byo

svn3981:  Added some missing includes I've found while compiling
	  C::B

2007-05-21 21:39  byo

svn3980:  wxSmith:
	  * Removed most "standard" events for most of widgets, they're not
	  supported in wxGTK, not granted to work on any specific platform
	  and it's just risky for now (I thought it's wx bug, but ppl say
	  it's how it should work on wx forum :/ )
	  * When regenerating source code, EOL line mode is now fetched
	  from sources, not from C::B settings, that prevents "Inconistent
	  EOL" svn message during commit in some circumstances

2007-05-21 17:47  pecan

svn3979:  -CodeSnippets 1.2.73 2007/05/21
	  - Add Recently Used Indexes
	  - Fix error in category to category drag

2007-05-21 16:36  biplab

svn3978:  * Fixed: Wizard not overwriting existing files when
	  told to do so.

2007-05-21 10:32  biplab

svn3977:  * Fixed: [Bug #11121] bugs with openwatcom 1.6 linker
	  * Improved: Generation of OpenWatcom Linker (wlink.exe)
	  parameters.

2007-05-20 18:49  biplab

svn3976:  * Fixed: [Bug #11134] last chosen file type not
	  remembered on 'new file'

2007-05-20 13:32  biplab

svn3975:  * Fixed: [Bug #10992] Find within Editor does not work
	  properly

2007-05-20 12:18  biplab

svn3974:  * Applied: [Patch #2003] Debug menu/toolbar icon
	  agreement

2007-05-20 11:05  biplab

svn3973:  * Fixed: Deprecated function warning in cbEditor.

2007-05-19 17:55  daniel2000

svn3972:  - updated file list of spec file (codesnippets
	  executable)

2007-05-18 16:37  daniel2000

svn3971:  - makefile fix for make dist (wrong file name in astyle
	  install.txt -> html)

2007-05-17 18:44  byo

svn3970:  wxSmith: Fixed bug causing empty sizers to have 0x0
	  size (appeared in wx 2.8)

2007-05-17 18:19  byo

svn3969:  wxSmith:
	  * Removed any code related to user-defined items (it was
	  unfinished and buggy, wxSmith extension like contrib items plugin
	  is better solution than this)
	  * Fixed bug in editor scrolling (couldn't easily scroll editor
	  area)

2007-05-16 17:02  byo

svn3968:  wxSmith: Fixed makefiles

2007-05-15 23:41  byo

svn3967:  wxSmith: Added wxGrid

2007-05-15 07:25  killerbot

svn3966:  - some const fixes

2007-05-15 06:19  mortenmacfly

svn3965:  - envvars plugin: added missing headers detected by
	  Byo's HeaderFixup plugin

2007-05-14 15:03  killerbot

svn3964:  - non pch build fix

2007-05-14 15:01  killerbot

svn3963:  - non pch build fix

2007-05-14 12:58  killerbot

svn3962:  - envvars : makefile fix

2007-05-14 08:48  mortenmacfly

svn3961:  * updated envvars plugin: allow 1..n envvars sets
	  (similar GCV sets)
	  * warning: this envvar version will not import the old
	  configuration due to the changes, backup before

2007-05-11 22:48  afb

svn3960:  - updated D keywords

2007-05-11 21:27  pecan

svn3959:  KeyBinder - Tim S fix to keybinder.cbp

2007-05-11 20:43  pecan

svn3958:  KeyBinder 1.0.33 2007/05/11
	  - Fixes for use of non-precompiled headers + Tim S fixes

2007-05-11 20:42  pecan

svn3957:  CodeSnippets 1.2.71 2007/05/11
	  - Fixes for use of non-precompiled headers + Tim S fixes

2007-05-10 22:41  pecan

svn3956:  - KeyBinder - add missing includes

2007-05-10 20:17  mortenmacfly

svn3955:  * updated tinyxml (core lib) from 2.5.2 to 2.5.3 (bug
	  fixes)
	  * fixed issue that wizards would overwrite an existing file
	  without warning(!!!)
	  - minor fix in wxContribItems project file
	  - very minor cosmetic fixes

2007-05-10 19:10  pecan

svn3954:  CodeSnippets 1.2.70 2007/05/10
	  - Fix duplicate menu entry

2007-05-10 18:42  pecan

svn3953:  KeyBinder 1.0.32 2007/05/10
	  - Removed OnIdle() dynamic merging. Set Merge just before user
	  definitions.
	  - Fixed disappearing "duplicate" menu items. If mis-matched id,
	  just leave 'em alone.

2007-05-10 18:00  biplab

svn3952:  * Fixed: wxWidgets Wizard error in Linux

2007-05-10 17:50  biplab

svn3951:  * Fixed: [Bug #10987] Layout file error message
	  * Fixed: [Bug #11016] Colour theme rename resets to defaults

2007-05-10 02:40  pecan

svn3950:  CodeSnippets 1.2.69 2007/05/9
	  - update.bat remove old unused commands
	  - Set launch LD_LIBRARY_PATH relative to AppPath

2007-05-09 16:21  pecan

svn3949:  -CodeSnippets - minor corrections to Makefile.am

2007-05-09 10:56  killerbot

svn3948:  * applied patch 1989 : Fixes "new file not added to
	  project" bug

2007-05-08 19:30  killerbot

svn3947:  - some const fixes

2007-05-08 19:00  pecan

svn3946:  CodeSnippets - correct windows .cbp to match changed
	  linux cbp

2007-05-08 18:43  killerbot

svn3945:  - some const fixes

2007-05-08 18:31  killerbot

svn3944:  - some const fixes

2007-05-08 18:13  biplab

svn3943:  * Fixed: Couple of deprecated functions warning with
	  wx-2.8.

2007-05-08 09:00  mandrav

svn3942:  * Class wizard now keeps the same class-name
	  capitalization for the generated filenames.

2007-05-08 00:15  pecan

svn3941:  CodeSnippets 1.2.66 2007/05/7
	  - Modified code, cbp's and Makefile.am's to allow linux
	  preprocessor defs

2007-05-07 21:52  byo

svn3940:  Added few missing headers for non-pch builds
	  Fixed codeblocks.spec.in

2007-05-07 20:32  byo

svn3939:  wxSmith: Fixed problems with wxSmith's automake

2007-05-06 16:41  biplab

svn3938:  * Fixed: Couple of deprecated function warnings with
	  wx-2.8.

2007-05-06 05:31  pecan

svn3937:  CodeSnippets - correct Makefile.am per KillerBot

2007-05-05 17:28  pecan

svn3936:  CodeSnippets 1.2.65 2007/05/5
	  - Removed or disabled all linux code which depended on linux
	  makefile preprocessor flags

2007-05-05 11:29  pecan

svn3935:  CodeSnippets Revertins to 1.2.63 to avoid makefile
	  limitations

2007-05-05 02:30  pecan

svn3934:  CodeSnippets Workarounds to unix build process to allow
	  BUILDING_PLUGIN compile flag

2007-05-04 16:01  ceniza

svn3933:  AStyle plugin
	  * Fixed EOL bug
	  - Fixed GNU style preview
	  - Updated to AStyle 1.20.2

2007-05-04 14:37  pecan

svn3932:  CodeSnippets 1.2.64 2007/05/4
	  - corrections to code for removing unix BUILDING_PLUGIN

2007-05-04 12:32  mandrav

svn3931:  - Fixed broken build of src/environmentsettingsdlg.cpp
	  (for wx2.6).

2007-05-04 09:59  mandrav

svn3930:  * Fixed find/replace infinite loop in some cases (patch
	  #1960 for bug #10886).
	  * Added "add separator" button in tools configuration dialog
	  (patch #1977 for rfe #3301).
	  * Fixed constant complaining about directory not being empty when
	  creating project from user template (patch #1981).
	  * Fixed linker error regex (lib not found) for gcc-derived
	  compilers to work for non-windows platforms too.
	  * Updated codesnippets and wxsmith unix projects.
	  * Minor fixes in wxsmith to correctly build with wx2.8.0.
	  * Added src/aui_compat.h file to use either our bundled wxAUI or
	  the wxWidgets supplied one, based on the wx version (<2.8.0 uses
	  our own AUI).

2007-05-03 20:09  pecan

svn3929:  Removed file/folder

2007-05-03 20:08  pecan

svn3928:  Removed file/folder

2007-05-03 20:03  pecan

svn3927:  CodeSnippets 1.2.63 2007/05/3
	  - Incorporate mappedmemoryfile fixes by Tim S

2007-05-03 15:24  mortenmacfly

svn3926:  * show file properties in notebook menu, too (e.g. to
	  see the file's path)

2007-05-03 14:43  killerbot

svn3925:  - update to previous commit (no CamelCase)

2007-05-03 14:40  killerbot

svn3924:  - linux build fixes

2007-05-03 14:35  killerbot

svn3923:  - fix linux build

2007-05-03 11:43  pecan

svn3922:  CodeSnippets - remove experimental GTK keep-on-top call

2007-05-02 20:02  mortenmacfly

svn3921:  * envvars plugin: check on setup if envvar exists and
	  warn user accordingly
	  - envvars plugin: minor code-cleanup

2007-05-02 19:38  pecan

svn3920:  KeyBinder 1.0.30 2007/05/2
	  - Create backup keys .ini.bak only on successful user definition
	  save
	  - Set guards against merging when possible app shutdown
	  - Add ConfigBusy guard to OnIdle() merging
	  - Added EVT_MENUBAR_CREATE_BEGIN/END, but they're never called.
	  Even if they were, they're not called during Tools menu changes.
	  - Corrections for warning msg in wx2.8.3
	  - Removed key assignment via text search when id search
	  fails.(wxKeyBinder::UpdateSubMenu). Causes too much grief.

2007-05-02 19:20  pecan

svn3919:  CodeSnippets 1.2.61 2007/05/2
